ARTA - Content

>

ARTA

Program for Impulse Response Measurement and
Real Time Analysis of Spectrum and Frequency Response

Ivo Mateljan

ARTALABS, J. Rodina 4, 21215 Kastel Luksic, Croatia

e-mail: info@artalabs.hr

User Manual

Version 1.9.7.

August, 2023.

Copyright © Ivo Mateljan, 2004 - 2023.

Content

1 Introduction

1.1 Requirements
1.2 Measurement Setup
1.3 A First Touch
1.4 Audio Devices Setup
1.5 The Calibration
1.6 Rotating Turntable Driver Setup
1.7 Getting Images of Graph and Windows

2 Spectrum analyzer

2.1 Soundcard Testing
2.2 The Spectrum Estimation Procedure

2.2.1 Spectrum Averaging
2.2.2 Signal Windowing
2.2.3 Spectrum Graph Setup
2.2.4 Graph Colors and Grid Style Setup
2.3 Frequency Resolution of DFT and Octave-band Analyzer
2.4 RMS Level
2.5 The Time Record
2.6 Monitoring Spectra of Wideband Signals
2.7 The Periodic Noise
2.8 Testing with Two Sine Signal
2.9 The Multitone Testing
2.10 Monitoring Dynamics
2.11 Spectrum Overlay
2.12 Saving Generator Signal in a.wav files

3 The Theory of Frequency Response Measurement

3.1 LTI Input/Output relationship
3.2 Dual Channel System with Continuous Noise Excitation
3.3 Dual Channel System with Periodic Noise Excitation
3.4 Single Channel System for Frequency Response Estimation

4 Real-time Frequency Response Measurement

4.1 User Interface for Real-Time Measurement of Frequency Response
4.2 Dynamic Range in Frequency Response Measurements
4.3 FR Overlays
4.4 Getting Impulse Response from Measured Frequency Response
4.5 System Delay Estimation
4.6 PIR File Manipulations

5 Impulse Response Measurement and Signal Recording

5.1 Impulse Response Measurement with Periodic Noise Excitation
5.2 Impulse Response Measurement with Swept-sine Excitation
5.3 Impulse Response Measurement with MLS Excitation
5.4 Measurement with External Excitation and Triggered Signal Recording
5.5 Triggered Signal Recording and Spectrum Estimation
5.6 Basic Editing Procedures

6 System Analysis From the Impulse Response

6.1 Gated Impulse and Frequency Response
6.2 Step Response
6.3 Impulse Response Envelope (ETC – Energy Time Curve)
6.4 Cumulative Spectrum
6.5 Burst Decay

7 Estimation of Room Acoustical Parameters

7.1 ISO 3382 Parameters
7.2 Acoustical Energy Decay
7.3 Spatial Acoustical Parameters

8 Speech Intelligibility

8.1 MTF – Modulation Transfer Function
8.2 Speech Transmission Index
8.3 STI and %ALcons

9 Tools

9.1 Directivity Patterns
9.2 Integrating SPL Measurements and Data Logging
9.3 Octave Band SPL Meter and Noise Rating
9.4 Third Octave Band SPL and Loudness Meter
9.5 Third Octave Band SPL and Loudness Time Record
9.6 Two-channel Voltage Level Meter and Third-octave Analyzer

Literature

Appendix 1 ARTA Menus, Toolbars and Shortcuts

Copyright © 2004-2015, Ivo Mateljan


1 Introduction

1.1 Requirements
1.2 Measurement Setup
1.3 A First Touch
1.4 Hardware Setup
1.5 The Calibration

ARTA is a program for impulse response measurement, real-time spectrum analysis and measurement of the frequency response. It is a tool for acoustical measurements and for "point to point" testing of the audio quality in communication systems.

ARTA has functions of following measurement systems:

  1. Impulse response measurement system with signal generators: periodic white noise, periodic pink noise, MLS, linear and logarithmic swept-sine.
  2. Dual channel Fourier analyzer with signal generators: white noise, pink noise, periodic white noise and periodic pink noise.
  3. Single channel Fourier analyzer with signal generators: periodic white noise and periodic pink noise.
  4. Spectrum, octave band and THD analyzer with signal generators: sine, two sine, multitone, white noise, pink noise, periodic white noise and periodic pink noise.
  5. Triggered storage scope with gated spectrum analysis and Short-time Fourier transform.
  6. Two-channel voltage level meter and third octave analyzer

With calibrated microphone, ARTA can be used as virtual IEC class 1 SPL meter with real time modes:

  1. Integrating SPL meter with 24 hours data logging,
  2. Octave SPL meter with noise rating (NR, NC, PNC, RC, NCB),
  3. Third octave SPL meter with report of specific loudness, loudness in sone and loudness level in phone.

ARTA is also a powerfull analyzer of:

  1. Gated frequency response,
  2. Smoothed frequency response (in 1/n-octave bands),
  3. Step response,
  4. Impulse response envelope (ETC – curve),
  5. Cumulative spectrum and burst decay waterfall curves and sonograms,
  6. Energy decay in reverberant environments,
  7. Room acoustical parameters,
  8. Speech intelligibility measures: MTF, STI, RASTI, %AL
  9. Loudspeaker directivity pattern


< ? >

1.1 Requirements

Requirements to use ARTA software are:

  • Operating systems: Windows Vista / 7 / 8 / 10 / 11.
  • Processor class Pentium or better, clock frequency 1 GHz or higher, memory 2 GB for 32bit Windows or 64GB for 64bit .Windows.
  • Full duplex soundcard with synchronous clock for AD and DA converters.
  • WDM or ASIO soundcard driver (ASIO is trademark and software of Steinberg Media Technologies GmbH).

The installation of this software is simple: Take the ARTA setup program or just copy the files "ARTA.exe" and "ARTA.chm" to some folder and make a shortcut to "ARTA.exe". All registry data will be saved automatically at the first program execution.

Files with extension ".PIR" are registered to be opened with ARTA. They contain the data of the periodic impulse response (PIR) or signal time record. Results of other types of measurements (frequency response and spectrum) may be saved in ASCII formatted file, or as an overlay file.

ARTA can export and import file in various formats (.wav, .tim and .txt).

ARTA does not dump graphs to the printer, instead, all graphs can be copied to the Windows Clipboard and pasted to other Windows applications or saved to files in .bmp, .png or .jpg formats.

Windows treats a standard computer display as 96 DPI (dot per inch) device. Many modern displays have higher DPI resolution and Windows can treat them as 96 to 300 DPI device, by allowing user to setup scaling of GUI elements from 100% tp 300%. If changes in DPI are not adequately implemented in application, Windows scale application graphic size, by roughly scaling application window bitmap. From version 1.9.2 ARTA software is "High DPI aware" which means that DPI settings on windows startup determines size of ARTA windows elements. If Windows user changes display scaling, a restart or re-login is required, and ARTA will accept new DPI setting in all graphic operations.

1.1.1 Soundcards

ARTA has been used successfully with all soundcards that has functional WDM or ASIO driver.

Soundcards can be classified into three groups:

  • standard sound systems that are incorporated in the computer motherboard,
  • add-on sound cards for PCI or ISA bus,
  • sound systems that connects to the computer USB or Firewire interface.

Depending of the target user group, soundcards differs in type of input/output connectors and necessary cabling. Basic characteristics of connectors and cabling are given in Table 1.1.

  • Standard PC soundcards use stereo cables and mini-TRS connectors (Fig. 1.1).
  • Semi-professional high quality soundcards use RCA connectors and unbalanced connections (Fig. 1.2).
  • Professional soundcards use TRS 6.3 mm connectors for balanced connection, TS 6.3 mm connectors for unbalanced connection, and XLR (Cannon) connectors for balanced microphone connections (Fig 1.3).

XLR- female | XLR – male | TRS 6.3mm and 3.5mm | TS 6.3mm and 3.5mm | RCA
pin1 – ground pin 2 - plus pin 3- minus | pin1 - ground pin 2 - plus pin 3- minus | T (tip) - plus R (ring) - minus S (sleeve) - ground | T (tip) – plus S (sleeve) - ground | pin - plus guard - ground
balanced microphone cables | balanced microphone cables | balanced cables or unbalanced stereo cables | unbalanced cables (coaxial cable) | unbalanced cables (coaxial cable)

Table 1.1 Connectors and cables used in audio systems

1. Line-In (light blue)

2. Line-Out – Front speaker (green)

3. Mic In - Mono microphone (pink)

4. Out – Central speaker and Sub-bass (orange)

5. Out-Back speaker (black)

6. Out – Side speaker (grey)

Figure 1.1 Audio connectors on the PC motherboard (example for 5+1 surround sound system).

Standard PC stereo systems have three connectors (1, 2, 3 on motherboard). Surround 5+1 sound systems have additional three connectors (4, 5, 6 on motherboard). One of the outputs is designed to drive headphones with nominal 32 W impedance. For soundcard testing we use loopback connection of Line-In (blue) i Line-Out (green) using stereo cable terminated with mini TRS connectors. Input impedance of Line-In input on most PC soundcards is 10-20 kW.

On laptops and notebooks, usually there are only headphone output and microphone input. Those systems are not appropriate for use with ARTA as they can’t enable measurements in dual-channel mode because microphone input is a mono channel.

Figure 1.2 PCI card with RCA connectors (i.e. Terratec EWX24/96 or M-Audio Audiophile 24/96). There are separate connectors for left channel (in white color) and for right channel (in red color).

Figure 1.3 Professional sound system with Firewire interface, TRS i XLR connectors

Fig. 1.3 shows an example of a high quality Firewire professional sound system. On the front panel there are two XLR microphone inputs. In the center of the XLR connector a TS connector is inserted. It serves as music instrument input. Input impedance of instrument input is from 470 kW to 1 MW. Both inputs has volume control. Microphone inputs can be switched to phantom power which gives power suppply of 48V to pins 2 and 3 of XLR microphone connector. Next, there is a master volume control for adjusting output level and input monitor level. Finally, there is a headphone volume control and a headphone stereo TRS connector. On the back panel there are two balanced inputs, two balanced outputs, SPDIF optical connectors and two Firewire connectors.


1.2 Measurement Setup

In this document we refer to following measurement setups:

  1. Dual channel measurement setup
  2. Single channel measurement setup
  3. Semi dual channel measurement setup
  4. Loopback for soundcard testing

A general measurement setup for system testing is shown in Fig. 1.1. The left line-output channel of the soundcard is used as a signal generator output. The left line-input is used for recording a D.U.T. output voltage and the right line-input is used for recording a D.U.T. input voltage. In a single channel setup only a D.U.T. output voltage is recorded. In a semi dual channel setup the right line-input is used to measure the right line-output voltage. In a loopback setup the left line-output is connected to the left line-input and the right line-output is connected to the right line-input.

Setups for acoustical measurements are shown in Figures 1.2, 1.3, 1.4 and 1.5.

Figure 1.1 General measurement setup for system response testing (D.U.T = device under test)

Figure 1.2 Dual channel measurement setup for acoustical measurement

To protect the soundcard input from a high voltage that may be generated by the power amplifier, it is recommended to use a voltage probe circuit, as shown in Fig. 1.3. Values of resistors R1 and R2 have to be chosen for arbitrary attenuation (i.e. R1=8200 and R2=910 Ω gives probe with -20.7 dB (0.0923) attenuation if the soundcard has usual input impedance - 10 kΩ). In a single channel mode this probe is not connected.

Figure 1.3 Voltage probe with soundcard input channel overload protection

Figure 1.4 Single channel measurement setup for acoustical measurements

Figure 1.5 Semi-dual channel measurement setup for acoustical measurements

Figure 1.6 Loopback setup for soundcard testing

ARTA is also targeted for "point-to-point" testing of audio quality in communication systems. Figure 1.7 shows setup for testing such systems. Interface to mobile phones can be realized by using a headset I/O. Interface to the standard phone line (POTS) is shown in Fig. 1.8.

ARTA can measure frequency and impulse response, distortions of sine, two-sine and multitone signals, estimate delays, echoes and speech transmission index. A special measurement technique, with an interrupted noise excitation, is applied to circumvent time-variant behavior of these systems (automatic gain control, noise reduction, voice activation).

Figure 1.7 Measurement setup for testing communication systems

Figure 1.8 Interface from the soundcard I/O to the standard phone line (POTS)


1.3 A First Touch

When you start the program ARTA you will see the program window as shown in Figure 1.9. This window is called Impulse response window (Imp window). It will be primarily used to show the impulse response, also it will be used to show the time record of captured signals.

Figure 1.9 Impulse response window

By using the menu Mode, you can switch to three frequency domain windows for the real-time analysis:

  • Dual channel frequency response measurement window
  • Single channel frequency response measurement window
  • Spectrum analyzer window

The measurement mode can also be chosen by clicking the following toolbar icons:

IMP - Impulse response window

F R2 - Dual channel frequency response measurement window

F R1 - Single channel frequency response measurement window

SPA - Spectrum analyzer window

Now click these menus or toolbar icons to see how the measurement windows are working.

Figure 1.10 Dual-channel frequency response window - FR2 (the same is the look of the single channel frequency response window - FR1)

Figure 1.11 Spectrum analyzer window

The Impulse response window is most important for a system response analysis. It will be described in more detail after we show how to analyze the spectrum and the system frequency response.

Note: All figures were obtained by copying full windows bitmap picture from the Windows clipboard. Pictures were placed to Clipboard by simultaneously pressing two keys: Ctrl+P.


1.4 Audio Devices Setup

Before you start measuring you have to setup your hardware and audio devices by clicking the menu Setup->AudioDevices or by clicking the toolbar icon [image] . You will get the dialog box for the audio devices setup shown in the Fig. 1.15.

Figure 1.15 Dialog box for audio devices setup

The 'Audio Device Setup' dialog box has following controls:

In section Sound Card:

Soundcard driver - chooses the type of soundcard driver (WDM – windows multimedia driver or one of the installed ASIO drivers).

Input channels - chooses the soundcard input stereo channels. ASIO driver can have large number of channels.

Output Device - chooses the soundcard output stereo channels.

Generally, user chooses input and output channels of the same soundcard (mandatory in ASIO driver mode).

Control panel button – if WDM driver is chosen, it opens Sound control panel. If ASIO driver is chosen, it opens ASIO control panel.

Wave format – chooses wave format: 16-bit, 24-bit, 32-bit or Float. Float means IEEE floating point single precision 32-bit format. It is recommended to use 24-bit or 32-bit modes when using a high quality soundcard (many soundcards are declared as 24-bit, but their real bit-resolution is less than 16-bits). It is is recommended to choose resolution type 'Float'. This control has no effect in the ASIO mode, where a bit resolution has to be setup in the ASIO control panel.

AD/DA transient time on startup and on sampling rate change – chooses time in milliseconds that sound capture will be delayed in order to eliminate transient signals and distortion that can arise on startup or on sampling rate change. After the first measurement with this delay, it is not used until sampling rate is being changed.
User has to decide on transient time value by monitoring low-frequency excess noise in sine spectrum, or by monitoring distortion in impulse response measured with swept-sine (see chapter 6.1.8).
For those that just started using ARTA it is recommended to use the transient time value of 1500ms. Some high quality sound systems, like RME Babyface Pro, have very small transient time and values bellow or equal to 300ms are acceptable.

In section Input:

LineIn sensitivity - enters the sensitivity of the line input (i.e. peak voltage in mV that corresponds to the full excitation of the line input).

LR channel diff. (dB) - enters the difference between the sensitivity level of the left and the right input channels in dB.

The best way to enter these values is to follow the calibration procedure as described in the next chapter.

In section Output:

LineOut sensitivity - enters the sensitivity of the left line output (i.e. peak voltage in mV that corresponds to the full excitation of the line output).

Power amplifier gain - if you connect the power amplifier to the line-output, and you need calibrated results in a single channel setup, you have to enter the power amplifier voltage gain, otherwise set gain to 1.

In section External preamplifiers:

Left preamplifier gain - If you connect a preamplifier or voltage probe to the left line input you should enter the gain of the preamplifier or probe attenuation in the edit box, otherwise set it to unity gain.

Right preamplifier gain - If you connect a preamplifier or voltage probe to the right line input you should enter the gain of the preamplifier or probe attenuation in the edit box, otherwise set it to unity gain.

In section Microphone:

Microphone used - check box if you use the microphone and want the plot to be scaled in dB re 20 μPa or dB re 1 Pa. Also, use combo box to choose the channel where the microphone is connected (we strongly recommend to use the soundcard left channel as the microphone input channel).

Sensitivity - enters the sensitivity of the microphone in mV/Pa.

The setup data may be saved and loaded, by pressing the buttons 'Save setup' and 'Load setup'. The setup-files have the extension '.cal'

Important notice: Please mute the line and microphone channels at the output mixer of the soundcard; otherwise, you might have a positive feedback during measurements. If you use a professional audio soundcard, switch off the direct or zero-latency monitoring of the line inputs.

1.4.1 WDM Audio Driver Setup for Windows

The operating system (also, sometimes in conjunction with control programs of professional soundcards) is responsible for setting soundcard native sampling rate and bit resolution. Operating system changes native resolution to floating point format for high quality mixing and eventually for the sample rate conversion.

For ARTA, this means that it is strongly recommended to use ‘Float’ resolution and sets the sampling rate to the native format. Access to these values is in ‘Windows sound control panel’, which user gets by clicking on button ‘Control Panel’ in ‘Audio Device Setup’ dialog box.

Fig. 1.16 shows Sound control panel, that has four property pages.

As first step, user has to adjust Playback page and later repeat the same procedure for 'Recording' page. Adjustment steps are:

1) Click on channel info to choose a playback channel. It is not recommended to use the measurement channel as a default audio channel.

2) Click on button ‘Properties’ to opens channel ‘Sound properties’ dialog.

3) Click on the tab ‘Levels’ to open the output mixer (as in Fig. 1.17). Then mute Line In and Mic channels, if exist.

4) Click on the tab ‘Advanced' to set the channel resolution and a sample rate (as in Fig. 1.20)

5) Repeat previous procedure 1) to 4) for recording channel, and choose the same sampling rate as in the playback channel.

Figure 1.16 Vista Sound Control panel

Figure 1.17 Playback channel properties – Output levels

Figure 1.20 Setting the native bit resolution and sampling rate in Vista

1.4.2 ASIO driver setup

ASIO drivers are decoupled from the operating system control. They have their own control panel to adjust native resolution and memory buffer size. The buffer is used for transfer sampled data from the driver to the user program. User opens the ASIO control panel by clicking button ‘Control Panel’ in ARTA ‘Audio Device Setup’ dialog. Fig. 1.19 shows an example of ASIO control panel.

Figure 1.19 E-MU Tracker Pre ASIO Control panel for setting bit-resolution and buffer size

In music applications user usually sets buffer size as small as it is possible for the stable work. That gives the lowest input/output latency (system-introduced delay).

In ARTA, the latency is not problem, as it is encountered in software, but it is not recommended to use buffer with size larger than 2048 samples, or smaller than 256 samples. Some ASIO control panels express the buffer size in samples, while other express the buffer size in time [ms]. In that case we can calculate the size in samples using following expression :

buffer_size [samples] = buffer_size[ms] *samplerate[kHz] / number_of_channels.

ARTA automatically sets the buffer size for signal duration of 10 ms (i.e. 512 samples for sample rate 48kHz, 1024 samples for sample rate 96kHz and 2048 samples for sample rate 192kHz).

ARTA always works with two input channels, and two output channels, treating them as stereo left and right channels. As ASIO support multichannel devices, user has to choose in a dialog box ‘Audio Device Setup’’ which pair of channels will be used in ARTA (1/2, 3/4,).

Note: ARTA releases ASIO driver when measurement stops, but if driver needs long time to be loaded, ARTA keeps driver open all the time.


1.5 The Calibration

1.5 Calibration and Frequency Response Compensation

Calibration is a process which defines mapping of internal digital values D[i] to external analog voltage values V[i]. Index i denotes signal value sampled in time i/samplerate. For linear system this mapping is defined with single factor called sensitivity;

Sensitivity = V[i] / D[i], where |D[i]| <= 1, i = 0,1,2,…

In ARTA software discrete values D[i] are floating point values in the range from -1 to 1. The unit of sensitivity is the Volt as D[i] is dimensionless, but we will also use the unit mV. The above definition is also valid for RMS values of periodic signals.

Sensitivity = Vrms / Drms

Maximum possible value of discrete sequence D[i] is 1 .That gives us alternative definition of sensitivity as maximum peak value of voltage (or full scale value) that can be recorded (or generated) by digital instrumentation;

Sensitivity = Vpeak_max

Menu command Setup->Calibrate devices opens the dialog box 'Soundcard and Microphone Calibration' shown on Fig. 1.22. That dialog enables setup of sensitivity for soundcard input and output channels. The same dialog box serves for calibration of microphone sensitivity. Microphone sensitivity defines mapping of sound pressure on microphone membrane to voltage generated by microphone. It has unit mV/Pa.

Figure 1.22 Dialog box for the calibration of soundcard and microphone

Dialog box has three sections for :

(a) soundcard output left channel calibration,

(b) soundcard input left and right channels calibration, and

(c) microphone calibration.

During calibration sampling rate can be set to 44100 or 48000 Hz, by using combo box at bottom of dialog.

1.5.1 Calibration of Soundcard Output Left Channel

It is recommended to follow this procedure:

1. Connect the electronic voltmeter to the left line output channel.
2. Set 'Output level' control to -3dB or less.
3. Click the button 'Generate sine (400 Hz)' and program generates output sine signal with peak value that is 3 dB below full scale value (or other value set with Output level control). The button label changes to ‘Stop generator’.
4. Enter the voltmeter readout in edit box (in mV rms). (Note that rms value is 3 dB, or 1.414 times, lower than peak value). If you read from scope in the combo box choose to enter mV peak.
5. Click the button ‘Stop generator’, and then click the button 'Estimate Peak Output mV'.
6. The estimated value will be shown in the box 'Estimated'. Program uses following equation for sensitivity:

Sensitivity = Maximum Output Peak (full scale) = 1.41421 * Vrms * 10Output_level/20

In the case that generator output level was set to -3 dB this value will be twice the RMS voltmeter readout.

7. If you are satisfied with the measurements, press the button 'Accept', and the estimated value will become the current value of the 'LineOut Sensitivity'. Also, it will be entered as a value for the input channel calibration.

Important: Calibration is valid until we change output volume control.

1.5.2 Calibration of Soundcard Input Channels

You can use an external sine generator or the output channel of the soundcard to calibrate the input channels. In both cases you should measure the value of generator output voltage.

If you are using the output channel of the soundcard as a calibrated generator:

1. Set the left soundcard line input volume to some value. Start with maximum volume or minimum gain if soundcards has a built-in preamplifier. Later you can calibrate for any preamplifier gain.

2. Connect generator output to left input channel.

3. Click the button 'Generate sine (400 Hz)' and monitor the input level at bottom peak-meters. If the soundcard input is clipping, lower the level of souncard input volume. Alternatively you can lower the generator level (but, then you need to measure output voltage Vrms again).
4. Enter the value of generator voltage in the edit box, but only if it differs from value used during output channel calibration (1.5.1).
5. Click the button 'Estimate Peak Input mV', and program will calculate sensitivity as ratio of Vrms/Drms.
6. If you are satisfied with measurement, click the button 'Accept', and estimated value will become the current value of the 'LineIn Sensitivity'.
7. Repeat steps 1-6 for the right input channel.

Note: This is the recommended procedure as it guarantees that you can connect the soundcard in loopback mode. If you want to calibrate the input channels with the input volume set to maximum, many soundcards require a reduction of the level of the output channel.

Important: Calibration is valid until we change input volume control.

1.5.3 Calibration of the Microphone

To calibrate the microphone you must have a sound calibrator. Then:

1. Connect the microphone preamplifier to the soundcard input (left or right).
2. Enter the preamplifier gain.
3. Attach the sound calibrator on the microphone.
4. Press the button 'Estimate mic sensitivity'.
5. If you are satisfied with a measurement, press the button 'Accept'.

Note: If you don't know the preamplifier gain, you can set some arbitrary gain value, but that value must be used as a preamplifier gain in 'Audio Devices Setup' dialog box.

1.5.4 Frequency Response Compensation

The quality of the measurement depends on the quality of used sensors, i.e. microphones. It si possible to enter the frequency response of sensor in ARTA and make the compensation of their frequency response (by applying the inverse of sensor FR to measured FR).

The menu command Setup->FR compensation or click on icon [image] gets the dialog box "Frequency Response for Compensation", shown in Fig. 1.23.

Figure 1.23 Typical frequency response of an electret microphone.

The dialog has few controls and a graph that shows the frequency response that will be used for FR compensation.

The button Load opens the dialog for loading ASCII file that contains frequency response data.

The file name must have extension .MIC, .TXT or .FRD, and data entered in lines of text. Lines that start with a digit or dot characters must contain at least two values: first value is frequency in Hz and the second value is magnitude of frequency response in dB. The third value is optional. It may be the value of phase in degree or any other text that will be treated as comment. All other lines are treated as comment. After succefull reading of the compensation file, the path of file will be shown in box below the graph.

For example, file MB550-B (shown in Fig. 1.23) has content:

    microphone mb550
    freq(Hz) Magn(dB)
    48.280   0.34
    48.936   0.28
    49.601   0.21
    50.275   0.16 .....

The check box 'Show interpolated values' enables us to see the interpolated FR curve that will be used in FR compensation.

The button 'Copy' copies current graph picture on Windows clipboard.

The combo list box 'Range (dB)' sets graph magnitude dynamic range (10 to 100 dB).

The check box 'Use frequeny response compensation' enables/disables frequency response compensation.

The check box 'Use for spectrum' enables/disables spectrum magnitude compensation. That values are used in harmonic and intermodulation distortion calculations.

For compensation of FR or Spectrum magnitude level we use equation:

Corrected level (dB) = Measured level (dB) – Compensation level (dB)


1.5 The Calibration

1.6 Rotating Turntable Driver Setup

The menu command Setup->Rotating Turntable the 'Rotating Turntable Driver Setup' dialog box shown in Fig. 1.24.

Figure 1.24 Dialog box for the setup of rotating turntable

Two types of drivers can be chosen :

1. External .exe file DIY-turtable driver,

2. Internal driver for Outline turntable ET 250-3D

1.6.1 External .exe file driver

The button "<< Browse file" opens a dialog for choosing the path and name of DIY driver .exe file. It is required that driver .exe file is a program that accept two types of command line arguments:

1) First type of command has argument denoted -r and it resets turntable and sets current position as zero angle position.

2) Second type of command has argument an integer in the range -360 to 360 and it is a command to rotate turntable to angle given by that argument.

1.6.2 Internal driver for Outline turntable ET 250-3D

ARTA has a built-in driver for the ET250-3D Outline turntable. This turntable has to be connected to ethernet network port. To setup turntable driver user has to enter three strings: ET 250 network IP address, PC local IP address and port number.

Values for IP addresses can be obtained with commandline program that is delivered with the turntable setup program.

After entering IP addresses user should press button "Init ET250 network connection" and optionally check the box "Use acceleration" if needs faster (but more demanding) turntable rotation.

Note: Manufacturer of Outline turntable changed port numbers for units sold after January, 2021. Allowed port numbers are: 6667, 6668 and 6669. Ports numbers 6665 and 6667 are valid for older units.

Note: First execute delivered setup program and assure that turntable is working.

1.6.3 Testing of turntable driver

To test turntable driver two commands are available:

1. Resetting turntable is done by pressing the button "Set current position as zero degree position".
2. Rotating turntable to angle (value -360 to 360 ) that is entered in the edit box is done by pressing the button "Rotate to angle".


1.7 Getting Images of Graphs and Windows

Images of graphs and windows can be copied to Windows clipboard or saved to the file in a three image formats: .png, .bmp and .jpg. It is recommended to use .png format.

Obtaining copy of the full window picture is simple. The user needs to simultaneously press keys Ctrl+P. After that command the window picture will be saved in the System Clipboard. From there the user can paste it in other opened Windows applications (MS Word, MS Paint). Keys Ctrl+Alt+P activate command to save that image in the file.

To copy or save the graph picture, that is shown inside the window, user needs to simultaneously press keys Ctrl+C or activate the menu command 'Edit->Copy', or press appropriate 'Copy' button. In the main window toolbar, the 'Copy' button is shown as toolbar icon [image] .

The Copy command opens the dialog box 'Copy/Save Image with Extended Information', shown in Figure 1.25. Here the user has to setup the following options:

1) By using combo box above ‘OK’ button, user chooses one of three modes of saving the image: Copy to Clipboard, Save to File and Save to File + Copy to Clipboard.2) 2) Check box ' Add filename and date' enables adding text to the graph that shows file name, date and time. If overlay curves exist, their names and line color signs are added at the bottom of the graph.

3) Check box ' Save text' enables saving entered text for the next copy operation.

4) Combo box 'Aspect ratio' enables copying of graph with fixed aspect ratios: 3:2 and 2:1

5) Bitmap size is chosen by selecting one of following combo box items

  • Current screen size - user adjusts graph width and heigh

  • Smallest - graph width is 500 points

  • Small - graph width is 600 points

  • Medium - graph width is 800 points

  • Large - graph width is 1000 points

  • X Large - graph width is 1200 points

  • XX Large - graph width is 1500points

  • XXX Large - graph width is 2000 points

The size greater than Large will give publication style quality if graphs are drawn with thick lines and grids.

Thick lines and grids are drawn with two point width.

User selects pen thickness in every graph window by menu commands Edit->Thick lines and Edit->Thick grid.

The button 'OK' copies the graph to the system clipboard.

The button 'Cancel' cancels the copy operation.

Figure 1.25 Dialog box 'Copy / Save Image with Extended Information'


2 Spectrum Analyzer

2.1 Soundcard testing

2.2 The Spectrum Estimation Procedure

2.3 Frequency Resolution of DFT and Octave-band Analyzer

2.4 RMS Level

2.5 The Time Record

2.6 Monitoring Spectra of Wideband Signals

2.7 The Periodic Noise

2.8 Testing with Two Sine Signal

2.9 The Multitone Testing

The spectrum analyzer of ARTA is implemented as a real-time FFT based spectrum analyzer. A built in generator provides the following signals: sine, two sine, square, triangle, multitone, white noise, pink noise, periodic white noise (PN white), periodic pink noise (PN pink) and periodic speech noise (PN speech).

Working with the spectrum analyzer will be explained through the soundcard testing procedure.


2.1 Soundcard Testing

An easiest way to test the quality of the soundcard is in the Spectrum analyzer mode.

1. Make the loopback connection for the soundcard testing.

2. Click the menu Mode -> Spectrum Analyzer or click the toolbar icon Spa.

3. Click the menu Generator->Setup or click the toolbar icon [image]. You will get the dialog box shown in Fig. 2.1.

Figure 2.1 The dialog box for the signal generator setup

This dialog box has following controls:

Sine / square generator section:

Frequency - enters the frequency of sine signal in Hz.

Peak Level - chooses the output peak level re full scale peak level in range 0dB to -90dB.

RMS Voltage - shows voltage of line output channel.

Dither Level - chooses: None, 16bit, 18bit or 20bit.

Two sine generator section allows the choice of three possible combinations of frequencies and magnitude ratios:

Def1 - sets f1=13 kHz, f2=14 kHz, amplitude ratio 1:1.

Def2 - sets f1=100 Hz, f2=8 kHz, amplitude ratio 1:4.

User - enters two sine frequencies and the amplitude ratio.

Note: the two sine signal has the peak level defined in the Sine generator section – Peak Level control.

Multitone and noise generator section is for setup of multitone and periodic noise parameters:

Output volume - chooses the output level re full scale level in range 0dB to -50dB.

PN Pink cut off - enters the low frequency cut-off in Hz, for the periodic pink noise.

Speech - chooses type of speech spectra: Male[2011], Female[2011] and Male[2020] (number in brackets denotes year of publishing IEC standard. 60268-16).

Multitone - chooses the type of multitone signal:
Audio range - 1/R octave spaced sine signals in range up to 20kHz,
A/D sampling range - 1/R octave spaced sine signals in range up to half sampling rate,
Speech range - composite signal for testing GSM audio inrange 100 to 8000Hz,
ITU-T O.81 - signal for testing telephone audio quality,
Sine+Square - signal for testing transient intermodulation distortion,
Resolution - chooses tone density from 1 to 12 per octave in Audio and A/D sampling range.
Range (Hz) - sets Audio range lowest and highest frequency.
Lowest frequency can be set from 5 Hz to 1000 Hz.
Highest frequency can be set from 2000 Hz to 20000Hz.
Use output filter – if checked, the output filter is applied on generated Audio range multitone signal.
Set filter – opens dialog for the definition of output filter.

Note 1: PN( periodic noise) is a periodic, noise-like signal with a controlled spectrum level and a random phase. The periodic noise and a multitone belong to the class of multisine signals (will be explained later).

Note 2: Jitter test signal is a sine signal with a frequency equal to 1/4 of the sampling rate, and with a LSB bit toggled with a frequency equal to 1/192 of the sampling rate.

Note 3: Multitone test signals contain mix of sine signals with different amplitudes and phases. Their use will be explained later.

Now choose parameters of sine signal:

Frequency: 1000 Hz

Peak level: -3 dB

Dither level: 16 bit.

4. Using the dialog bar choose:

Gen: Sine (the type of generator signal)

Fs (Hz): 48000 (sampling frequency or sampling rate),

FFT: 16384 (number of samples in FFT analysis frame),

Wnd: Kaiser5 (signal window to suppress leakage in FFT analysis),

Averaging: None (averaging of the signal).

The same parameters can be set up in a dialog box 'Spectrum Analysis Setup' that is shown in Fig. 2.2. (you get it by clicking the menu Setup->Measurement) .
By using this dialog box you set (1) the preferred input channel, (2) averaging parameters and (3) the FFT resolution.

Figure 2.2 The spectrum analysis setup

This dialog box has following controls:

Input channel section:

Choose: Left or Right channel as active souncard channel.

Averaging section:

Type: Chooses: None, Linear, Exponential or Peak Hold.

Max. averages: enters the maximum number of averages.

FFT resolution section:

FFT size: chooses number of samples in FFT block (4096, 8192, 16384, 32768, 65536 and 131072).

Window: chooses: Uniform, Hanning, Blackman3, Blackman4, Kaiser5, Kaiser7 or Flat Top window.

Sampling rate: chooses: 8000, 11025, 16000, 22050, 32000, 44100, 48000, 88200 or 96000 Hz.

A combo box preferred input channel has two options: Left or Right, to set the active soundcard input channel.

5. Choose: Input channel: Left.

6. Prepare the Windows sound mixer:

Enable the line-input channel

Mute the line-input channel in the output mixer.

Set the line-out volume for maximum output sensitivity.

Set the line-input volume near minimal input sensitivity.

7. By menu command Setup->Spectrum Scaling ( [image]), or by clicking right mouse button in graph title area, you get the dialog box 'Spectrum scaling' (shown in Fig. 2.3). Use this dialog box to set (1) the magnitude scaling, (2) the power weighting and (3) distortion measures.

Figure 2.3 The spectrum scaling

This dialog box has following controls:

Scaling section:

Magnitude scaling:

dBFS (dB re full scale),

dBV or SPL (sound pressure level),

PSD (power spectral density mode in dB V/√Hz).

Voltage units: dBV or dBu.

Pressure units: dB re 20 uPa or dB re 1 Pa (valid only if microphone is connected and enabled).

Power section:

Power Weighting - chooses: None, A, B or C filter for weighted signal power estimation.

Show RMS level - check box to show the power level at the graph bottom.

Distortion section:

THD - check box to show total harmonic distortion (THD) in sine response testing.

THD+N - check box to show total harmonic distortion + noise in sine response testing.

IMD - check box to show intermodulation distortion (IMD) in two sine response testing, or transient intermodulation distortion (DIM) in square+sine multitone testing.

Multitone TD+N - check box to show total distortion + noise (TD+N) in multitone response testing.

Normalize with full power – check box to get THD normalized with signal power including higher harmonics.

Low cut-off (Hz) combo box - sets low frequency cut-off in THD+N measurements.

2nd and 3rd order IMD – check box to show 2nd and 3rd order IMD defined in SMPTE, DIN, CCIF and IEC standards.

Frequency weighting – check box to use frequency weighting (A,B,C) in THD+N and TD+N measurements.

8. Check following check boxes: THD, THD+N and Show RMS level .

9. Start recording by clicking the toolbar icon [image] (or menu Recorder->Run). You should get the response like one shown in Fig. 2.4. This figure can be obtained by copy/paste operation (menu Edit->Copy).

Slowly increase the volume of the line input channel (using the soundcard mixer) until you get the peak level close to -3 dBFS.

Figure 2.4 Spectrum of 1 kHz sine generator of the soundcard Terratec EWX 24/96 in loopback setup. Signal window: Kaiser5, FFT size: 16384, Fs: 48000 Hz.

The bottom of Fig. 2.4 shows the spectrum value at the cursor position (frequency and magnitude), RMS level and distortions. The cursor is drawn as a thin line that can be moved by pressing left mouse button or by pressing keyboard's left and right keys.

If you get THD+N lower than 0.1% you have a usable soundcard.

If you get THD+N lower than 0.01% you have a good soundcard.

Note: During the measurement you can use the control bar to change the averaging type, reset averaging, change the sampling frequency, change the type of an excitation signal and an FFT size.

You can change any plot parameters (dynamic range, frequency range and axis) from dialog box 'Spectrum graph setup' (you get it by clicking the menu Setup-> Graph setup or by clicking right mouse button in the plot area). The easiest way to adjust graph margins is by using Right Control bar. Functions of bar buttons are explained in Figure 2.5.

Figure 2.5 Control bar for graph margins setup (also used for frequency response windows)

Note: Useful shortcuts to change the top graph magnitude margin are "Up" and "Down" keys and mouse scroll wheel (they move the plot up and down).


2.2 The Spectrum Estimation Procedure

The spectrum shown in Fig. 2.4 is obtained by following procedure:

1. An input signal is sampled with frequency fs and transformed into discrete sequence xn of length N=FFT size (the number of samples in the acquisition window is equal to 'FFT size', and can be set to: 4096, 8192, 16384, 32768, 65536 or 131072).

2. The input discrete sequence is multiplied with window sequence wn (will be explained later)

3. The Discrete Fourier Transform

is calculated using the FFT algorithm. It gives spectral components as complex values at discrete frequencies

fk = k Δf ,

where Δf is a DFT spectral resolution

Δf = fs / N.

For real signals, there are N/2 single sided power spectral components Gk:

4. The magnitude spectrum is shown in one of following scaling modes:

Scaling mode | Level | Units
Peak level (ref. full scale) | 10 log(2Gk) | dBFS
RMS level (power spectrum) | 10 log( Gk × (input_sensitivity / preamp_gain)2 ) | dBV (or dBu)
Power spectral density | 10 log( Gk × (input_sensitivity/ preamp_gain)2 / Δf) | dBV/√Hz (or dBu/√Hz)

Note 1: If a signal window is applied, then spectrum values are divided by a scale factor that is equal to average window value - in a RMS level mode, or a rms window value - in a power spectral density mode.

Note 2: If the check box Use Microphone is enabled in dialog box 'Audio device setup', then RMS or PSD levels are raised by 20log10( 2×10-5 Pa) × microphone_sensitivity(mV/Pa).

5. The spectrum plot shows levels of spectral magnitudes as line-graph.

Note: A DFT spectrum is defined at discrete set of frequencies, so it would be more appropriate to show the spectrum as a discrete bar-graph, but when we deal with a large number of spectral components, as is the case in ARTA, a line-graph gives better visual insight of spectral magnitudes.

The bottom of spectrum graph shows (Fig. 2.4):

  • RMS - RMS level of the input signal - defined as 10 log10 (sum of all DFT power spectrum components). If the power weighting in the 'Spectrum Scaling' dialog box is set to A, B or C filter, then each spectral components is weighted, before the spectrum summation, with magnitude response of A, B or C filters (for definition of these filters see section 2.9).
  • THD - total harmonic distortion - is defined as a percentage of the square root of ratio of power sum of higher harmonics (H2,H3,..) to the power contained in the first sine harmonic (H1).

or alternatively,

In a denominator a full distorted signal power is used. This definition is closest to the value of harmonic distortions that are measured by analog instrumentations in low noise systems. In a system with high noise, a better quality measure, equivalent to analog instrumentation, is a THD+N.

  • THD+N - total harmonic distortion plus noise - is defined as percentage of the square root of ratio of power sum of higher harmonics and the noise power to the total signal power, that also include distortions and noise.

An alternative definition is:

In analog instrumentation HarmonicPower+NoisePower is obtained by applying a notch filter to the fundamental frequency. The RMS value of signal and a RMS value of signal with notched fundamental harmonic are measured in some predefined frequency band, usually from some low frequency cut-off (10, 20 or 100 Hz) to the high-frequency cut-off (22, 30 or 80 kHz). ARTA does not use a high frequency limiting. It is automatically done by the antialiasing filter of an input AD converter. The low frequency cut-off can be set by the user. Filtering of harmonics and noise can be also done by applying frequency response compensation with inverse filter response.

Note: If there is no signal at the card input, then RMS shows the input channel S/N ratio.


2.2.1 Spectrum Averaging

The power spectrum averaging gives the estimation of spectral magnitudes of signals that are longer than the single acquired sequence. ARTA offers power averaging with a linear and an exponential weighting, and peak-hold averaging.

Exercise: Set averaging to linear, exponential, or peak-hold, and note the different behavior.

Note: The power averaging does not lower the noise level. It just gives the average noise level.

Here is a brief explanation of the power averaging weighting. For M input sequences with spectral components Xki , k=1,2, .. N/2-1, averaged spectral magnitudes YkM are obtained in the following way:

Linear averaging - averaged spectral magnitudes YkM, of M input sequences are obtained by summing power spectrum with equal weight 1/M.

Exponential averaging - is usually used for monitoring of slow varying spectra. It emphasizes recent events, smoothes out high frequency variations and reveals long term trends. The ARTA uses a smoothing filter which simulates a low pass, first order analog filter with a time constant T:

The constant a is equal to T fs /( T fs +1). In ARTA, T is predefined as 10 × acquisition time of a single sequence.

Peak hold - actually this is not averaging, just YkM are equal to maximum values of spectral components,

You can restrict the maximum number of averages in the 'Spectrum analysis setup' dialog box shown in Fig. 2.2 (you get it by clicking the menu Setup ->Measurement).

Note: In classical power spectrum estimation it is usual to average overlapped time records. This is not implemented in ARTA as ARTA is targeted to measurements of system responses with predefined types of signals that are periodic in the analysis window.


2.2.2 Signal Windowing

DFT analysis gives exact values of the spectrum only if the acquired signal is periodic within the acquisition window. If this is not the case, a signal window must be applied to suppress "leakage" errors (i.e. when analyzing the spectrum of sine signal these errors give rise to a side-lobe spectrum - see Fig. 2.6a). A signal windowing is operation in which the input sequence xn is multiplied with a equal length sequence wn that is called signal window. ARTA offers following signal windows: Uniform, Flat-top, Hanning, Blackman3, Blackman4, Kaiser5 and Kaiser7. They are defined in Table 2.1.

Uniform (rectangular) | wn = 1, for n = 0,1,2,.., N-1
Hanning | wn = 0.5 (1 - cos(yn)), yn = 2p n / N
Blackman 3 terms | wn = 0.42 - 0.5cos(yn) + 0.08cos(2yn);
Blackman 4 terms (Blackman - Harris) | wn = 0.35875 - 0.48829cos(yn) + 0.14128cos(2yn) - 0.01168cos(3yn);
Flat-top | wn = ( 1 - 1.93cos(yn) + 1.29 cos(2yn) - 0.388 cos(3yn) + 0.0322 cos(4yn) ) / 4.6402
Kaiser5 (b = 5p) Kaiser 7 (b = 7p) |

Table 2.1 Definition of signal windows used in ARTA

When applying the signal window, it is recommended to follow these rules:

  • for continuous nonperiodic signals (noise) use the Hanning window
  • for measuring harmonic and intermodulation distortions use the Kaiser5 or Blackman4 window, but for 24-bit resolution use Kaiser7 window
  • for calibration with a sine signal use the Flat-top window
  • for periodic noise, multitones and other signals that are periodic within the acquisition window use the Uniform window

Exercise: Change the signal window and repeat the measurement. Typical results are shown in Fig. 2.6.

Figure 2.6 Spectrum of 1kHz sine signal with applied windows: a) Uniform, b) Hanning, c) Flat-top, d) Blackman3, e) Blackman4, f) Kaiser5. (Magnitudes shown 20 dB/div)


2.2.3 Spectrum Graph Setup

The menu command Setup->Graph Setup or click to button Set in Right Control bar or click of right mouse button in the plot area, opens the 'Spectrum Graph Setup' dialog box shown in Fig. 2.7. Use this dialog box to adjust (1) the dynamic range shown, (2) the frequency range shown and (3) the frequency axis resolution.

Figure 2.7 The spectrum graph setup

Magnitude axis section:

Top (dB) - enters the level in dB for the top graph margin.

Range (dB) - enters the graph magnitude range.

Freq. range (Hz) section:

High - enters the highest frequency shown (in Hz).

Low - enters the lowest frequency shown (in Hz).

View All - sets Low and High frequencies to enable the view of all DFT spectrum components.

Frequency axis section:

Type - Four types of the frequency axis resolution are available:

Linear - DFT spectrum shown on a linear frequency axis,

Logarithmic - DFT spectrum shown on a logarithmic frequency axis,

Octave smoothing / sweeping - power levels or PSD levels in a sweeped octave bands are shown,

Octave bands - power levels in discrete octave bands are shown (simulate the RTA).

Smoothing resolution - The Octave smoothing and Octave bands modes are useful for monitoring the spectrum of wideband signals. The frequency resolution of these modes can be set to 1/n-octave, where n can be: 1,2,3,6,9,12 and 24.

Filtered smoothing - Smoothing 1/n-octave filters have, by default, brick wall characteristics, but if you check the box 'Filtered smoothing', then smoothing filters have characteristics of class I IEC filters (six pole bandpass Butterworth filters).

Thick lines - check box sets width of graph lines two point wide
Thick grid - check box sets width of graph grid lines two point wide

Note: Term Octave smoothing mode is correct for Power spectral density mode (PSD), but for Power spectrum modes, a better term would be a Octave Sweeping Power mode. To test these two different mode use loopback connection and monitor smoothed spectrum of white noise and pink noise. In PSD mode white noise has constant spectrum while pink noise falls 3dB/octave. In Power spectrum mode white noise has a rise of spectrum level 3dB/octave, while pink noise has constant spectrum.


2.2.4 Graph Colors Setup

2.2.4 Graph Colors and Grid Style Setup

Graph colors can be changed in two categories: background and foreground.

User sets the background color to "Black" or "White" by clicking the menu command 'Edit->B/W background color' or by clicking the toolbar icon [image].
User sets an arbitrary foreground color for every graph element by clicking the menu command 'Edit->Colors and grid style'. That opens the 'Color Setup' dialog box shown in Fig. 2.8. Clicking the left mouse button on a named color rectangle opens the standard Windows dialog box 'Color', shown in Fig.2.9, that is used for editing colors.

Note 1: If the check box'All overlays with same color' is checked, all overlays will be plotted with same color.

Figure 2.8 Dialog boxes for graph color setup (different colors are used for black and for white graph background)

Figure 2.9 Standard Windows color picker

Colors are used for plotting curves in a following way:

Plot pen 1 is used for plotting gated impulse response, spectrum and FR magnitude,

Plot pen 2 is used for plotting phase,

Plot pen 3 is used for plotting ungated impulse response and coherence function.

Graph grid style is defined with three options:

· If the check box 'Dotted graph grid' is checked, the graph grid in all types of graphs will be drawn in dotted style.

· If the check box 'Add axes tick marks' is checked, FR and spectrum graphs axes will have tick marks.

· If the check box 'Add subgrid on magnitude axis' is checked, FR and spectrum graphs will have a denser magnitude grid. This option disables the dotted grid option.

· User can adjust vertical axis in Frequency response and spectrum magnitude graphs by using spin control ‘Top’ or by rotating mouse wheel. If the check box 'Top magn. spin moves graph' is checked, the spin button ‘>’ moves plotted magnitude curve up by the step equal to vertical grid division, otherwise the graph top margin is increased the same amount and plotted curve moves down. The mouse wheel function follows the same behavior.

The button 'Default' restores default colors and grid style.


2.3 Frequency Resolution of DFT and Octave-band Analyzer

The frequency resolution is defined as a minimal difference in frequency necessary to distinguish two spectral components. It depends on (1) sampling frequency (fs), (2) 'FFT size' and (3) applied signal window.

DTF analysis of N input samples gives N/2 spectral components whose power spectrum equals the signal power that can be obtained with an ideal bandpass filter that has constant bandwidth Δf = fs / N, at frequencies fk = kΔf, k=0,1,2,..N/2-1. The bandwidth also depends on the applied signal window. The Table 2.2 shows the effective noise bandwidth and the side lobe suppression of signal windows that are used in ARTA.

window | effective bandwidth | side lobe suppression
UNIFORM | 1.0 | 13 dB
HANNING | 1.5 | 31.5 dB
BLACKMAN3 | 1.7268 | 66 dB
BLACKMAN4 | 2.0044 | 94 dB
KAISER5 | 2.2183 | 130 dB
KAISER7 | 2.6849 | 160 dB
FLATTOP | 3.7703 | 73.6 dB

Table 2.2 Characteristics of ARTA signal windows

In octave band analyzers the power spectrum is measured at some frequency fk in a frequency band that has constant relative bandwidth. In a 1/n-octave filter, relative bandwidth is equal to

For example, 1/3-octave filter has bandwidth 23% of the central frequency.

Central frequencies of 1/n-octave bands are determined by the expression:

with 1kHz used as reference value. This formula gives values that are close to standard frequencies given in the Table 2.3.

16.0 | 20.0 | 25.0
31.5 | 40.0 | 50.0
63.0 | 80.0 | 100
125 | 160 | 200
250 | 315 | 400
500 | 630 | 800
1000 | 1250 | 1600
2000 | 2500 | 3150
4000 | 5000 | 6300
8000 | 10000 | 12500
16000 | 20000 | 25000

Table 2.3 ISO 266 - Preferred center frequencies of 1/1-octave and 1/3-octave bands. (The first column shows 1/1-octave band frequencies)

In ARTA Spectral analysis window the octave-band energy is estimated by summing spectral powers of DFT bins in a 1/n-octave band. Two methods of summing are implemented, as illustrated in Fig. 2.10., and defined as follows:

Figure 2.10 Summing spectral powers in a band-pass of a) brick wall filter, b) 6-pole Butterworth bandpass filter

The power Pk in the band f1k ≤ fk ≤ f2k, can be estimated in two ways:

1. Power output of a brick wall band-pass filter - First, it is assumed that each DFT component gives the constant power spectral density Gn/ Δf in the frequency region nΔf - Δf/2 ≤ f ≤ nΔf +Δf /2 (this way we get a piecewise continuous spectral density). Then, power in a band is obtained as an integral of continuous spectral density function from f1k to f2k. This process is illustrated in Fig. 2.10a). The lowest frequency is determined by frequency of DFT bin that has relative bandwidth equal to 1/n-octave.

2. Power output of a 6-pole Butterworth bandpass filter - First, the power spectrum is weighted with a squared magnitude of a bandpass filter response, then Pk is estimated as a sum of power spectral components between frequencies where the filter response is -20 dB. This process is illustrated in Figure 2.10b). Additionally, it is required that at least three DFT spectral components contribute to that band. This requirement means that the bandwidth of a 1/n-octave band must be greater than double the DFT resolution bandwidth, which gives that the lowest frequency of a 1/n-octave band is:

For example, for a sampling frequency fs = 48000 Hz and the number of samples N=16384, the lowest frequency of DFT spectrum is equal to 2.93 Hz, the lowest 1/3-octave band is 25 Hz and the lowest 1/12-octave band is 100 Hz.

The first method is the preferred method for the high resolution analysis, but if the user wants to get the response as close as possible to responses of 1/n-octave analog filters, or close to the response of psycho-acoustical critical band filters, the second method gives better results.

Power spectral density of the k-th band is Pk /( f2k - f1k).


2.4 RMS Level

The RMS signal level is shown on the graph left bottom position, in Fig. 2.4, but only if the dialog box 'Spectrum Scaling' (Fig. 2.3) has checked the button ' Show RMS Level '. The unit for the RMS level is dBFS or dBV or dBu, but if the microphone is used then unit is dB re 20 uPa or dB re 1 Pa.

The same dialog box has a section 'Power - Weighting', where user choose to apply, to input signal, one of the IEC 60651 standard weighting filters (type A, B or C). Appropriately, the level labeling is appended with the text (A), (B) or (C). The frequency response of these weighting filters is shown in Fig 2.11.

Figure 2.11 A, B and C frequency weighting (IEC 60651)

The RMS value is defined as:

ARTA in spectrum mode uses the integration constant T equal to the duration of one FFT block (examples are shown in Table 2.4).

FFT- length | 4096 | 8192 | 16384 | 32768 | 65636 | 131072
T (fs = 48000Hz) seconds | 0.085 | 0.170 | 0.341 | 0.682 | 1.365 | 2.730
T (fs = 44100Hz) seconds | 0.093 | 0.185 | 0.371 | 0.743 | 1.486 | 2.972

Table 2.4 FFT-block duration (for sampling frequencies 48000 Hz and 44100 Hz).


2.5 The Time Record

The time record of the last captured signal can be seen in the Time Record window (shown in Fig. 2.12). It can be activated by cliking the menu Recorder->Time record, or by clicking the toolbar icon [image].

Figure 2.12 Time record of the last captured signal

The plot shows a properly scaled time record of the input signal. The yellow line denotes the cursor position, and the red line denotes the marker position.

User sets the cursor position by pressing and dragging the left mouse key, and marker position by pressing and dragging the right mouse key. Double clicking the right mouse button turns the marker on and off.

The 'Cursor: label denotes the magnitude of the signal at the cursor position (time in ms or sample position - in braces).

The 'Gate:' label denotes the difference in time (and samples) between the cursor and the marker.

Buttons on the right pane serve as commands to Scroll the signal plot, to Zoom plot in and out, to change the Gain and vertical Offset;

Zoom ratio is shown above the upper right corner of the graph. It is written as ratio p:n, where p means number of pixels used to draw n signal samples. Maximal zoom is defined with ratio 8:1, normal zoom is defined with ratio 1:1 and minimal zoom is defined with ratio 1:m, where m=signal length/graph width in pixels.

Zoom commands:

Up - increases the zoom factor

Down - decreases the zoom factor

Min - sets minimal zoom ratio (showing almost all signal samples)

Max - sets maximal zoom ratio, following these rules:.

If marker is set, then all samples between the cursor and the marker will be shown with maximum possible zoom ratio.

If the marker is turned off, the plot is zoomed to ratio 1:1 with cursor position sets to first graph point. (or to ratio 8:1 if previous zoom ratio is lower or equal to 1:1).

Gain commands:

Up - increases the the gain factor

Down - decreases the gain factor

Min - sets minimal gain factor

Max - sets maximal gain factor

Offset commands:

Up - increases the vertical offset

Down - decreases the vertical offset

Null - sets the vertical offset to zero

Scroll commands:

Left - scrolls the plot to the left

Right - scrolls the plot to the right

The 'Channel' combo box shows the currently used channel (left or right).

You can also use following shortcut keys:

Up and Down keys - to change the gain,

Ctrl+Up and Ctrl+Down keys - to change the vertical offset,

Left and Ctrl+Left keys - to scroll the plot left,

Right and Ctrl+Right key - to scroll the plot right, /span>

Shift+Left and Shift+Right keys - to move the cursor left and right,

PgUp and PgDown keys - to change the zoom factor,

Del - to set cursor to position 0,

Ctrl+Del - to remove marker,

Ctrl+Ins - to set marker on current cursor position.

Shortcut keys are active if graph window has a focus. The focus is set by clicking the mouse in the graph area.

Dragging the mouse in the label area scrolls the plot horizontally and vertically.

Double-clicking the left mouse button in the time axis area toggles the time/sample position labeling.

Menu comands are:

File

Export ASCII - saves time and amplitude data in textual file.

Info - opens message box that shows the signal RMS value and crest factor.

If marker is set, the RMS value is determined for part of the signal between the cursor and the marker.

Edit

Copy – copies graph window to clipboard.

BW background color – changes background color to back or white.

Thick Lines – sets graph line drawing thickness

Thick grid – sets graph grid drawing thickness.


2.6 Monitoring Spectra of Wideband Signals

Being in the Loopback measurement setup, we shall explore the following random excitation signals:

  • continuous white noise - use Hanning window and averaging
  • continuous pink noise - use Hanning window and averaging
  • periodic white noise (PN white ) - use Uniform window and no averaging
  • periodic pink noise (PN pink ) - use Uniform window and no averaging
  • periodic speech noise - this signal is exclusively used in the estimation of speech transmission index - STI

Note: Classical real-time audio analyzers use the pink spectrum excitation for an octave-band or an octave-smoothed analysis of the loudspeaker response. In an ideal case (after the averaging), the pink spectrum excitation gives a flat response in the Power spectrum mode (dBFS or dBV). If we use the white spectrum excitation, then an octave band or an octave-smoothing analysis gives a flat response in the Power Spectral Density mode (PSD mode).

It is important to study characteristics of white and pink spectrum signals, as they will be later used for a frequency response and an impulse response estimation.

Exercise:

First, set:

Generator: White noise

Scaling: PSD

FFT size: 32768

Fs (Hz): 48000

Window: Hanning

Fr. axis: Octave smoothing, 1/3 oct, 20 Hz to 20000 Hz

Averaging: None

You will get the spectrum shown in Fig. 2.13.

Figure 2.13 Octave-smoothed spectral density of the white noise generator (PSD scaling)

Note that spectral density of a short "white" sequence is not flat. The ripple is very high: ±10 dB.

If we repeat measurements with the averaging mode set to Linear, after 20 averages we get the spectrum shown in Fig. 2.14. The ripple is lowered to ±1 dB. By using 100 averages the ripple can be further lowered to ±0.2 dB.

Figure 2.14 Octave-smoothed spectral density of the white noise after 20 averages (PSD scaling).

Now if we change to:

Generator: PN white (periodic white noise)

Window Uniform

we get the spectrum shown in Fig. 2.15.

Figure 2.15 Octave smoothed spectral density of the periodic white noise

What is obvious is that periodic noise signal has a perfectly flat spectral density without averaging and without any signal windowing.

Note: The same result can be obtained with a periodic pink noise excitation (PN pink) and a scaling set to dBFS or dBV.


2.7 The Periodic Noise

A periodic noise is a signal that belongs to the class of random phase multisine signals (RPMS). It is a zero dc, periodic signal that contains M sine components, each with a random phase:

In ARTA a wideband multisine signal is generated using the inverse DFT:

,

where

, [image] | random ∈ [image] ,

Three types of the periodic noise are implemented in ARTA:

1. White PN - it has Ak = const, and a white spectrum.

2. Pink PN - it has Ak =√2A2k, and spectral magnitudes roll-off 3 dB/oct (after some cut-off frequency - see Fig. 2.16). In ARTA, a variable low frequency cut-off frequency can be changed in the dialog box 'Signal Generator Setup'. The pink noise is usually used in 1/n octave band or octave smoothing modes with a dBV scaling (see Fig. 2.17), as it gives a linear frequency response in bands with a constant relative bandwidth .

3. Speech PN - it has spectral magnitudes determined by IEC 60268-16 standard for Speech Transmission Index measurement (see Fig. 2.18).

Amplitudes of these signals have a normal distribution, and a crest factor is 12-13 dB. By further processing, the crest factor can be lowered to values below 6 dB. In ARTA, the periodic noise generation is implemented with a crest factor lower than 12 dB.

Figure 2.16 Octave-smoothed spectral density of periodic pink noise (PSD Scaling)

Figure 2.17 Octave-band spectrum of periodic pink noise (dBV Scaling)

Figure 2.18 1/3-octave band spectrum of periodic "speech" noise


2.8 Testing with Two Sine Signal

The excitation with two sines is normally used to measure intermodulation distortions. In the dialog box 'Signal generator setup' the user can choose two predefined measurement setups (11 kHz &12 kHz with a magnitude ratio 1:1, and 100 Hz & 8kHz with a magnitude ratio 4:1) or sets the User defined choice (two sine frequencies and a magnitude ratio).

To measure intermodulation distortions, follow this procedure:

1. Set generator type: two sine

2. In dialog box 'Spectrum Scaling' check the THD (IMD) box, as shown in Fig. 2.19.

Figure 2.19

3. In the dialog box 'Signal Generator Setup', set two sine frequencies to 11000 Hz and 12000 Hz and an amplitude ratio to 1:1, as shown on Fig. 2.20.

Figure 2.20

4. Set:

Frequency axis scaling: Log

Averaging: Linear

Window: Kaiser5

Figure 2.21 Measurement of intermodulation distortions of the soundcard Terratec EWX 24/96 with two sines: 11 kHz and 12 kHz.

The example from Fig. 2.21, shows the intermodulation spectrum for the 11 kHz and 12 kHz excitation. Note the dominant intermodulation component at 1 kHz (it is the difference between 11 kHz and 12 kHz).

2.8.1 Intermodulation distortion definitions

Nonlinear intermodulation distortion is characterized by the appearance, in the output of a device, of frequencies that are linear combinations of the fundamental frequencies and all harmonics present in the input signals. Harmonic components themselves are not usually considered to characterize intermodulation distortion.
To explain how ARTA estimates IMD we use the notation I(nf1+mf2) to express magnitude of an intermodulation spectrum component at frequency nf1+mf2 (m,n>0). The spectrum of the excitation signal has two components with magnitudes I(f1) and I(f2). It is common to say that I(nf1+mf2) is a distortion component of an order n+m.

There are several methods to express the percentage of intermodulation distortions:

Power method
SMPTE (Society of Motion Picture and Television Engineers) and DIN 45043 standard method
IEC-60286 standard method
CCIF (now ITU-R) standard method

Here we briefly discuss these methods.

Power Method

Intermodulation distortion is calculated as the square root of the ratio of power sum of intermodulation products components to the total signal power.

In ARTA, only the largest components are used, for 1 < m, n < 8.

IEC 60268 method

For loudspeaker measurements, the standard IEC 60268 – 5 defines modulation factors of the 2nd order (MD2) and modulation factors of the 3rd order MD3:

These factors show dominant intermodulation distortions when f2 >> f1 ., i.e. for loudspeaker testing it is recomended to use f2 = 8.5 f1.

For amplifier distortion measurements, when f2 is close to f1 , the standard IEC 60268 – 3 defines two factors that shows difference frequency distortion DFD2 and DFD3:

DIN 45043 (SMPTE) method

This method assume that f2 >> f1 , usually f1 = 250 Hz, f2 = 8000 Hz in DIN, or f1 = 60 Hz, f2 = 7000 Hz in SMPTE standard . Amplitude ratio is I( f1): I( f2) = 4:1.
The SMPTE measurement method is determined for analog instrumentation. First, the output distorted signal is high-pass filtered at 2000 Hz to remove influence of component I( f1). Then, the filtered signal is amplitude demodulated at frequency f2, and low pass filtered at 700 Hz to get the power of modulation components at f2 +- nf1. Only a few components are used. Finally, intermodulation distortion is expressed as square root of ratio of modulation power to power of I( f2). ARTA uses definition from DIN standard called total intermodulation factor:

In this expression, amplitudes of the sidebands are rms summed and expressed as a percentage of the upper frequency level. This intermodulation factor is very close to the value of intermodulation distortion that can be measured by SMPTE analog instrumentation.

CCIF (ITU-R) method

CCIF standard for intermodulation distortion measurements recommends excitation with two closely spaced frequency components f2 and f1. It is recommended to use f1 = 13 kHz, f2 = 14 kHz in 15 kHz limited system, or f1= 19 kHz, f2 = 20 kHz for amplifier testing. Recommended amplitude ratio is I( f1): I( f2) = 1:1.
Dominant intermodulation products are at difference frequencies. Second order DFD is at frequency f2 - f1 , the third order DFDs are at frequencies 2 f2 - f1, 2 f1 - f2, then follows DFDs at frequencies 3 f2 - 2 f1 3 f1 - 2 f2, … and so on.

Many analog instruments that conform to CCIF standard measure only 2nd order difference frequency distortion DFD2, i.e.

Some CCIF instruments also measure 3rd order difference frequency distortion DFD3.

Due to the close frequency separation, this technique is also applied in some swept-frequency analyzers.

Modern FFT analyzers are capable of measuring all distortion products. ARTA reports DFD2 and DFD3 and also a total intermodulation distortion (IMD), calculated by power method using twenty strongest intermodulation spectrum components.

Calculation and report of intermodulation distortions in ARTA

ARTA uses all described method to calculate the intermodulation distortion. The choice of used method is determined automatically from the ratio of frequencies f2 and f1, in the following way:

• If f2 / f1 < 2 ARTA uses CCIF method and reports difference frequency distortion DFD2 and DFD3 plus IMD (defined with power method).

• If f2 / f1 > 7 ARTA uses DIN (SMPTE) method and reports modulation distortion: IMD (DIN) , MD2 and MD3.

• If 2 < f2 / f1 < 7 ARTA uses Power method and reports IMD

If the ratio of amplitudes differs from recommendations in standards, it should be reported by the user additionally.


2.9 The Multitone Testing

The multitone testing is becoming a very important for testing the quality of digitally coded audio signals and in high power loudspeaker testing. The multitone belongs to the class of multisine signals. It is a sum of several sine signals with defined amplitude and phases that are optimized to give the low crest factor.

Following multitone signals are implemented in ARTA:

Audio range (edit) - multitone signal contains sine signals spaced 1/R octave in the user defined range from 5 to 20000 Hz. Crest factor is 13 ± 1 dB. Resolution R can be user defined from 1 to 12 tones per octave. All tones have the same amplitude, but user can define frequency response of filter that will be applied to generator output signal.
A/D sampling range - multitone signal contains sine signals spaced 1/R octave in a full A/D sampling range. Crest factor is 13 ± 1dB. All tones have the same amplitude.

Speech range - Linearly spaced sine signals from 100 Hz to 500 Hz, plus 1/3 octave spaced sine signals from 500 Hz to 8 kHz. Phases optimized for crest factor 10 ± 1 dB.

ITU-T O.81 - 39 sine signals with frequencies spaced 100 Hz (from 100 Hz to 3800 Hz). Phases are determined according to ITU-T Recommendation O.81. Crest factor is 10 ± 1 dB.

Square + sine - Sum of periodic square pulses of frequency f1=3.18 kHz and sine of frequency f2 =15 kHz, with amplitude ratio V1: V2 = 4:1, is normally used for testing transient intermodulation distortion (DIM). For testing amplifier it is recommended to use sampling frequency 192 kHz or 96 kHz. DIM in percentage is defined with expression:

where Vnt is amplitude of intermodulation component f2 - nf1, where n is a positive integer and V2 is the amplitude of the sinusoid.

All multitone components are generated so that each sine frequency coincides with a frequency of DFT bins. That is why; in analyzing the response to the multitone, the signal windowing should be turned off.

Fig. 2.22 shows the spectrum of the “speech” multitone passed through a GSM system. Note a high percentage of distortion TD+N.

The term TD+N (total distortion + noise) is not used in current standards. In ARTA, its meaning is:

TD+N is the percentage of the square root of the ratio of power of all noise+distortion bins to the power of multitone bins.

Figure 2.22 The spectrum of the “speech” multitone passed through two mobile phones and GSM system.

Figure 2.23 The spectrum of the “Audio range” multitone, with resolution 9 tones per octave, passed through 4 inch loudspeaker and measured with microphone. The bottom green overlay curve shows the level of environmental noise.

Distortion testing with multitone signal seems to be the meaningful measure for distortion in coded systems and in high power loudspeaker testing. Figures 2.22 and 2.23 show two examples of multitone distortion in GSM system and in loudspeaker response.

The part of spectrum between tones, we usually call it MDS(f) – Multitone Distortion Spectrum contains component that depends on 1) system nonlinearity, 2) on coding quality in digital systems, and 3) on the system noise. As a rule of thumb we can accept that MDS(f) does not depends on system noise if it at least 10dB above noise level. Fig.2.23 shows good measurement practice that we show multitone response as main curve and the level of noise as overlay curve. It helps us to resolve in which parts of spectrum we have a large nonlinear distortion.

When we start measuring with multitone it is important that we measure response in steady state condition. The time to reach steady state condition should be larger than reverberation time T60.
This is especially important when we do a linear averaging to reduce variance of MDS(f). In that case we should click button “Reset” after N averages, so that N x Multitone_period > T60.

Multitone signal is also used in high power testing of loudspeakers. When we want to differentiate compression in high power loudspeaker response we can show smoothed response and make comparison with overlay curve of second response. Smoothing octave resolution should be half of tones octave density.

Standards IEC 60268-21 and CTA 2034A defines construction of multitone signal for audio range. They also define output filter that should be applied to generator output. The purpose of these filters is to reduce generator output power at very low and high frequencies, as is typical in music program material. It protects bass loudspeaker from large membrane displacement and tweeters from voice coil overheating.

Multitone Filter Dialog

Figure 2.24 Dialog box for definition of the multitone output filter.

User can define the response of output filter by opening dialog “Filter for Multitone Generator” shown in Figure 2.24. This dialog is similar to FR compensation window, with additional buttons which define the filter FR magnitude:

IEC 60268-16 filter – button generates filter from internal data in range 20 Hz to 20000 Hz
CTA 2034A filter – button generates filter from internal data in range from 5 Hz to 20000 Hz
Load filter – button opens dialog box for loading textual file (extension .txt) that contains text lines with two values: frequency and magnitude. The format is the same as for FR compensation files (see chapter 1.5.4). It is recommended that magnitude in passband should be 0 dB. Frequencies should be in ascending order spaced at least 1/3 octave.

The check box 'Show interpolated values' enables us to see the interpolated FR curve that will be used in defining filter.
The button 'Copy' copies current graph picture on Windows clipboard.
The combo list box 'Range (dB)' sets graph magnitude dynamic range (10-100dB).


2.10 Monitoring Measurement Dynamics

During the measurement user can check the measurement dynamics in peak-meter boxes of Status bar (shown on Fig. 2.25).

Figure 2.25 Status Bar of ARTA windows

The left text box shows the current menu context.

The right text box shows the measurement unit.

Text boxes L: and R: show maximum full-scale levels of left and right input channels during the measurement. These peak-meters have a dynamic range from -100 to 0 dB.

If input channels are overloaded than peak-meters show the text "OVRL".


2.10 Monitoring Measurement Dynamics

2.11 Spectrum Overlay and Target curves

ARTA spectrum graphs can show different kinds of curves;

1) Main measured curve - shows the result of current measurement.

2) Overlay curve - shows results of previous measurement, We also call it a flexible overlay as it can hold any transformation that is applied to current measurement curve. During the realtime spectrum measurements there can be only one flexible overlay curve, as it contains a large number of data to be processed.

3) Difference of current measurement and overlay data. This curve is possible only if main and overlay data have the same recorded length and the same sampling frequency.

4) Target curves - show some reference curves or target for response. Target curve are useful for quality check measurements. They can be loaded from textual files.

5) Target fixed overlay curves - show smoothed, user scaled, version of measurement curve. Fixed overlays do not change if measurement parameters change (sampling frequency, smoothing resolution). Fixed overlays are shown with scaling and in smoothing mode where they were defined (i.e. in octave smoothing mode or in octave band mode). Fixed overlay use much smaller number of data than flexible overlay, and it is allowed to have arbitrary number of fixed overlays in the same graph.

We manipulate with overlay and target curves by using commands from Overlay menu;

Set as overlay - sets current spectrum graph as overlay curve (same effect gives shortcut key Ctrl+A)
Delete overlay - removes overlay curve
Load overlay - loads spectrum overlay file (*.ovs)
Save overlay - saves spectrum in overlay file (*.ovs)
Show difference from overlay - if overlay has same FFT length and sampling rate as current magnitude curve, graph shows curve that is difference between magnitude and overlay curves.
Set as target Fixed overlay – sets current octave smoothed or octave band curves as Fixed overlay which will not change if we change the octave resolution, sample rate or PSD/power mode.
Load target curve - loads target curve from ASCII files
Delete all target curves - deletes all target and Fixed overlay curves
Delete last target curve - deletes target curve that was created the last.
Save multitone magnitude and distortion overlays in ASCII files – creates two files, first with user defined name contains overlays magnitudes, and second, named with suffix -mdist, contains distortion over frequencies.

As an example, the Figure 2.26 shows three curves; black curve shows spectrum magnitude after 100 averages, green curve shows overlay obtained from spectrum after 2 averages and blue curve shows difference of spectrum magnitude and overlay curve.

Figure 2.26 Black curve shows spectrum magnitude after 100 averages, green curve shows overlay obtained from spectrum after 2 averages and blue curve shows difference between spectrum magnitude and overlay curve.

Overlays are saved in binary format files with the extension ".OVS". Almost in the same manner overlays are used in the Frequency response window, but they are saved in files with extension ".OVF".

Note: Values of current spectrum curve can be saved in textual files (menu command File->Export ASCII or File->Export CSV). The saved file contains lines of text with values of frequency in Hz and magnitude in dB.

Note: Overlay level depends on type of spectrum scaling. If it is made in a PSD mode it is valid in that mode. The same holds for power spectrum mode (dBV, dBFS).

Target and fixed overlay curves
All target curves are drawn from array of two values (frequency in Hz, magnitude in dB). Their data can be loaded from ASCII files or constructed from current smoothed or octave bands spectrum. The file must have extension .txt and has lines of text with two values (frequency, magnitude). Frequencies should be in ascending order, but if we want to define stepped target curve, then two neighbor frequencies should be the same. Maximum number of frequency point is 720. Target curves are usually used in quality control measurements.

User can shift Fixed overlays by adding scaling value in dB (Fig. 2.27). That way fixed overlays can be used as target curves.

Figure 2.27 Dialog for scaling target fixed overlay. It is opened by menu command Overlay-> Set as target Fixed overlay

Target curves that are loaded from file are all drawn in same color (by default it is a red color)
A fixed overlay curves will be drawn in overlay colors, starting from overlay color number 2.

Fixed overlays for analysis of multitone response
A special case of using Fixed overlay is when excitation signal is a multitone. In that case, while being in unsmoothed Lin or Log modes, the menu command Overlay-> Set as target Fixed overlay will generate two Fixed overlays, one that connect multi-tones and other that show 1/3 octave smoothed multitone distortion spectrum MDS(f). Almost the same overlays will be obtained in PSD and power spectrum mode, as MDS(f) is normalized to bandwidth of 1 Hz.
When doing high power loudspeaker testing with multitone it is recommended to create several fixed overlays for different applied powers. It helps detect response compression and rise of multitone distortion. A trick can be done to remove original spectrum from the view; just click to Imp mode and click again on Spa mode. After adjusting graph top margin, you will see only fixed overlay curves. Or, you may record averaged input noise (with generator set to external) to have reference for judgment of distortion levels.


2.10 Monitoring Measurement Dynamics

2.12 Saving Generator Signals in a .wav File

Sometimes it is necessary to use an external signal generator, for example, for testing acoustics in a car or for testing a CD player. All signals that can be generated by ARTA (noise, sine, and jitter, multitone) can be saved as a Microsoft .wav file. The menu command 'Generator->Save in .wav file' in modes FR1, FR2 and SPA opens opens the dialog box 'Save generator signal' as shown in Fig. 2.28.

Figure 2.28 Dialog box for making multi-channel .wav files with ARTA generated signals.

Three sections serves to set the type of signal, the wav file format and a signal level and duration. After a proper setup, a button 'Save in *.wav file' activates a dialog box for saving a file. If more advanced generator setup is needed it can be activated by pressing button 'Temporary generator setup'. It will open 'Signal generator setup' dialog box (as shown in Fig. 2.1).

Wav Format section has following controls:

Samplerate (Hz) - sets the sampling frequency.
Bits per samples - sets the number of bits in PCM coded sample (16, 24 or 32).
Mono/Stereo/5.1 - sets number of channels to mono, stereo or 5.1 multi-channel.
Check Boxes FL, FR, C, LF, BL, BC set which channel in multi-channel stream will contain generated signal

(FL – front left, FR – front right, C- centre, BL- back left, BR – back right and LF – low frequency).

Signal type section has following controls:

Type combo box sets type of signal that will be generated (sine, two sine, jitter test,

multitone, continuous white noise, continuous pink noise, periodic noise: PN white, PN pink, PN speech).
Text box shows the frequency of sine or two sine signals. To change it press button 'Temporary generator setup'.

Level and Duration section has following controls:

Level (dBFS) - enters the signal amplitude relative to the PCM full scale value.
Duration (min) - enters the duration of signal in minutes.


3 The Theory of Frequency Response Measurement

3 Theory of Frequency Response Measurements

3.1 LTI Input/Output Relationship

3.2 Dual Channel System with Continuous Noise Excitation

3.3 Dual Channel System with Periodic Noise Excitation

3.4 Single Channel System for Frequency Response Estimation


3.1 LTI Input/Output Relationship

The frequency response measurement is based on the classical Fourier analysis which states that every time signal with a finite energy has a corresponding Fourier transform. In a system analysis we assume that linear time-invariant (LTI) system is excited with a signal x(t) and on output has a signal y(t). Both signals x(t) and y(t) have corresponding Fourier transforms X(f) and Y(f).

Figure 3.1 The LTI system

The relationship between the input and the output of an LTI system, in the frequency domain, can be expressed as:

where a complex function H(f) is called a frequency response:

|H(f)| is termed magnitude response, and φ(f) is termed phase response. The frequency response shows how the system changes the magnitude and phase spectrum of an input signal.

The inverse Fourier transform of frequency response H(f) is a function h(t). It is a system impulse response . We show it by following reasoning.

The product X(f) H(f) has a Fourier pair in the time domain defined by the convolution x(t)⊗h(t). This convolution is equal to the output signal y(t):

The function h(t) is called impulse response of the system, as it is a system response to an impulse δ-function excitation. It is obvious, as by analyzing the convolution δ(t)⊗h(t), we get:

The system frequency response is usually estimated by using the input-output cross-spectrum and the input auto-spectrum. By rewriting the expression for the transfer function in the following form:

we can get the frequency response by dividing an input-output cross-spectrum with an input auto-spectrum (star denotes the complex conjugate value). This equation is usually called H1 estimator.

Fourier transform pairs of the cross-spectrum Sxy(f) and the input auto-spectrum Sxx(f) are the cross-correlation Rxy(t) and the auto-correlation (Rxx(t)), i.e.

"cross-correlation"

"auto-correlation"

If the system input has a white spectrum ( Sxx(f)=1), then Rxx(t)=δ(t), the impulse response is equal to the input-output cross-correlation;

, if input has white spectrum

Using the H1 estimator for the frequency (and impulse) response estimation is important, as it will be shown that this estimator has good properties in reducing the influence of the noise and distortions.

The preceding theory is valid only for noiseless environment and for the excitation signal that has infinite duration. In practice we always have some noise present and we can only analyze signals of finite duration.

Fig. 3.2 shows the measuring system that is typical for acoustical measurements. The computer generated signal g, after D/A filtering with transfer function D, is applied to the test system that has the transfer function H. Note that H represents the best linear fit of the possible nonlinear transfer function. The generator noise is neglected. The output from the test device, together with the additive system noise n, is acquired by the computer as a discrete signal sequence y. The acquisition process implies the use of an antialiasing filter that has the transfer function A.

Figure 3.2 Block diagram of the measuring system

Note: In acoustical measurements we neglect the influence of the generator noise and the noise in the input channel x, as they are much smaller than the noise and distortions in the output channel y.

In a dual channel system the input to the test device is acquired by the computer as a discrete signal sequence x. In a single channel system we do not measure the signal at the system input, and we consider the known signal g as a system excitation.

In next sections we shall discuss dual channel and single channel measurement systems.


3.2 Dual Channel System with Continuous Noise Excitation

In a classical Fourier analyzer the excitation is a random noise and the frequency response is estimated by dividing the averaged cross-spectrum X*Y with the averaged auto-spectrum X*X of N input and output discrete sequences xi and yi. We define the H1 estimator as:

where He(f) denotes the estimated frequency response. Brackets <> denote the averaged value.

The H1 estimator gives a biased estimate of the real transfer function H(f), which is dependant on the noise, distortions and the delay between input and output channel.

When only the noise contributes to the bias, the effect of averaging can be expressed by the equation:

,

Note that signal term is summed coherently, while the stochastic part of the noise is power summed.

The conclusion is that averaging lowers the noise level proportionally with a square root of number of averages, thus improving the measurement S/N by 10log(n). If nonlinear distortions are present, then part of the system noise is coherent with a generated signal, and a better measure for the proportionality of the noise+distortion and a number of averages is 1 /γ √n, where γ is the input-output coherence function, defined as;

The coherence function is a measure of the proportion of the power in y that is due to linear operations on the signal x. When estimating the transfer function, the coherence function is a useful check on the quality of data used. The maximum value of coherence is 1. In ARTA you can display the coherence, so it is possible to check the coherence associated with "double channel" measurements. Practically, we must have γ2 close to 1 to ensure the good estimation, but we must keep in mind that coherence has a sense only if the number of averages is greater than 1.

Figure 3.3 Illustration of the uncorrelated estimation in a classical Fourier analyzer

Problems in classical Fourier analysis with the continuous noise excitation are:

  • The excitation signal has no a constant spectrum at all frequency bins. This creates frequency selective noise bias. It is high at frequencies where generator spectrum has notches. This resolution bias can be greatly reduced by increasing the number of averaging cycles. It is recommended to make at least 8 spectrum averages and monitor the coherence function.
  • In a system with a large delay between the input and the output (see Fig. 3.3), i.e. when measuring the loudspeaker in room response, or the response of communication system with a high delay, there will be low correlation between measured input and output signals. In ARTA it is possible to delay the acquisition of the input channel, so this kind of error can be eliminated. But, if we measure the frequency response in the highly reverberant environment, it is not possible to compensate for all possible delays.

Both problems can be eliminated by using the periodic noise excitation.


3.3 Dual Channel System with Periodic Noise Excitation

If the excitation is done with N different periodic noise sequences, the frequency response estimator can also be of the form:

This type of averaging is called the frequency domain asynchronous averaging. Theoretically it has the same power in reduction of the noise and distortions as the H1 estimator, but the use of the H1 estimator is preferred as it enables us to monitor the coherence function. In ARTA we refer to both methods as frequency domain averaging.

Figure 3.4 Illustration of the signal generation and acquisition in the frequency domain asynchronous averaging process

For the correct implementation, three conditions must be met:

  • Start of the acquisition must be after the preaveraging cycle that is necessary to reach the steady state response.
  • After every acquired block, the signal generation must be stopped, and the new PN sequence generated.
  • The length of an FFT block must be equal to the length of the generated periodic noise sequence. This guarantees that generated and acquired signals are always correlated, so there will be no bias due to the input/output delay.

This method of the excitation - with the interrupted periodic noise - is the best choice for measurements of the frequency response in communication systems that are voice activated and have the time-variant signal processing (automatic gain control and noise reduction). The interrupted noise keeps communication channel in an "active" state, while measurements are taken in a small interval of time to assure the system stationarity.

If the excitation is done with a single periodic sequence, repeated N times (Fig 3.5), the estimator can be of the form:

This type of averaging is called the time domain synchronous averaging. This estimator reduces the system random noise, but it can't reduce nonlinear distortions and the stationary noise that is periodic within the excitation period.

Figure 3.5 Illustration of the signal generation and acquisition during the time domain synchronous averaging process

The quality of the frequency response estimation is noise dependent as follows:

1. The noise influence is high at frequencies near fs/2, where we miss the excitation energy, which is filtered with a D/A smoothing filter. The problem is solved in ARTA by digital filtering the estimated impulse response at frequency lower than converter's antialiasing filter cut-off frequency.

2. The noise influence is also high at extremely low frequencies, as system is AC coupled. This implies that soundcards with very low cut-off frequency have to be used.

In acoustical measurements the period of the multisine must be greater than the reverberation time - T60 . The following reasoning can confirm this requirement. The room acoustical response has the bandwidth of resonance peaks equal to 2.2/T60. If we choose that a frequency difference between two multisine component is less than half of this value, to allow build-up of all room resonances, we can conclude that the period of the periodic noise will have to be equal or greater than the reverberation time. Also, it follows that the length of the preaveraging cycle must be greater or equal to the reverberation time.


3.4 Single Channel System for Frequency Response Estimation

In a single channel system, only the output signal from a D.U.T is measured. The excitation signal is not measured at the input of a D.U.T, rather it is assumed to be the signal that is generated from the computer memory. Block schematic of the measurement system is shown in Fig. 3.6.

Figure 3.6 Block schematic of the single channel measurement system (D - digital to analog converter, A-analog to digital converter, g - generated discrete signal)

The estimated frequency response He is the ratio of the cross-spectrum YG* and the auto-spectrum GG*:

In the best case, i.e. with no noise present, we get:

We see that the estimated frequency response is always biased with transfer functions of A/D and D/A converters. It is not a bad thing, as might be concluded at first, because this way we get good S/N ratio at extreme low and high frequencies (A/D and D/A converters filters out spectrum at low frequencies and near fs/2). This is especially important if we use cheap soundcards that might not have very low cut-off frequency.

Theoretically, the averaging technique, from a dual channel system, can be applied in a single channel system, but due to the limitation of the Windows sound driver, which does not keep the synchronicity between the signal playback and recording, only the time domain synchronous averaging can be applied. The phase response can't be estimated with an absolute accuracy.

To conclude:

The single channel system is recommended as a measurement system when we use low quality sound cards, that generate nigh noise and have high level of channel-to-channel crosstalk. It is suitable for the measurement of the frequency response magnitude, but it does not give an accurate absolute phase response.

If we want to use the microphone channel of the soundcard, then we can only apply a single channel system, as the microphone input on all soundcards is monophonic.


4 Real-time Frequency Response Measurement

4.1 User Interface for Real-Time Measurements of Frequency Response

4.2 Getting Impulse Response from Measured Frequency Response


4.1 User Interface for Real-Time Measurement of Frequency Response

The real-time measurement of the frequency response can be controlled from two windows:

FR2 - Dual channel frequency response window

FR1 - Single channel frequency response window

Both windows have the same form of user interface, but with following functional differences:

  1. - In a single channel mode, the excitation signal has to be the periodic noise, while in a dual channel mode the excitation signal can also be the continuous noise and any wideband external signal (i.e. music).
  2. - In a single channel mode, only the magnitude of the frequency response is shown, while in a dual channel mode the phase response and the coherence function can also be shown.

Measurement are controlled by menu commands, dialogs, toolbar icons (Fig. 4.1) and a control bar (Fig. 4.2).

Figure 4.1 Frequency response window - toolbar icons

Figure 4.2 Frequency response window - control bar

Control bar has following controls:

Gen - chooses the generator signal type.

Fs (Hz) - sets the sampling frequency.

FFT - sets the number of samples in an FFT block.

Delay (ms) - enters the delay in the measured system, i.e. delay from loudspeaker to microphone (used only in a dual channel mode).

Avg - sets the averaging type (None, linear, exponential).

Reset - resets the averaging.

To make a real-time measurement of the frequency response, follow these steps:

1. Enter single or dual channel frequency response window, and connect the measuring system as shown in chapter 1.

2. Activate the 'Audio device setup' dialog box by clicking the menu Setup->Audio devices or by clicking the toolbar icon [image]. Use this dialog box to setup soundcard I/O parameters, the voltage probe gain, the power amplifier gain (only for 1Ch mode) and the microphone sensitivity (if you use the microphone). See Section 1.4 for more details.

3. Activate the 'Signal generator setup' dialog box by clicking the menu Generator->Configure or by clicking the toolbar icon [image]. Use this dialog box to choose the type of an excitation signal (white noise, pink noise, PN white, PN pink). In a single channel mode only the periodic noise excitation is allowed (PN white or PN pink). If you use the PN pink excitation, set the low-frequency cut-off. Also, set the soundcard output volume.

4. Activate the 'Frequency Response Measurement Setup' dialog box by clicking the menu Setup->Measurement or by clicking the toolbar icon [image]. This dialog box is shown in Fig. 4.3.

Figure 4.3 Frequency response measurement setup

The dialog box for the measurement setup is used as follows:

FFT resolution section:

FFT size - chooses the number of samples in an FFT block.

Sampling Rate - chooses the sampling frequency in Hz.

Window - chooses the signal window (used only with the continuous noise or an external excitation).

Averaging section:

Type - chooses the averaging type (None, linear, exponential).

Max averages - enters the number of averaging.

Measurement config section:

Preferred input channel - chooses the soundcard input channel used to measured a D.U.T output.

Propagation delay - enters the delay in a measured system (not used in a 1Ch mode).

Invert Phase of input channel - check box to change the polarity of an input signal.

Multisine averaging section:

Preaveraging - check box to activate the preaveraging cycle (generally, this check box should be checked always).

Frequency domain averaging - check box to use the frequency domain averaging (not used in a 1Ch mode).

In two-channel mode show section:

Phase - check box to show FR phase plot

Coherence - check box to show FR coherence plot.

Note: Frequently used options (FFT size, delay and averaging type) can be choosen using the dialog bar.

5. Activate the 'Frequency response graph setup' dialog box by clicking the menu Setup->Graph setup, or by clicking button 'Set' in Right Control bar, or by clicking right mouse button in the plot area. This dialog box is shown in Fig. 4.4. Use this dialog box to adjust (1) dynamic range shown, (2) frequency range shown and (3) frequency axis resolution.

Figure 4.4 Dialog box for frequency response graph setup

Dynamic range section:

Graph top (dB) - enters the level in dB for the top graph margin

Graph range (dB) - enters the graph magnitude range

Fit graph top - sets Top (dB) value from the current graph maximum magnitude.

Freq. range (Hz) section:

High - enters the highest frequency shown (in Hz).

Low - enters the lowest frequency shown (in Hz).

View All - check this box to enable the view of all DFT spectrum components.

Frequency axis section:

Type - Four types of the frequency axis resolution are available:

Linear - linear frequency axis,

Logarithmic - logarithmic frequency axis,

Octave smoothing - logarithmically swept-octave bands,

Octave bands - discrete octave bands.

Smoothing - chooses the smoothing resolution (1/n-octave, where n can be: 1,2,3,6,9,12 and 24).

The smoothing filter has characteristics of the IEC class I filter (six pole bandpass Butterworth filter).

6. Finally, you start the measurement by clicking the menu Recorder->Run or by clicking the toolbar icon [image].

During the measurement, you can use the Control Bar to change the averaging type, reset the averaging, change the sampling frequency, change the type of an excitation signal and an FFT size.

You can also use controls from Right Control bar to change graph margins (dynamic range, frequency range and axis). The same can be done by activating dialog box 'Graph setup' (menu Setup->Graph setup or by clicking right mouse bottun in the plot area).

Useful shortcuts to change the top graph magnitude margin are keys "Up" and "Down" and a mouse scroll wheel. They "move ploted curve up and down".

7. You can stop measurements any time by clicking the menu Recorder->Stop, or by clicking the toolbar icon [image] . The measurement duration depends on the type of the averaging. If the averaging is not used, measurements are repeated until the user stops the recording. If averaging is used, measurements stop when maximum number of averaging cycles is reached or when the user aborts the recording.


4.2 Getting Impulse Response from Measured Frequency Response

4.2 Dynamic Range in Frequency Response Measurements

In the following example, it will be shown how to check dynamic range of the frequency response measurements in FR1 and FR2 modes.

Start in FR1 mode. Connect soundcard in loopback mode (left and right channel) and set:

Generator type : Pink PN
Generator level : 0 dB
FFT : 32768
Averaging: None

Start recording of left channel. You will get picture of loopback frequency response as in Fig. 4.5.

Figure 4.5 Frequency response of souncard SC1 in loopback mode

Now disconnect input channels and measure response. What you measure now is a noise floor of the input channel. Make a measurement without the averaging and save measured curve as overlay (menu command File->Set as overlay). Then repeat measurement with 100 averaging. In both cases set the Frequency axis in 'Frequency Response Graph Setup' to 'Octave smoothed' wiith resolution '1/3 octave'.
You will get the noise floor curve as in Figure 4.6. Note that absolute level of noise floor actually gives us a maximal dynamic range that can be obtained with a soundcard.

What we see is that averaging reduce a noise floor and increase a dynamic range, but not equally at all frequencies.

Figure 4.6 Noise floor in FR1 mode for soundcard SC1, without averaging (upper curve) and with averaging (lower curve).

Now connect the right channel in loopback mode and repeat the measurement in FR2 mode. You may check the ‘Frequency domain averaging’ mode in the ‘Frequency Response Measurement Setup’ dialog, as frequency domain averaging gives slightly larger dynamic range than time domain averaging when measuring systems that exhibit nonlinear distortions.

You will get almost a perfectly flat frequency response but dynamic range could be reduced, as shown on figure 4.7.

Figure 4.7 Noise floor in FR2 mode for soundcard SC1, without averaging (upper curve) and with averaging (lower curve)

The reason, that some soundcards have reduced dynamic range in FR2 mode is due to a large crosstalk from reference channel that must be connected to generator in FR2 mode.

Figure 4.8 Noise floor in FR1 mode without averaging for Intel Integrated audio (upper curve) and RME Fireface 800 (lower curve).

The Figure 4.8 shows noise floor in FR1 and FR2 modes for high quality sound system RME Babyface pro. We see excellent results in both cases.

Remember: Use FR2 mode only if your soundcard has low crosstalk between input channels.

Note: Preceding examples show 1/3-octave smoothed curves. The smoothing of frequency response curve is done in a different way then smoothing of spectrum. ARTA approach is to first interpolate and average the frequency response in log-frequency axis, then makes smoothing by convoluting that response with response of bandpass 6-pole Butterworth filter.


4.2 Getting Impulse Response from Measured Frequency Response

4.3 FR Overlay and Target Curves

FR overlay and target curves in real-time FR1 and FR2 windows are similar to ones in the real-time Spectrum analysis window.

In FR1 and FR2 windows the following menu commands are for overlay's manipulations:

Overlay
Set overlay - sets current FR as overlay.
Delete overlay - removes overlay.
Load overlay - loads FR overlay file.
Save overlay - saves FR in overlay file.
Show difference from overlay - if overlay has the same FFT length and sampling rate as current magnitude curve, graph shows curve that is a difference between magnitude and overlay curves
Set as target Fixed overlay – sets current smoothed or octave band response curves as Fixed overlay (it does not change if we change the smoothing resolution)
Load target curve fromm .txt file - loads target response from ASCII files
Generate target filter response - generates target curve with response of standard crossover filters
Delete all target curves - deletes all target and Fixed overlay curves
Delete last target curve - deletes target curve that was created the last.
All target and overlay curves show magnitude response. When they are activated in FR2 mode the phase curve will be hidden.

Here we deal with four types of overlay and target curves.

The overlay curve can be set from the currently plotted curve using the command 'Overlay->Set overlay' or loaded from disk by using the command 'Overlay->Load overlay'. Only one overlay of this type can be shown. This type of overlay can be saved to disk using the command 'Overlay->Save overlay'. Names of overlay files have an extension '.ovf'.

The first type of target curve is a user defined target filter response. It can be generated by using the dialog box 'Target Filter response' shown in Figure 4.9. It is activated by the menu command 'Overlay->Generate target response'.

Figure 4.9 The dialog for generation of an overlay with loudspeaker crossover filter target response.

The selection of target filter responses is from the set of optimal loudspeaker crossover filter responses.

User chooses the kind of an optimal crossover filter in the right list box and sets following parameters of that filter:

Reference passband sensitivity - an arbitrary value for loudspeaker passband sensitivity

Filter Type - low-pass, high-pass, band-pass or cascade of low-pass and high-pass

Q-factor - edit box is for entering of second order filter Q-factor

Crossover frequencies - two edit box for entering crossover lower and upper frequencies

The second type of target curves is a user defined arbitrary responses loaded from an ASCII file, by menu command 'Overlay->Load target response'. The content should be formated in well known .frd format:

* a leading star may be used to denote optional comment
* frequency  magnitude (dB)
  1000       32
  1020       33
  1040       34
  ....       ...

Optionally, third column may contain the value of phase, but phase data will not be used here.

The third type of target curves is Fixed overlay. It can be generated by menu command ‘Overlay-> Set as target Fixed overlay’ from values of current magnitude response curve in Octave smoothed mode or in Octave bands mode. User can enter arbitrary value in dB to scale fixed overlay magnitudes.
If fixed overlays are set in Octave smoothed mode they will also be visible in Linear or Logarithmic axes modes.

User can define arbitrary number of fixed overlays.

All target curves that are loaded from files are drawn in the same color (by default it is a red color)
A fixed overlay curves will be drawn in overlay colors, starting from overlay color number 2.


4.2 Getting Impulse Response from Measured Frequency Response

4.4 Getting Impulse Response from Measured Frequency Response

Here we discuss how to get the impulse response from the measured frequency response. We take as an example the frequency response of the GSM system that is shown in Fig. 4.10.

Figure 4.10 Frequency response of the GSM system. (fs = 16000Hz, linear averaging, FFT block size 4096 samples or 235 ms, generator: PN pink with cut-off frequency 200Hz).

Clicking the toolbar icon IMP (or the menu Mode->Impulse response) delivers the dialog box shown in Fig. 4.11. A confirmation to the question: "Convert to impulse response", with the 'Yes' button opens the Impulse response window (Fig. 4.12) that contain the time view of the impulse response.

Figure 4.11 Dialog box for getting the impulse response from the frequency response

Note: conversion to impulse response can also be done by using the menu command 'File->Save as PIR'. This command transforms current frequency response to impulse response and saves it as current .PIR file.

Figure 4.12 Impulse response window

In the Impulse response window we can manipulate the view of an impulse response in the same way and with same controls as in the time-record window.

The yellow line denotes the cursor position, and the red line denotes the marker position.

The 'Cursor:' label denotes the report for the magnitude of the signal at the cursor position (time in ms or sample position in braces). The 'Gate:' label denotes the report for the difference in time (and samples) between the cursor and the marker. Alternatively, it can be set, by menu command ‘Viev->Gate Time (m @ 344m/s)’, to show the equivalent distance of sound wave propagation.

Marker and cursor position can be changed by pressing and dragging left and right mouse keys. Double clicking right mouse button turns the marker on and off. The same can be done with buttons ‘Set’ and ‘Del’ on the right pane. Command button ‘Max’ on upper control bar set cursor at position of impulse response maximum. Other buttons serve to zoom the plot in and out, to change the gain and the vertical offset.

Zoom command button ‘Min' sets minimal zoom ratio to show almost all signal samples. Zoom command button ‘Max' sets maximal zoom ratio to show signal samples between the cursor and marker, but if the marker is switched off, the plot is zoomed to normal zoom ratio (1:1) or maximum zoom (8:1) if it was lower or equal to normal zoom ratio.

You can also use following shortcut keys:

Up and Down keys - to change the gain

Ctrl+Up and Ctrl+Down keys - to change the vertical offset

Left and Ctrl+Left key - to scroll the plot left

Right and Ctrl+Right key - to scroll the plot right

Shift+Left and Shift+Right keys - to move the cursor left and right

PgUp and PgDown keys - to change the zoom factor

Del - to set cursor to position 0,

Home - to set cursor to reference position 300,

Ctrl+Home - to set marker to reference position 300,

Ctrl+Del - to remove marker,

Ctrl+Ins - to set marker on current cursor position,

Dragging the mouse in a label area scroll the plot horizontally and vertically.

Double-clicking the left mouse button in a time axis area toggles the time/sample position labeling.

In this example, cursor is set to reference position (sample index 300) and the marker (red line) is set to the position of the IR maximum. The label Gate shows difference between marker and cursor position (it actually gives us the amount of the system delay, in this case it is 204.75ms).

Note:

In dual channel measurement mode ARTA sets reference position of zero (time) delay at sample index 300. Signal can exists bellow this index as a result of FIR filter pre-ringing.

In a single channel measurement mode the zero delay position is unknown, as it depends on variable computer latency. ARTA removes that variable latency and delay by putting at reference position (index 300) the first sample whose amplitude is 20dB below the impulse response maximum. It means that single channel measured IR can’t be used for estimation of absolute phase and system delay.

In the setup of measurements one parameter - a system delay - is a quite arbitrary. The delay is always present in acoustical measurements (due to propagation of sound from the loudspeaker to the microphone). It is also always present in all digitally processed systems, especially; it is quite large in a GSM system.

If we repeat the measurements, but with the edit box Propagation Delay in the window Fr2 set to 204.75ms, we get the impulse response shown in Fig. 4.13.

Figure 4.13 Impulse response measured with a propagation delay compensation

Now, the maximum of the impulse response is close to the reference "zero delay" position. It means that measurements are done with a maximally correlated I/O signals.

It is extremely important to estimate the delay properly when measuring with the continuous noise excitation.


2.10 Monitoring Measurement Dynamics

4.5 System Delay Estimation

The fixed delay in a measured system, for example the delay of sound wave from loudspeaker to microphone, or delay in digital processing systems, can be easily estimated (to accuracy of one sample), from the position of maximum of the generalized cross-correlation function of system excitation and measured response. The generalized cross-correlation function is obtained by applying the inverse Fourier transform on normalized cross-spectrum function.

The procedure for delay estimation in ARTA, using generalized cross-correlation, is:

1. Make measurement of frequency response in FR2 mode with toolbar edit box "Delay" set to zero.

2. Click the menu command 'Recorder->Crosscorrelation/delay estimation'.

3. It will open the dialog box 'Input Channels Cross-correlation' shown in Fig. 4.14. The graph in dialog box shows the generalized cross-correlation function of left and right channels. A zero time (also a zero delay point) is positioned in the center of the graph. On the top-right of the graph there is a label that shows the estimated delay in number of samples and in ms. It is obtained from time position of the maximum of the cross-correlation function. The same value is shown in edit box Delay (ms).

4. By pressing the button 'Accept', this value will be automatically transferred into FR2 Window, as a system delay value. Only a positive value of delay will be accepted. If delay is a negative value, input channels have to be exchanged. The other controls on the right toolbar and menu commands have same functions as controls and menus of the Time Record Window that is described in Section 2.5.

Figure 4.14 Dialog Input Channels Cross-correlation


4.7 Calibrated Measurements

4.6 PIR Files

4.6.1 PIR file format

ARTA uses special binary format to keep measured impulse response data in files whose names end with extension .PIR. That files are also used for saving a time record of input signals.

Besides the measured data .PIR files can contain user defined text of arbitrary length. The user can enter the text in the edit box of File Info dialog (see Fig. 4.15). This dialog can be opened by clicking menu command File->Info.

Figure 4.15 Dialog for viewing and entering file informations

The format of binary .PIR file is as follows:

   char filesignature[4]       // four signature characters: 'P','I','R','\0'
   unsigned int version;       // version of file format, starting from 0x0100
   int infosize;               // length of user defined text that is appended on end of file
   int reserved1;              // 0;
   int reserved2               // 0;
   float fskHz;                // sampling frequency in kHz
   int samplerate;             // sampling rate in Hz
   int length;                 // pir length
   int inputdevice;            // 0 - voltprobe, 1-mic, 2-accelerometer
   float devicesens;           // V/V (for voltage measurement),  V/Pa ( for mic input)
   int measurement_type;       // 0-signal time record, 1-single chanel IR, 2-dual channel IR
   int avgtype;                // type of averaging (0-time or 1-freq)
   int numavg;                 // number of averages used in measurements
   int bfiltered;              // forced antialiasing filtering indual channel measurements
   int genused;                // generator type
   float peakleft;             // peak value (ref. 1.0) in left input channel
   float peakright;            // peak value (ref. 1.0) in right input channel
   int gensubtype;             // 0 - male speech, 1 - female speech
#if (Version >= 0x0101)
   int cursorpos;              // 0..length-1
   int markerpos;              // 0..length-1 (-1 if marker will not be shown)
#else
   float reserved1;            // should be 0
   float reserved2;            // should be 0
#endif
   float pir[length];          // pir data itself
   char infotext[infosize];    // user defined text

Generator types are (gentype) :

#define SIG_NONE           0

#define SIG_NOISE_WHITE    1

#define SIG_NOISE_PINK     2

#define SIG_RPMS_WHITE     3

#define SIG_RPMS_PINK      4

#define SIG_RPMS_SPEECH    5

#define SIG_SINE           6

#define SIG_SINE_TWO_FR    7

#define SIG_MULTITONE      8

#define SIG_TYPE_SQUARE    9

#define SIG_TYPE_TRIANGLE  10

#define SIG_TYPE_JITTER    11

#define SIG_TYPE_MLS       12

#define SIG_TYPE_SWEEP_LIN 13

#define SIG_TYPE_SWEEP_LOG 14

#define SIG_TYPE_PULSE     15

#define SIG_TYPE_BURST     16

Generator subtype (gensubtype)are defined for type SIG_RPMS_SPEECH:

#define PN_SPEECH_SPECTRUM_MALE_2011 0
#define PN_SPEECH_SPECTRUM_FEMALE_2011 1
#define PN_SPEECH_SPECTRUM_MALE_2020 2

Generator subtype defined for SIG_MULTITONE

#define MULTITONE_AUDIO 0
#define MULTITONE_WIDE 1
#define MULTITONE_SPEECH 2
#define MULTITONE_ITU 3
#define MULTITONE_TIM_EXCITATION 4

Generator subtype for SIG_TYPE_SWEEP_LOG

#define SWEEP_START_FR (10 - before ARTA version 1.9.6)
(5 - for ARTA version 1.9.6 and newer)

Some File options can be adjusted in dialog box ‘File loading and CSV export setup’ shown in Fig. 4.16. It is opened by clicking menu item File->Options.

Figure 4.16 Dialog for setting file load and import/export options

The dialog defines how marker and cursor will be shown after loading .pir files. Four radio buttons are used: 'Set cursor to zero position' (marker is off), 'Set cursor to position before IR maximum' (marker is off), 'Read marker and cursor position from file' and 'Retain current cursor and marker position'. In this dialog user can also choose the character (dot or comma that denotes decimal point in exported Excel CSV files.

4.6.2 PIR file import and export

Arta can export impulse response data in five formats:

1) Microsoft PCM 16-bit .wav file (maximum of PIR is set to value 32760 or lower)

2) Microsoft 32-bit IEEE FLOAT.wav file (maximum of PIR is set to value 1.0 or lower)

3) MLSSA ASCII file

 // Every line starts with leading space, in following order:

 Zero (0).

 Sampling interval in milliseconds.

 Total number of data points to follow.

 Data points.

 Title string.

4) ASCII file - textual file with comment lines and lines with two columns of data (time in seconds and amplitude in volts)

        // Some comments

        // time(sec) amplitude(V)

           0.01      0.234

           0.02      0.45

           0.03      -0.98

           0.04     . . .

5) Excel CSV (comma separated format) is ASCII format adjusted for program Excel. Dialog box shown in Fig. 4.16 can be used to set floating point character (dot – used in USA or comma – used in Europe).

Menu item File->Export as … is used to choose export type:

Export as... - saves the impulse response data in following formats:

ASCII (.txt) file - saves the impulse response data in ASCII formatted file

Excel .CSV file - saves the impulse response data in CSV (Excel) formatted file

MLSSA ASCII file (.txt) - saves the impulse response data in MLSSA ASCII formatted file

.WAV file (PCM – 16bit) - saves the impulse response data in Microsoft .wav file

.WAV file (FLOAT – 32bit) - saves the impulse response data in Microsoft .wav file

Arta can import impulse response data in five formats:

  1. Microsoft .wav file (maximum of .wav set as value 1.0 in .pir file)
  2. ASCII file - as described above (also accepts CLIO ASCII time format)
  3. WinMLS .WMB file format
  4. MLSSA binary .TIM file format
  5. MLSSA ASCII file - as described above

After deciding whether to import signal time record or impulse response you choose menu command 'File->Import…,:

Import Impulse response from... - imports the impulse response data in following formats:

.WAV file - imports the impulse response data from Microsoft .wav file

ASCII (.txt )file - imports the impulse response data (time-amplitude) from ASCII formatted file

WinMLS WMB file - imports the impulse response data from WinMLS file

MLSSA .TIM file - imports the impulse response data from MLSSA .TIM file

MLSSA ASCII file (.txt) - imports the impulse response data from MLSSA ASCII formatted file

Import Signal Time Record from... - imports the impulse response data in following formats:

WAV file - imports the signal data from Microsoft .wav file

ASCII file (.txt) - imports the signal data (time-amplitude) from ASCII formatted file

If you choose to import from wav files a dialog box shown in Fig. 4.17 will open. It contains controls for choosing starting sample frame offset and one of recorded channels.

Mono, stereo and multichannel files will be accepted with resolutions 16, 24 and 32 bit PCM and 32 bit floating point format restricted to value interval between -1 to +1.

Figure 4.17 Dialog for setting wav file starting sample frame and import channel

Note: The problem is that ASCI and WAV imported files lose information of input device sensitivity.

In ASCII files, exported with ARTA, there will be a comment line with value of microphone sensitivity (if it was used in measurement). In that case the following formula can be used to scale the frequency response magnitude obtained from imported file.:

Scale_FR = 20*log10(Vref) - 20*log10(mic_sensitivity * 2e-5));

For example if Vref= 2.83V and mic_sensitivity = 11mV/Pa

Scale_FR = 20*log10(2.83) - 20*log10(11e-3 * 2e-5)) = 143dB;

4.6.3 Export of (spatial group) frequency responses

From measured IR, that is saved in PIR files, ARTA can calculate and export frequency response in textual file. This is obtained from dialog box that is opened by command ‘File->Export (spatial) frequency response’. This operation can also be applied to multiple PIR files if names of that files have a “spatial form” used to denote angle of loudspeaker off-axis measurements. Detailed description for this operation is given Chapter 9.15.


5 Impulse Response Measurement

5 Impulse Response Measurement and Signal Recording

5.1 Impulse Response Measurement with Periodic Noise Excitation

5.2 Impulse Response Measurement with Swept-Sine Excitation

5.3 Impulse Response Measurement with MLS Excitation

5.4 Measurement with External Excitation and Triggered Signal Recording

5.5 Basic Editing Procedures

The Impulse response window has a toolbar and a dialog bar. Icons and controls in these bars are primarily used to setup and run various analyses from the measured impulse response.

Only one toolbar icon ( [image] ) and menu command (Record->Impulse response / Signal time record) are devoted to measurements. Activating them gets the dialog box for direct measurement of the impulse response using four types of excitation signals: periodic noise, swept-sine, maximum length binary sequences (MLS) and external excitation.

The 'Impulse response measurement / Signal recording' dialog box is shown in Fig. 5.1. It is a property sheet with four pages:

  • Periodic Noise - is used for measurement of IR with periodic noise excitation,
  • Sweep - is used for measurement of IR with swept-sine excitation,
  • MLS - is used for measurement of IR with Maximum Length Sequence excitation
  • External Excitation - is used for measurement of IR and for triggered signal recording.

The page title shows which type of signal will be used for the system excitation. Later it will be discussed when to use the particular type of the excitation. Pages: Periodic noise, Sweep and MLS are used for impulse response measurement, while the page named External excitation can be used to measure the impulse response using external pulse excitation or for triggered signal recording.


5.1 Impulse Response Measurement with Periodic Noise Excitation

The principles of the impulse response measurements are the same as in the Fourier analyzer that is described before. The only difference is that in this measurement we do not see measurement results in real time. Measurement results are available on return to the Impulse response window.

In the impulse response measurement, the user has to make four actions:

  1. Setup measurement parameters. For acoustical IR measurements it is recommended to use excitation signal PN Pink as it gives best S/N ratio. PN White signal can be used for IR measurement of electronic systems. For measurement of speech intelligibility, STI a three types of signals that have speech like spectra should be chosen: Male[2011], Female [2011] and Male[2020]. Number in brackets denoted year of publishing IEC standard 60268-16 that defines speech spectra.
  2. Press the button Record and wait for the measurement to finish (during measurements the button Record is grayed).
  3. Monitor input levels. If any input is clipped stop the measurement, by pressing the button Record again, and lower the input or output volume. At the bottom of the dialog box the VU-meter shows the peak input voltage during the recording or signal generation. Note that VU-meter bars change colors to red if input channels are overloaded.
  4. The measurement normally stops when all averages are acquired. If the check box Close after recording is checked, the dialog box will be closed, otherwise user has to press the button Ok to return to the Impulse response window.

Figure 5.1 Dialog box for the impulse response measurement using the periodic noise excitation

Controls to be used for the impulse response measurement with periodic noise excitation:

Sequence length - chooses the number of samples in one period of the periodic noise.

Sampling Rate - chooses the sampling frequency.

Spectrum – chooses the noise spectral shape (Pink, White or Speech: Male[2011], Female[2011], Male[2020].

Number in bracket denotes year of publishing IEC standard 60258-16 that defines speech spectra.

Output Volume - chooses the output volume in dB.

Pink cutoff-Hz - enters the cut-off frequency of the periodic pink noise.

Preferred input channel - chooses the soundcard input channel used to measure a D.U.T output.

Dual channel mode - chooses a dual or a single channel mode.

Invert Phase of input channel - check this box to change the polarity of an input signal.

Number of averages - enters the number of averages.

Frequency domain 2ch averaging - check the box to set the frequency domain averaging.

Filter dual channel response - check this box to use "antialiasing" filtering of the impulse response (it removes the noise near fs/2 in a dual channel mode).

Generate - starts or stops the generator.

Record - starts or stops the measurement (recording and signal generation).

Close after recording - check box to close the dialog immediately after the recording is finished.

Default - sets the default setup.

OK - closes the dialog box and returns to impulse response window, which will contain the newly recorded periodic impulse response.

Cancel - closes the dialog box and returns to impulse response window, without changing its content.


5.2 Impulse Response Measurement with Swept-sine Excitation

Generally, the swept-sine is defined as a sine signal g(t) with a time varying phase function φ(t):

The instantaneous frequency of this signal is defined as:

Two types of swept sine are used in ARTA; one with a linear and other with a logarithmic time-frequency dependence.

A linear swept-sine signal is defined with a following phase function:

where T denotes the total sweep duration (in seconds), f1 is a start frequency and f2 is a stop frequency.

A logarithmic swept-sine is defined, according to Farina [7], with a following phase function:

In both cases, crest factor is 3dB, a much lower value than the crest factor of the noise. It means that measurement with a swept-sine gives a high S/N.

How does ARTA use the swept-sine in an impulse response measurement?

ARTA treats the swept-sine as a nonperiodic signal and uses it as an excitation signal in a Fourier analyzer with an H1 estimator. The basic idea is shown in Fig. 5.2. First, the swept-sine sequence of length N is generated. At the same time ARTA starts to acquire the block of 2N samples for an FFT analysis. Doubling the length of the acquired sequence is important in acoustical measurements as it assures that all reflections in rooms are collected. An additional requirement in acoustical measurements is that duration of generated sequence must be larger than the room reverberation time.

Figure 5.2 Swept-sine generation and signal acquisition

Figure 5.3 Dialog box for the impulse response measurement using the swept-sine excitation

Following controls are used for the impulse response measurement using the swept-sine excitation:

Sequence length - chooses the number of samples in one period of the swept-sine.

Sampling Rate - chooses the sampling frequency.

Output Volume - chooses the output volume in dB.

Log-frequency sweep - chooses the linear or logarithmic time-frequency dependence.

Generate voice activation - check this box to activate a special voice-like signal. It is necessary in a voice activated system.

Preferred input channel - chooses the soundcard input channel used to measured D.U.T output.

Dual channel mode - check this box for a dual channel measurement mode.

Invert Phase of input channel - check this box to change the polarity of input signal.

Number of averages - enters the number of averages, although averaging is rarely used.

Record - starts or stops measurements (recording and signal generation).

Close after recording - check box to close the dialog immediately after the recording is finished.

Filter dual channel response - check this box to use the "antialiasing" filtering of an impulse response (in order to remove the noise near fs/2 when doing dual channel measurements).

Center impulse response - checking this box enables registering part of the noncausal impulse response. This part of an impulse response (estimated with logarithmic sweep) contains distortion induced impulse response images.

Default - sets the default setup.

OK - closes the dialog box and returns to the impulse response window, which contains the measured periodic impulse response.

Cancel - closes the dialog box and returns to the impulse response window, without changing its content.

Notes: The swept-sine is an optimal excitation signal for the fast measurement of an acoustical impulse response, without the averaging. It gives a better estimation than other excitation signals in acoustical time-variant environments and slightly nonlinear systems.

The swept-sine is not best excitation signal if the environment generates a large level of the colored or impulsive noise. It also gives a bad estimation in a system that has the frequency sensitive automatic gain control or automatic noise suppression. In those cases the periodic noise excitation gives a better estimation.


5.3 Impulse Response Measurement with MLS Excitation

A Maximum Length Sequence (MLS) signal is a pulse signal with quasy-randomly exchanging states: +1 and -1. It can be analyzed as a binary sequence of N zeros or ones, that is periodic with a period N = 2m-1. The MLS can be generated with shift registers connected in a feedback configuration. Feedback connections are defined with some primitive polynomial of m-th order. For example, Fig. 5.4 shows the generation of one MLS sequence with the polynomial

This is fourth-order polynomial and the generated MLS sequence has length (period) N = 24 - 1 = 15.

Figure 5.4 MLS sequence generation with shift registers

Every MLS sequence has following characteristics:

1. The autocorrelation is constant

2. The DC value is equal to 1/N

3. The crest factor is equal to 1 (0dB)

For large value of N, the DC value (1/N) approaches the zero. Then, the autocorrelation is then equal to 1 for k=1, otherwise it is equal to zero. The power spectrum Sn and the autocorrelation Rk are an Fourier pair:

This power spectrum is a constant, which means that MLS sequence has a white spectrum. When the system excitation has a white spectrum then the cross-correlation of an output signal with an input signal is proportional to the system impulse response ( [image] ).

Simple hardware generation and fast correlation computation were the primary reason for the popularity of a MLS-based instrumentation. The correlation with a MLS sequence can be done with the Hadamard transform which is a faster algorithm than the FFT.

The second reason for the MLS popularity is the MLS theoretical property that it has the lowest possible crest factor. Practically, when the MLS is generated with a soundcard, this is not true as a MLS signal changes on the output of the D/A converter "antialiasing" filter and passing through any other filter. A crest factor of 6dB to 9dB is common on PC soundcard outputs.

The biggest problem with the MLS signal is that some of MLS subsequences are correlated and they can generate serious distortions when measuring the response of nonlinear systems. That is why the swept-sine and periodic noise are better signals for measuring the frequency response of systems that exhibit a slight nonlinearity.

Figure 5.5 Dialog box for the measurement of the impulse response using the MLS excitation

Following controls are used for the impulse response measurement using the MLS excitation:

Sequence length - chooses the number of samples in one MLS period.

Sampling Rate - chooses the sampling frequency.

Output Volume - chooses the output volume in dB.

Preferred input channel - chooses the soundcard input channel used to measure a D.U.T output.

Use second channel as reference - check this box for measurement setup in semi-dual channel mode.

Invert Phase of input channel - check this box to change the polarity of input signal.

Number of averages - enters the number of the averaging (apply synchronous averaging).

Record - starts or stops measurements (recording and signal generation).

Close after recording - check box to close the dialog immediately after the recording is finished.

Default - sets the default setup.

OK - closes the dialog box and returns to the impulse response window, which will contain a newly measured periodic impulse response.

Cancel - closes the dialog box and returns to the impulse response window, without changing its content.

When using the MLS signal, only the single channel or semi-dual channel measurement configuration is allowed. In the semi-dual channel configuration the second channel is used as a time reference, but estimation of the impulse response is done as in the single channel system (this way an input/output delay can be estimated to one sample accuracy, but the estimated transfer function is biased with transfer functions of A/D and D/A converters).


5.4 Masurement with External Excitation

5.4 Measurement with External Excitation and Triggered Signal Recording

In room acoustics measurements, the impulse response can be measured by using the pistol shot or the balloon as an external pulse excitation. This type of measurement can give better results than correlation methods in time variant environments, with a fast air temperature changes and air streaming.

Figure 5.5 shows dialog box for measurement with an external pulse excitation. This dialog box can be generally used to record any type of signal as time series record.

Figure 5.6 Dialog box for the measurement of the impulse response using an external pulse excitation or for general signal recording purpose

Following controls are used for the impulse response measurement or signal recording using the external excitation:

Input channel - chooses the soundcard input channel used to measure the signal.

Length (samples) - chooses the number of samples to record.

Sampling Rate - chooses the sampling frequency.

Time constant - shows the duration of recorded signal.

Number of averages - enters the number of the averaging (apply synchronous time averaging).

Invert Phase of input channel - check this box to change the polarity of input signal.

Wait for trigger - check this box to enable start of recording on reaching trigger level.

Trigger slope - chooses the slope (plus or minus) of trigger signal.

Trigger value / full scale - enters trigger value (ref. full scale) which starts the signal recording. Positive or negative value refers to the positive or negative trigger signal amplitude.

Predelay (samples) - enters number of samples to record before the trigger point. If negative value is entered, then it denotes the number of samples that will be skipped in recording after the trigger point.

Time waiting trigger - enters number of seconds to wait for the trigger.

Record - starts or stops measurements (recording and signal generation).

Close after recording - check box to close the dialog immediately after the recording is finished.

Default - sets the default setup.

OK - closes the dialog box and returns to the Imp window, which will contain a newly recorded signal.

Cancel - closes the dialog box and returns to the Imp window, without changing its content.

Some general recommendations for impulse response measurement are:

  • The MLS based system is inferior to swept-sine or periodic noise driven systems when implemented with a regular PC soundcard.
  • The swept-sine based system gives the best estimation in a low-noise environment.
  • The measurement system with a periodic pink noise excitation gives the most robust estimation, and can be thought as a general purposes system.
  • The external pulse excitation gives best estimation in a time-variant environment.


5.4 Masurement with External Excitation

5.5 Triggered Signal Recording and Spectrum Estimation

It is often useful to record transient signals and later make spectrum analysis of part of that signal.
In ARTA two measurement procedures are applicable to obtain the signal time record: one with external excitation, that serves also as triggering signal, and other that uses internally generated signal for excitation and triggered purpose.

5.5.1 Triggered signal recording with external excitation and spectrum estimation

The page ‘External excitation’ can be used for recording any kind of input signal, functioning as digital storage scope with recording length ranging from 4k to 512k samples Triggering can be applied from both channels. Figure 5.7 shows time record of sine burst signal in the Imp window. Trigger level was 0.01 FS, with 30 samples predelay.

The spectrum of this signal can be obtained by menu commands: Analysis->Single-gated smoothed frequency response / spectrum or Analysis->Unsmoothed DFT frequency response / Spectrum. These commands open dialog box 'Spectrum', that is shown in Figure 5.8. It has same controls and scaling options as previously described for real-time spectrum analysis window (Spa).

Four parameters determine how spectrum is estimated:

FFT length - which is set in a control bar or in a dialog box ‘Impulse Response and Spectrum Analysis parameters’ that is opened by menu command Setup->Analysis parameters (see Fig. 6.4).

Sig Win - signal window type, which is set in the dialog bar or in a dialog Setup->Analysis parameters. The choice of windows is the same as in Spectrum analysis window, with addition of an exponential window - which is often using in the analysis of transient signals.

Cursor position - is treated as first sample in FFT block of size determined with FFT length.

Marker position - is treated as position of the last sample used in FFT analysis. In a spectrum estimation, if Gate length is smaller than FFT length, FFT block is zero padded. If Gate length is larger than FFT length, then FFT blocks, overlapped in time by 50%, are power averaged.

Figure 5.7 Time record of sine burst signal

Figure 5.8 Spectrum of recorded sine burst signal, obtained with FFT length =1024.

5.5.2 Triggered signal recording with internal signal and trigger generation

In Imp window the menu command ‘Record->Signal Time Record’ opens dialog box ‘Signal Generation and recording’, shown in Fig. 5.9. Using this dialog user can generate continuous and transient types of signals.

Figure 5.9 Dialog box for signal generation and triggered recording

Controls in sections ‘Signal recording’ and ‘Trigger’ are explained in the previous section (under Fig. 5.6).

Two sections (Continuous Generator and Transient Generator) define the signal generator in a following way:

Three radio buttons select the type of generator:
• Continuous generator – with signal types that are used in Spectrum analysis window. Button ‘Set’ opens dialog for setup of continuous generator.
• Pulse generator – with adjustable pulse width (entered in samples in edit box ‘Width’).
• Sine Burst Generator – with adjustable burst envelope shape (Uniform, Triangle, Blackman and Gauss), frequency, number of sine periods, output level and repetition rate in samples.

Check box ‘Invert output signal’ enables inverting the generated signal.
Check box ‘Trigger on right channel’ enables the generation of trigger signal on the output right channel.

Button 'Generate' - starts the signal generation.
Button 'Record' - starts measurement by recording the input signal. If check box ‘Link’ is checked, the click on button 'Record' also starts the signal generation.


5.5 Basic editing procedures

5.6 Basic Editing Procedures

The submenu Edit enables the following commands for editing an impulse response:

Invert - changes the impulse response polarity simply by changing the sign of the impulse response.

Rotate at cursor - changes the impulse response so that current cursor point becomes the first impulse response point and point that precedes the cursor becomes the last impulse response point. It is useful for editing of the periodic impulse response (those obtained with a periodic noise or MLS excitation).

Truncate to [cursor, marker] – removes from current response parts outside [cursor, marker].

Scale - is used to multiply the impulse response with an arbitrary constant or value of an arithmetic expression. This command activates the dialog box 'Pir Scaling' shown in Fig. 5.10.

Figure 5.10 Dialog box for the arbitrary scaling of an impulse response

In the edit box user enters a floating point constant or an arithmetic expression composed of:

  • integers,
  • floating point numbers,
  • operators - in priority order: exponentiation (^), multiplication (*, /), addition (+, -)
  • braces ( ) for grouping.

Example: the valid expression to enter the equivalent scale of 0.7dB is the expression 10^ (0.7/20).

Scaling is frequently used to scale the near-field response of the bass loudspeaker to get the estimation of the far field response.

Example:Measurement of the loudspeaker's in-room response can’t give us an estimation of the free field bass response. To get it we measure the bass response in a loudspeaker's near field pNF and scale the response with a factor that is equal to ratio of the membrane radius to the double normal measuring distance r.

Responses obtained this way are a good approximation of the free field response of the loudspeaker that is mounted in an infinite baffle (2 Pi), for frequencies below 200Hz.

Resample to lower frequency - resamples IR or signal to some lower sampling frequency.
Parameters of the resampling user adjusts in the dialog box ‘Downsample’, shown in Fig.5.11.
User enters values for New sampling rate and Antialiasing factor, which defines roll-off characteristics of the antialiasing filter that is applied in the digital domain prior the decimation process. Factor 0.5 gives gentle high frequency roll-off over one octave bandwith, while factor 0.95 gives steepest roll-off.

Figure 5.11 Dialog box for the arbitrary scaling of an impulse response

Scale acoustic model response – transforms response with 1:n scale of acoustic space model and compensates for the high-frequency air sound absorption.
In architectural acoustics, in a design of the room acoustics it is possible to use the scaled down model of a room and analyze room response with a high-frequency pulse excitation. For model scale 1:n it is necessary to make the measurement with sampling rate approximately n-times larger than it should be made in a target room with normal dimensions. To get the target response from the model response we have to convert the sample rate and compensate the response for the excessive air absorption on high frequencies. The user adjust the parameters of scale model transformation in a dialog box, ‘Scale model’, shown in Fig.5.12.

Figure 5.12 Dialog box for the arbitrary scaling of an impulse response

If the check box ‘Compensate for air absorption’ is not checked checked the scaling procedure equals change of sampling frequency for Scaling factor, otherwise Temperature and Humidity of acoustic Model state and Target state are used for the calculation of the air sound absorption, as defined in the ISO 9613-1 standard [56]. Absorption data are used for the inverse filter generation, which is applied dynamically over the part of response where signal is higher than the noise. Inverse time dependent filtering starts from “zero time” point in IR. The "zero time" is determined automatically if measurement is done in two channel mode, otherwise user has to enter the value of Reference distance from the loudspeaker to the microphone.


6 System analysis from impulse response

6 System Analysis from the Impulse Response

The impulse response is a fundamental system characteristic. Using it, ARTA can estimate following:

1. Gated frequency response and 1/n-octave smoothed frequency response,

2. Step response,

3. Impulse response envelope (or energy time curve - ETC),

4. Cumulative spectrum and spectral decay curve (CSD),

5. Energy decay curve and acoustical room parameters,

6. Speech modulation transfer function (MTF),

7. Speech transmission index (STI and RASTI).

These analyses can be activated from the submenu Analysis or by clicking the left mouse button to one of "green" toolbar icons shown in Fig. 6.1.

Figure 6.1 Impulse response windows - toolbar icons

Next sections describe methods for the impulse response analysis.


6.1 Gated Frequency Response

6.1 Gated Impulse and Frequency Response

6.1.1 Gated Impulse response

In many cases it is useful to analyze only a part of the impulse response - the so called gated impulse response. The Fourier transform (DFT) of this "time gated" part of an impulse response gives us a gated frequency response.

Fig. 6.2 shows basic components that determine the "gated" part of the impulse response: cursor, marker and length of FFT block.

ARTA follows these rules:

1. If the marker is active then the gate is determined as a part of an impulse response between the cursor and the marker. In FFT analysis all samples that are out of the gate are zeroed.

2. If the marker is not active then the gate is determined as part of an impulse response that starts at the cursor position and has the length equal to the length of the current FFT. To set the current FFT length, you can use the dialog bar (Fig. 6.3) or activate the'Impulse Response Analysis Setup'dialog box.

The gated and ungated parts of the impulse response are plotted in different colors.

Figure 6.2 Components that determine the "gated" part of an impulse response: cursor, marker and length of FFT block

In a loudspeaker response analysis the gate is usually selected as a beginning part of the PIR, in which room wave reflections are minimal. This is motivated by the psycho-acoustical findings that our ear system suppresses reflections in the first 10-20 ms. The later reflections, at least up to 100 ms of delay, contribute to the sense of loudness. After that 'loudness summing time' reflections again do not contribute to the loudness. This means that for the subjectively approved estimation of the loudspeaker frequency response , that will correspond to our sense of loudspeaker tonal balance, a dual gate system is needed. For reflection removal we need a short time gate - Gate1, but from the time-bandwidth requirement it follows that use of Gate1 invalidates the FR estimation on low frequencies. What we can do to get more acceptable response on low frequencies is to use a larger gate – Gate2. Following the loudness summation law, the Gate2 would be set between 100 and 200ms. Both values, Gate1 and Gate2 sets the user in dialog box 'Impulse response dialog setup' that is shown in Fig. 6.4. If the marker is set, then cursor and marker determine Gate1 as is the case in a singe-gate analysis.

Figure 6.3 Dialog bar of the Impulse response window

Dialog bar controls:

FFT - chooses the size of an FFT block.

IR Wnd - chooses the window type that will be applied to the tail of the gated part of IR in a frequency response analysis.

Sig Wnd - chooses the window type that will be applied to the FFT block of the recorded transient signal in a spectrum analysis.

PreDelay (ms) - enters the time interval from the cursor position as reference position for the phase or group delay estimation (usually it is a distance from the cursor position to the position of the impulse response maximum).

Get - gets the time interval between the cursor and the marker and set it as a delay for the phase estimation

Zero - sets the delay to zero.

Inv - changes the polarity of the impulse response.

Max - set cursor to position of maximum value of the impulse response.

Figure 6.4 Dialog box for the impulse response analysis setup

Fourier analysis section controls:

FFT length - chooses the length (size) of the FFT block

Warn if FFT length < gate - check this box to be warned if the FFT length is smaller than the gate

Windows section:

Window for frequency resp. estimation - chooses window types: Uniform, Hann12%, Hann25% or Hann50%.

Window for ETC estimation - chooses the window for the ETC (impulse response envelope) estimation: Uniform, Half-Hann, Speech, Causal.

Window for spectrum estimation - chooses window types: Uniform, Hanning, Blackman3, Blackman4, Kaiser5, Kaiser7, FlatTop and Exponential.

FR phase adjustment section:

Delay estimation (ms) - sets the time interval from cursor position to the reference zero-time position for phase estimation. Usually, when we measure response of wideband system, it is a time interval from cursor position to the position of the impulse response maximum. If we measure response of system that has upper frequency limit significantly bellow Nyquist frequency, then impulse response has much slower rise and reference point of zero time is one or several samples before the position of IR maximum. A good guess is a position before IR maximum where response is ten time lower than IR maximum. Following this reasoning ARTA offers toolbar button ‘Get’ to automatically set predelay value assuming that cursor is set before IR maximum and marker is set to the reference zero time position.

Dual gate IR time windows section:

Gate1 (ms) - for high frequency part of FR - sets time interval from cursor position for FR high frequency response.

Gate2 (ms) - for low frequency part of FR - sets time interval from cursor position for FR low frequency response.

Before the estimation of the gated frequency response from a time gated impulse response, you have to set the type of window that will be applied to the gated response. The following windows can be applied: Uniform, Hann12%, Hann25% or Hann 50%. The percentage sign after the name Hann means that half of the Hanning window is applied to the percentage of the ending part of the gate in order to smoothly attenuate the impulse response. Example of the Hann12% window is shown in Fig. 6.5

These windows also apply in dual-gate analysis on Gate1 part of the PIR.

Figure 6.5 Example of an impulse response of the loudspeaker in a small room (also, the Hann12% window is shown - it determines the part of an impulse response that will be used for the estimation of the "gated" frequency response)

6.1.2 Gated Frequency Response

Following previous definition of single-gate and dual-gate window analysis, two types of gated frequency response are defined in ARTA:

• Single-gated frequency response – is obtained by applying the DFT to the arbitrarily chosen part of the PIR, called gate. User sets the gate as a region between the cursor and the marker. If the gate is not determined by the marker, the gate is automatically set to the length of DFT block starting from the position of the cursor. The length of the DFT block is set by the user in the Toolbar box or in the dialog box 'Impulse Response Analysis Setup' shown in Fig. 6.4.

• Dual-gated frequency response – is obtained by combining two frequency response that are obtained by applying DFT on two overlapping parts of the PIR, called Gate1 and Gate2. The Gate1 is used for the determination of the high-frequency response, while Gate2 is used for the determination of the low-frequency response. Both gates start at a cursor position, several samples before the maximum of the impulse response. Gate1 is determined as a region between cursor and marker or (if marker is not present ) by predefined time interval, the length of which is set in the dialog box 'Impulse Response Analysis Setup'. The length of Gate2 is determined by the user in the dialog box 'Impulse Response Analysis Setup'. This type of the response is used only for the loudspeaker response estimation.

Three menu commands can be used to get the gated frequency response:

'Analysis->Single-gated smoothed frequency response' - opens the window that shows the smoothed frequency response.
'Analysis->Dual-gated smoothed frequency response' - opens the window that shows the dual-gated smoothed frequency response.
'Analysis->DFT frequency response (single-gated)' - opens the window that shows the unsmoothed frequency response.

Note1: Unsmoothed frequency response contains complex components of DFT of the impulse response.

Note2:Smoothing of the frequency response is done on logarithmic spaced frequency points with 1/n-octave filters.

Figure 6.6 'Smoothed frequency response window' (The horizontal bar, drawn in cursor color, denotes frequency region where the time-bandwidth requirement is not fulfilled)

Figures 6.6 shows 'Smoothed frequency response window'. Right bar contains controls for the graph margin setup (same controls are in Spectrum and Frequency response windows). Additional combo box 'Smoothing' ca be used for setting the smoothing resolution. Bottom bar has several buttons:

Mag button - chooses Magnitude plot
M+P button - chooses Magnitude + phase plot
Ph button - chooses Phase plot
Gd button - chooses Group delay plot
Record button - repeats the measurement
Overlay button - opens overlay manager
Copy button - copies graph to clipboard
B/W button - sets the background color
Thick Lines check box - set line pen width to 1 or 2 dots
Thick grid check box - set grid pen width to 1 or 2 dots

The DFT frequency response window looks the same (but without menus and controls for Smoothing and Overlay).

Figure 6.7 shows an example of an unsmoothed and 1/3-octave smoothed frequency response. Comparison of two curves shows that smoothed response gives us a "main trend" and actually the better insight into the frequency response. High ripples in the unsmoothed (DFT) frequency response are consequence of room reflections.

a)

b)

Figure 6.7 Example of a) unsmoothed and b)1/3-octave smoothed frequency response

ARTA offers smoothing in 1/1, 1/2, 1/3, 1/6, 1/12 and 1/24-octave. Smoothing filters are described in Section 2.3. The graph margins and presentation setup can be adjusted with right Control bar or by dialog Graph Setup, shown in Fig. 6.8. (menu command View->Setup).

Figure 6.8 Dialog for graph setup.

The graph margins and presentation setup can be adjusted with right Control bar or by dialog Graph Setup, shown in Fig. 6.8. (menu command View->Setup). Controls are as in Spectrum and Frequency response windows. In addition, user can adjust range for phase and group delay plot, and use two additional check boxes:

Thick Lines check box - set line pen width to 1 or 2 dots
Thick grid check box - set grid pen width to 1 or 2 dots
 Time-Bandwidth disable plotting curves on frequencies where gating makes time-bandwidth product lower than 1.

The application of gating, of duration T, has an influence on the frequency resolution. If the box 'Time-Bandwidth' (or menu View->Time-Bandwidth requirement) is checked then ARTA shows only components of the frequency response for frequencies that a higher than fk > 1/T. If this option is not checked, then ARTA shows all DFT frequency bins, but with horizontal bar at the bottom of graph, that denotes frequency region where the time-bandwidth requirement is not fulfilled (Fig. 6.6).

The Appendix gives a full description of menus in Smoothed Frequency Response window and DFT Frequency Response window.

6.1.3 Minimum Phase, Group Delay and Phase Intercept Distortion

Besides Magnitude and Phase plots user can view Minimum Phase plot, Phase Intercept Distortion plot and Group Delay plot.

Manipulations with frequency response plotting modes are handled with menu View. It has following pop-up items:

Magnitude - shows the frequency response magnitude.

Magn+Phase - shows the frequency response magnitude and phase.

Phase - shows the frequency response phase, minimum phase or phase intercept distortion.

Group delay - shows the group delay.

Minimum phase - check to show the system minimum phase.

Unwrap Phase - check to show the unwrapped phase.

Excess phase - check to show the system excess phase.

Excess group delay - check to show the system excess group delay.

Phase intercept distortion - check to show the phase intercept distortion.

Sound pressure units

dB re 20u Pa/1V - unit for pressure level in acoustical standards.

dB re 20 uPa/2.83V - usual unit for the loudspeaker sensitivity.

dB re 1 Pa/1V - unit for pressure level in ITU_T recommendations.

Setup - activates the dialog box for plot margins setup.

B/W Color - sets the background color to black or white.;

Time-Bandwidth Requirement - if checked, plot curves only for frequencies where time-bandwidth product is larger than 1.

A simple definition of minimum phase is: A system phase characteristics for which the equivalent system with the same magnitude characteristics and a minimal phase changes can be realized (over all frequencies. The difference between the phase and the minimum phase characteristics is usually called excess phase.

Mathematically, the minimal phase can be estimated from the magnitude of the frequency response using the Hilbert transform. ARTA, as well as other similar programs, use the DFT to calculate the Hilbert transform. It introduces periodicity in the estimation of the minimal phase and gives the result that is close to the true minimal phase only at frequencies below fs/4.

To define a group delay and phase intercept distortion, we first analyze the frequency response H (jw) in following form:

where: A(w)=|H(jw)| is the magnitude response, j(jw) is the phase response and a(jw) a logarithm of the magnitude response.

In signal analysis we define phase delay as:

Following previous definitions, we define the system as an ideal one if both phase delay and magnitude have constant value, independent of frequency.

For real systems we define the linear distortion of the frequency response as:

where F denotes the Fourier transform.

This expression shows that there are two types of linear distortions; due to changes in the magnitude and the phase. The real part of this expression is defined as a group delay Tg:

What this expression shows is that the group delay can be estimated from the system impulse response.

To get the acceptable estimation of the group delay two condition must be met:

1. The impulse response must fully decay inside the gated region,

2. The group delay must be smaller than the half the FFT size. If this condition is not met, we get the negative value of the group delay.

Sometimes it is useful to analyse the excess group delay. It is a group delay obtained from the excess phase characteristics.

Yet one measure is sometimes used to express the phase nonlinearity in electronic audio systems [59, 60, 61, 62]. It is defined as phase shift of the carrier with respect to its envelope for any signal that passes through the system:

If we divide this equation with w we get the differential time delay, which is the difference between phase delay and group delay:

Phase intercept distortion is a good measure of phase nonlinearity only in systems in which there are no signal reflections, i.e. it is good for analysis of electronic filters responses but it is unusable for analysis of loudspeaker responses.

6.1.4 Managing Overlays

In the Smoothed frequency window user can set current frequency response curve as an overlay curve, also he can define some overly curves as crossover target filter responses.

Manipulations with overlays are handled with a menu Overlay. It has following pop-up items:

Set as overlay - sets the current curve as an overlay.

Set as overlay Below cursor - saves the part of the current curve below the cursor as an overlay.

Set as overlay Above cursor - saves the part od the current graph above the cursor as an overlay.

Load overlays - loads previously saved overlays from binary “.sfo” file.

Save overlays - saves all overlay curves in binary “.sfo” file.

Export overlays to ASCII files - saves all visible overlay curves in ASCII files

Manage overlays - opens dialog box 'FR Overlay Manager' for overlay list editing.

Delete all - deletes all overlays.

Delete last -deletes last overlays.

Generate target response - generates overlay with response of standard crossover filters.

Load target response - loads overlay from ASCII file (.frd format).

Delete target response - deletes target overlay.

Load impedance overlay - loads impedance overlay from ASCII formatted file (.ZMA format) or from binary .LIM file.

Delete impedance overlays - deletes loaded impedance overlays.

Menu command ‘Generate target response’ is for generation of overlays that have characteristics of optimal crossover filter response, and menu command “Load target response” is for loading arbitrary target from ASCII (.FRD formatted) file. The last two menu items are for setting impedance curve overlays that can be loaded from binary .LIM file or from ASCII formatted .ZMA file.

Advanced manipulations with overlays can be done using the dialog box 'FR Overlay Manager' that is shown in Figure 6.9. It is activated by menu command 'Overlay->Manage Overlays'.

Figure 6.9 Dialog boxes 'FR Overlay Manager' and 'Overlay colors'

Some dialog buttons replicate menu commands:

Add - sets the current curve as an overlay.

Add above crs - sets the part of the current curve above the cursor as an overlay.

Add below crs - sets the part of the current curve below the cursor as an overlay.

Delete all- deletes all overlays.

Other buttons enable advanced operations on selected list box items:

Replace sel - replaces selected overlay with current curve.

Delete sel - deletes selected overlay items.

Color - changes color of selected overlay items using the dialog box 'Overlay Colors' shown in Figure. 6.9.

Mouse click on List box item has following effects:

Single click - selects items.

Single click on check box - makes overlay visible or invisible.

Double click - enables editing of overlay names.

All Overlay list items can be set visible by pressing button 'Check All'.

6.1.5 Editing Smoothed Frequency Respone

The menu item Edit has following pop-up items:

Copy - copies the graph bitmap to the clipboard.

Colors and grid style - sets up graph colors and grid style.

Use Thick Pen - if checked, increases the current plot pen thickness.

Cut below cursor - cuts graph values below the cursor.

Cut above cursor - cuts graph values above the cursor.

Scale level - scales actual level with an arbitrary term (difference in dB).

LF box diffraction - scales levels with transfer function of LF loudspeaker box diffraction.

Subtract overly - subtracts actual level of the overlay graph from the current graph.

Subtract from overlay - subtracts actual level of the current curve from the overlay.

Power average overlays - replaces current magnitude plot with power average of current magnitudes and overlay magnitudes and optionally erases all shown overlays.

Merge overlay below cursor - merges to current curve overlay values below the cursor.

Merge overlay above cursor - merges to current curve overlay values above the cursor.

Delay for phase estimation - reenters a value of delay for phase estimation, previously defined in Impulse response window.

Items 'Cut below cursor', 'Cut above cursor' and 'Scale level' are normally used to “combine” two graphs; one for the high frequency and the other for the low frequency response.

The same can be done with 'Merge' command. In this case the resulting curve can be exported in ASCII file (Magnitude+ Phase).

Menu item 'Scale level' - opens dialog box in which user enters arbitrary level (in dB) to scale the magnitude response. This operation does not change the impulse response. It just changes the currently shown frequency response.

Menu items Subtract overlay and Subtract from overlay can be used to get difference of two responses (i.e. calibration of the microphone response with the other - calibrated one).

After these operations overlay curves become invisible.

Menu item Power average overlays enables creation of new overlay curve that is power average of existing overlay. User choose whether existing overlays will be erased after this operation.

Note: Operations Subtract, Merge and Power average can be realized only if a current curve and visible overlays were made from impuse responses that have same sampling rate and with a same FFT size.

Figure 6.10 Dialog box for entering the delay for the phase estimation (button ‘Update’ refreshes the current phase plot with a value entered in the edit box. Spin buttons automatically change the delay in increments of 10 micro seconds and update the phase plot).

Menu item 'Delay for phase estimation' - opens dialog box (shown in Fig. 6.10) in which user enters arbitrary value for delay in milliseconds to change the phase response. This operation does not changes the impulse response. It just changes the currently shown frequency response.

6.1.6 Low Frequency Loudspeaker Box Diffraction Scaling

Menu item'LF box diffraction' opens dialog box (shown in Fig. 6.11). In this dialog user enters the form of the box (spherical, square or rectangular), width and height of loudspeaker baffle. These values are used for the definition of scaling transfer function W(f) that is used for the estimation of the free field response from the response of loudspeaker that is measured mounted in an infinite baffle (or in the near field).

Figure 6.11 Dialog box LF Box Diffraction

ARTA uses following expression for the scaling transfer function:

where f0= 42.7/d - for sphere of diameter d, or f0= 34.16/d - for squared box of width d. These values are obtained by numerically fitting transfer function W(f) with transfer function of a spherical loudspeaker box. This transfer function is also called 2p/4p equalizer as it gives the difference of low-frequency loudspeaker response in half-space (2p) and full-space (4p). For a rectangular box, that has front baffle width w and height h, ARTA uses - as approximation - an equivalent squared box of width d = w (h/w)1/3.

Fig. 6.12. shows an example of the measured nearfield loudspeaker response (upper curve) and estimated free-field response (bottom curve). At very lower frequencies the level difference is 6 dB.

Figure 6.12 Nearfield loudspeaker response (upper curve) and 2p/4p equalized response (lower curve).

6.1.7 Repeated measurement

While being in a Smoothed or DFT Frequency response Window, user can repeat previous measurement by executing the menu command 'File->Repeat PIR measurement'. This command opens the dialog for PIR measurement. After the measurement, the frequency response is automatically calculated using current FFT size, cursor and marker position from PIR window.

A usefull keyboard shortcut for fast repeat the measurement is to press keys Alt+R twice.

The Impulse response can be saved by executing the menu command 'File->Save PIR as..'.

6.1.8 Simultaneous measurement of frequency response and harmonic distortion

By using the Farina method [7], ARTA can simultaneously estimate the frequency response and levels of harmonic distortions from the measured PIR. To apply this method, the following measurement conditions have to be fulfilled:

1) The impulse response must be measured with a logarithmic swept-sine excitation (defined in Section 5.2).
2) The length of the excitation sequence should be 64k or larger.
3) Measurements have to be done in a ‘Single channel mode’, with the check box ‘Center peak of impulse response’ selected.

After obtaining impulse response in the PIR window the user has to:

1) put the cursor few samples in front of the peak of the impulse response (but less than 250 samples before the peak), and
2) press keys Shift+F12 or click menu command 'Analysis->Frequency response and distortion'

ARTA automatically does all the necessary calculations and shows results in the window ‘Frequency Response and Distortions’, shown in Fig. 6.13 and 6.14. Depending of state of the push button labeled ‘Dist(%)’ it shows level of harmonics (H2, H3, H4) in dB or percentage of distortion (D2, D3, D4).

Level of harmonic distortions is expressed as:

Di (dB) = Mg – Hi, i=2,3,4

The percentage value of harmonic distortions is expressed as:

Di(%) = (10 ^ (Mg-Hi)/20) * 100, i=2,3,4

Figure 6.13 ‘Frequency Response and Distortion’ window – with button ‘Dist(%)’ released. Top graph curve shows magnitude of the frequency response and bottom curves labeled as H2, H3 and H4 show level of harmonic distortions.

Figure 6.1 4 ‘Frequency Response and Distortion’ window – with button ‘Dist(%)’ pushed. Top graph curve shows magnitude of the frequency response and bottom curves labeled as D2, D4 and D4 show percentage value of harmonic distortion.

Manipulations with graph are same as graph handling procedures in ARTA Smoothed Frequency Response Window. Full graph setup is possible by pressing menu command ‘View->Setup’,
or by clicking right mouse button in the graph area. That opens dialog box ‘Magnitude/Distortion Graph setup’ that is shown in Fig. 6.15. The dialog box contains usual controls for setup of graph margins. Three check boxes in section ‘Show harmonics level’ can be used to choose which harmonic distortion will be shown.

Figure 6.1 5 Dialog box for magnitude/distortion graph setup

The Farina method is based on the following reasoning:

The instantaneous frequency of swept-sine signal is defined as:

.

If we want to find for which delay time [image] the instantaneous frequency of logarithmic swept-sine will be equal to N times the actual one, we get the expression:

where T is the sweep duration, f1 is the start frequency and f2 is the stop frequency.
This equation shows that the part of logarithmic swept-sine response, that is induced by harmonic distortion, will be positioned in a time axis with a constant time difference relatively to undistorted response, independent from the current sweep frequency. ARTA uses correlation of input and output signals to get the system impulse response. Mathematically, the correlation with some signal is equal to the convolution with a time reversed signal. We can conclude that a part of the impulse response that is induced by distortions will be positioned in the time before the linear part of the impulse response. More precisely, we can state that the N-th harmonic of the distorted output signal generates a distorted „image“ of an impulse response that is positioned [image] time before the linear impulse response, and proportional to the distortion amplitude. The Figure 6.16 clearly shows an example of PIR where impulse response is preceded by “distortion induced images of the impulse response”.

Figure 6.16 Impulse response of a small multimedia loudspeaker (impulse response is almost fully zoomed, with a maximum gain). Red lines denote the linear IR and distortion induced IR for the 2nd, 3rd and 4th harmonic

The starting positions for these distortion induced IR’s are estimated by ARTA automatically from the [image] equation . In calculations, all parts of PIR responses are gated with a time interval equal to distance from the 4th to the 3rd harmonic distortion response.

The problem with this method is that it gives results that do not fully isolate the particular harmonic distortion from other types of distortions, reflections or noise induced artifacts.The advantage is that this method enables much faster insight into the structure and frequency characteristics of harmonic distortions than is possible with other measurement techniques.

To achieve reliable results measurements should be done in a room with low level of reverberation and impulsive noise.

6.1.9 Sound card transient time estimation using frequency response and distortion measurements

Frequency response and distortion measurements can be used to estimate the needed soundcard transient time on sampling rate changes.
Use this procedure:
1) Connect sound card input and output in loopback mode.
2) Start ARTA.
3) Click menu item Setup->Audio devices and in dialog box set Combo box for sound card transit time to 0 ms.
4) Click menu item Record->Impulse response. It opens IR measurement dialog with sheets.
5) Click on page Sweep and choose:
Single channel measurement (Dual channel off)
On every recording exchange the sampling rate to: 48000 or 44100 Hz
Set Sequence length: 64k
Set Output volume: -3dB
Check the box:Center peak of Impulse Response
6) Start recording IR
7) If peak meter does not show clipping, close the dialog, otherwise lower output level and repeat from step 4)
8) Click menu item Analysis->Frequency response and distortions.
9) Save measurement
10) If new measurement shows almost the same level of distortion as previous one, stop procedure and use current sound card transient time for measurements.
Otherwise, change sample rate to 48000Hz (if it was 44100Hz) or to 44100 Hz (if it was 48000Hz). Click menu item Setup->Audio devices and set combo box for sound card transit time to 300ms larger value. Repeat IR recording from step (6)

mtdist-a

Figure 6.15 a) Impulse response and distortion measured with zero transient time

mdist-b

Figure 6.15 b) Frequency response and distortion measured with transit time 1500ms in ASIO mode or 900ms in WDM mode

Figures 6.15 a) and b) shows loopback frequency response and distortion of sound card Roland Rubix 22. The assuned transit time of 0ms gives much larger distortion than transient times of 1500ms in ASIO mode or 900 ms in WDM mode.

Results are typical for most low cost soundcard with USB interfaces (Focusrite, Komplete Audio, EMU Tracker Pre). Higher quality sound cards (like RME) can be used with transit time set to 0ms.

Note: Results depend on many factors: operating system version, computer speed, USB speed, driver and sound card hardware. Some sound cards need very larger transient time. In that case it is better to use transient time 0ms and make one probe (false) measurement on every change of the sampling rate.


6.2 Step Response

The step response can be obtained as a time integral of the impulse response. The inspection of the step response is valuable for monitoring of the low-frequency system behavior and for the alignment of loudspeakers in multi driver boxes.

ARTA shows step response in separate time window. We get that window by clicking the menu 'Analysis->Step Response' or by clicking the toolbar icon [image] .

Figure 6.16 shows an example of the step response in a headphone system.

Figure 6.16 Example of the step response in a headphone system

Controls on the right pane are the same as in the Impulse Response or Time Record window. Menu commands enable saving the step response in a textual file (File->Export ACSII or File->Export CSV), saving plotted curve as overlay (Overlay->Set as overlay), saving the graph bitmap on the clipboard (Edit->Copy), changing the graph background color (Edit->B/W background color) and setting the thickness of plotted lines (Edit->Thick Lines).

You can set or delete the marker with a single or double click of the right mouse button, or by menu commands (Edit->Set marker and Edit->Remove marker).


6.3 Impulse Response Envelope (ETC – Energy Time Curve)

In acoustical measurements, for monitoring room reflections and reverberation, it is useful to analyze the impulse response envelope - also called the Energy-Time-Curve (ETC).

The envelope of signal x (t) is an envelope of signal absolute values. Mathematically, it defined as magnitude of an analytic signal x (t) + j [image] , by the expression:

,

where [image] is the Hilbert transform of a function x(t),

.

The Hilbert transform is the convolution of x(t) and 1/(t). A simple way to get it is by multiplication in the frequency domain:

,

where:

In ARTA we get the impulse response envelope in a separate window by clicking the menu 'Analysis->ETC' or by clicking the toolbar icon [image] . Fig. 6.17 shows an ETC of the loudspeaker response.

Figure 6.17 Impulse response envelope (ETC) of a loudspeaker response

The right part of the window has following controls:

dB range - sets the magnitude range.

Window - chooses the window type: Uniform, Half-Hann, Speech, Causal.

Zoom - sets the horizontal zoom ratio.

Scroll - moves the plot left or right.

Notes:

Most measurement systems use the notation ETC (Energy-Time-Curve), but we prefer the name Impulse Response Envelope. The name ETC was coined by Richard C. Heyser who noted that orthogonality of analytic signal components is analogous to an exchange of the potential and the kinetic energy in acoustic waves. His conclusion has no strong theoretical justification as analytic components give rise to the noncausal function while the energy must be a causal function.

To get the ETC curve closer to the causal function, ARTA can apply the following windows to the frequency domain data:

  • Half-Hann window - use generally (slight suppression of extremely low and high frequencies),
  • Speech window - use to enhance the speech range (suppress low and high frequencies),
  • Causal window - use if the impulse response is obtained with a MLS excitation,
  • Uniform - use rectangular window.


6.4 Cumulative Spectrum

The cumulative spectrum denotes various types of graphs that show time-frequency characteristics of signal. It is obtained by consecutively applying Fourier transform and appropriate windows on overlapping blocks of a signal. Two types of cumulative spectrum are implemented in ARTA:

1. Cumulative spectral decay (CSD) - uses FFT and modified rectangular window to analyze the impulse response spectral decay. It is mainly used in analysis of loudspeaker impulse response. CSD is a useful tool for detecting loudspeaker resonances.

2. Short-time Fourier Transform (STF) - uses FFT and Hanning window to analyze the time varying spectrum of recorded signals.

6.4.1 Cumulative Spectral Decay

Cumulative spectral decay is defined as a time-frequency function:

where h(t) is the impulse response function and u(t) is the unit step function.

Theoretically, C(t, w) is a Fourier transform of the part of impulse response defined from time t to infinity, as shown in Fig. 6.18.

Figure 6.18 Construction of the integral function of C(t,w) .

To better understand the significance of this function we multiply C(t, w) with exp(jwt),

Next, we write the equation for imaginary part only. We get:

The integral on the right side is a convolution of the system impulse response h(t) and excitation function

which is a sine function that exist in time t<0 and being zero from t=0. As linear system response to the sine function is also a sine function we can conclude that |C(t,w)| is an envelope of the sine function response, after the excitation has been switched off.

A repeated application of the Fourier transform, each time for a part of an impulse response that is ahead in time by an interval dt, we get the time-frequency function as in Fig. 6.19. For the Fourier transform estimation ARTA uses the FFT and replaces the unit step function with an apodizing window function of finite length. To avoid the abrupt cut-off of the impulse response with the rectangular window ARTA applies a gradually rising and falling window (user can chooses the rise time of the apodizing window from 0.02 to 1ms).

Figure 6.19 Cumulative spectral decay in a GSM system

ARTA shows Cumulative Spectral Decay in a separate window. To get it, we usually follow this procedure:

1) Load or record impulse response.
2) Find the position of peak value of the impulse response and set the cursor several samples before it.
3) Optionally, set the marker at some position after the position of the impulse response peak value. The part of the impulse response after the marker position will not be used in the CSD calculation.
4) By clicking the menu command 'Analysis-Cumulative spectrum', which opens the dialog box 'Cumulative Spectrum Setup' (Fig. 6.20), set parameters of the CSD time-frequency transform.
5) Set FFT block shift in the range from 2 to 10 samples. Note that larger shift obscures high-frequency resonances presentation.
6) The Cumulative Spectral Decay will be shown after pressing the button 'OK'.
7) In a dialog ‘Cumulative Spectrum’ choose waterfall or sonogram graph types and set other presentation parameters.

Figure 6.20 Cumulative spectrum setup

This dialog box has following controls:

Axis section:

Log frequency axis - check this box to set logarithmic frequency axis, otherwise linear axis is used.

Remove antialiasing range - check box to remove spectral bins near fs/2.

dB range - enter the dynamic range in dB (can be changed later).

Smoothing section:

Smoothing - check box to choose 1/n-octave smoothing of the spectrum magnitude.

Octave - chooses 1/1, 1/2 1/3, 1/6, 1/12 or 1/24 octave.

Time-frequency Fourier analysis section:

Top combo box - chooses type of analysis: CSD with rectangular window or STF with Hanning window. ARTA automatically sets CSD mode if Imp window contains impulse response, or STF mode if Imp window contains recorded signal.

FFT length - chooses the number of samples in a FFT block.

FFT block shift (in samples) - enters the number of samples an FFT block is shifted in consecutive Fourier analysis.

Max. number of FFT blocks - enters maximal number of shifted FFT blocks.

Apodizing window rise time - enters the time interval at the beginning and the ending part of the rectangular window, on which the Blackman4 window is applied.

Button 'Default' resets default values.

Button 'OK' opens the CSD graph window.

Cumulative decay spectrum can be shown as a waterfall graph or as a sonogram. Waterfall graph curves can be drawn in colors that are magnitude dependent (Fig. 6.21). The sonogram is a graph of a function whose magnitude is expressed by the predefined number and order of colors, called palette (Fig. 6.22). Use of the pallete with a small number of discrete colors enhance contours in a color plane (Fig. 6.23).

Figure 6.21 Cumulative Spectral Decay shown as colored waterfall graph

CSD window (Fig. 6.21) has several controls for graph manipulations.

Mode combo box - chooses Waterfall of Sonogram graph type.

Palette combo box - chooses from several color palette (Jet, Grey, Copper, Cool).

Colored curves - check this box to choose colored (or single color) waterfall graph curves.

Stepped colors - check this box to choose the stepped (or gradual) color change (see Figures 6.22 and 6.23).

Grid - check this box to set the grid in a sonogram type of graph.

Range (dB) spin control - changes graph dynamic range from 5 to 70 dB.

Copy button - copies current graph to the clipboard.

B/W button - sets black or white graph background color

Figure 6.22 Cumulative Spectral Decay shown as sonogram

Figure 6.23 Cumulative Spectral Decay shown as sonogram with stepped colors

Note: Two problems have to be kept in mind when using a CSD:

1) CSD has much better resolution at higher frequency than at lower frequencies. The reason for this is that DFT analysis has constant bandwidth.

2) Time axis of CSD graph is linear, so it is impossible to compare resonance behaviour at lower and higher frequency with equal weight (resonances with same Q-factor at lower and higher frequencies have energy decay that lasts much longer at lower frequencies). A requirement for the replacement of time scale t in CSD graphs with period T based scale t/T arises. It will be implemented in burst decay analysis, which is described in section 6.5.

6.4.2 Short-time Fourier Transform

In the continuous time, the Short-time Fourier transform (STF) of signal x(t) is defined as a function of time and frequency :

where w(t) is the window function centered around zero, usually, a Hanning window is used. X(t,w) is essentially the Fourier Transform of x(t)w(t-t).

In the discrete time case, we have:

likewise, with signal x[n] and window w[n]. In this case, m is discrete and w is continuous, but in typical applications, the STF is performed on a computer using the FFT from data that are obtained from overlapping blocks of samples. Each block is windowed and Fourier transformed, and the result is added to a matrix, which records spectrum for each point in time and frequency. Data from matrix are shown as waterfall plot or sonogram.

STF and CSD have similar definition in a discrete time. In practical application these transform differs in two things:

1) CSD uses rounded rectangular window, while STF uses Hanning window.

2) CSD usually uses small FFT block overlap (2-10 samples) to better reveal resonances in the whole frequency range. STF generally uses larger block shift (1/4 to 1/2 of the FFT length) to analyze larger portion of time-varying signal spectrum.

To get STF, we usually follow this procedure:

1) Load or record the signal.

2) Put the cursor at the position which denotes the start of signal used in spectrum analysis.

3) Optionally, set the marker at some position after the position of the cursor, which will remove rest of the signal from the STF analysis.

4) By clicking the menu command 'Analysis->Cumulative spectrum', which opens the dialog box 'Cumulative Spectrum Setup' (Fig. 6.20), set parameters of the STF.

5) Set FFT block shift in the range from 1/4 to 1/2 of the FFT length.

6) The Cumulative STF Spectrum will be shown after pressing the button 'OK'.

7) In a dialog ‘Cumulative Spectrum’ choose waterfall or sonogram graph types and set other presentation parameters.

STF is used for the analysis of spectrum of nonstationary signals, like speech and music.

Sometimes it is necessary to analyze CSD or STF on very low frequencies. In that case it is recommended to make downsampling of the original response. The command for downsampling is available by clicking menu command ‘Edit->Resample to lower frequency’, shown in Fig. 5.11.


6

6.5 Burst Decay with a Period Based Time Scale

6.5.1 Classical Sine-burst Testing

The monitoring of a sine burst decay response is well known technique for the analysis of the transient behaviour of resonant systems [46]. A constant number of cycles N of shaped sine burst (Fig. 6.24) are used to excite the DUT on various frequencies f i in a constant relative bandwidth D f/ fi. The envelope of the system response is monitored to give insight into the burst decay patterns. Figure 6.25 shows envelopes of shaped sine bursts decay responses of a small loudspeaker. A waterfall graph shows level of burst response envelopes as a function of frequency and time expressed in burst sine periods (t/T).

Figure 6.24 S ine bursts shaped with Gaussian window (shown as envelope). Constant number of cycles on every frequency assures a constant relative bandwidth.

Figure 6.25 Envelopes of shaped sine burst response decay of a small loudspeaker.

6.5.2 The Importance of the Period Based Time Scale

The importance of a monitoring burst response envelopes in period based time scale will be shown by following reasoning.

All natural systems have some kind of resonances. For example, a low pass filter has transfer function

where [image] is a natural system resonance frequency (T=1/ [image] ), z is a damping factor and Q=1/2z is a Q-factor. This filter impulse response has a form of the decayed sine function:

The real energy decay appears on the frequency [image] . We see that system has resonance if z<1 (Q>0,5). In that case the response is periodically decayed function (wo is real). For higher damping z≥1 (Q≤0,5) response is not periodic (wo is imaginary )

If we analyze complex systems like loudspeakers, that have many resonances with characteristics of high pass, low pass and all-pass filters, it can be shown that all that resonances have the same decay pattern expressed with an envelope of the impulse response:

Last equation shows that in the graph with a period based scale ( t/Tn = tfn) the logarithm of a single resonance burst envelope is proportional to the number of periods with proportionality factor equal to the resonance damping. This property of period based time scale is in accordance with the results of the psycho-acoustical researches of Fryer and Toole [41]. They have shown that human perceptual system gives similar weights to resonances with same Q factor on all frequencies.

Note: The system response to the shaped sine burst has two characteristic time regions: rise time and decay time. By little more analysis il can be shown that logarithm of decay envelope lasts much longer than the logarithm of the rise envelope. That is the reason why we are almost exclusively interested in the monitoring of the burst decay envelope.

6.5.3 Wavelet analysis for the Fast Estimation of Bursts Decay Envelopes

The direct measurement of burst decay patterns needs lot of time, as for every frequency sine burst response have to be generated and measured separately. A faster way to get burst decay envelope on various frequencies is to use measured impulse response and convolve it with shaped sine burst signal. It gives burst response. To get burst decay envelope a Hilbert transform can be used [47].

ARTA uses more efficient estimation method. A complex Morlet wavelet analytic signal is used in convolution with system impulse response. The magnitude of that response, also known as wavelet scalogram, represents the envelope of the shaped burst response decay.

A complex Morlet wavelet analytic signal is defined as:

It is just a cosine (+ sine) function modulated with Gaussian window.

The Fourier transform of the Morlet wavelet is equal to:

It also has a shape of a Gaussian window. The relative (-3dB) bandwidth of W(f) is equal to:

In ARTA, users can choose relative bandwidths of 1/3 and 1/6 octave.

6.5.4 Procedure for Obtaining the Burst Decay Graph

Three types of burst decay graphs can be shown in ARTA:

  • Waterfall_F is a burst decay spectral 3D graph similar to CSD graph, but period based.
  • Waterfall_P is a burst decay envelope graph as shown in Fig. 6.25 and
  • Sonogram is colored 2D burst decay graph.

To get these graphs, the user first has to find the peak of the impulse response in the PIR window and set the cursor in front of it (on some point that is less than 250 samples before the position of the peak value).

Clicking to the menu command ‘Analysis->Burst Decay’, or toolbar icon [image] , opens the dialog box ‘Burst Decay Setup’ shown in Fig. 6.26.

Figure 6.26 Dialog box Burst Decay Setup

This dialog box has following controls:

Magnitude Axis section:

dB range (10-70 dB) - enters magnitude range.

Use FR compensation – check box to use FR compensation (if it is activated).

Frequency Axis section:

Low (Hz) – enters lowest burst frequency (values below 40 Hz results with much longer calculation time).

High (Hz) – enters highest burst frequency (max. frequency at least 1/3-octave below fs/2).

Periods Axis section:

Max. number periods – enters maximum number of decay periods (20 - 60).

Points per period – enters number of decay points per period (1 - 10).

Time-frequency resolution section:

A combo box is used to select resolution:

Prefer time resolution – for analysis with burst bandwidth close 1/3 octave,

Prefer frequency resolution – for analysis with burst bandwidth close 1/6 octave.

Default button - sets default values.

OK button – opens the Burst Decay window.

Pressing the button OK starts the wavelet transform calculations, which can last from one to several seconds depending on the computer processor quality and chosen lowest burst frequency. Finally, the Burst Decay Window will be shown (as in Figure 6.27).

Figure 6.27 Burst Decay Window. Graph shows burst decay of small monitor loudspeaker. Burst frequency resolution is 1/6 octave.

The Burst Decay window has following controls for graph manipulations:

Mode combo box - chooses Waterfall_F, Waterfall_P or Sonogram graph type.

Palette combo box - chooses from several color palettes (Jet, Grey, Copper, and Cool).

Colored curves - check this box to choose colored (or single color) waterfall graph.

Grid - check this box to set the grid in a sonogram type of graph.

Stepped colors - check this box to choose the stepped (or gradual) color change.

Range (dB) spin control - changes graph dynamic range from 5 to 70 dB.

Copy button - copies current graph to the clipboard.

B/W button - switch to the black or white graph background color.

Note on dynamic range: ARTA can show 70dB decay range, but some precautions are necessary:

  • Aliasing effects can arise for burst frequencies an octave below the Nyquist frequency fs/2, as the Gaussian window will not vanish at the Nyquist frequency.
  • If the lower frequency margin is below 50 Hz, and recorded sequence is shorter than 64k, some artefacts are possible in range 20-50 Hz at levels below -50dB, due to the impulse response truncation. To get the full dynamic range at 20Hz, it is recommended to record the impulse response with a sequence length 128k or larger.

6.5.4 Comparison of Burst Decay Graphs and CSD Graphs

Loudspeaker designers mainly use CSD and Burst decay graphs to analyse or detect resonances. It is not good practice to compare these two graphs directly as they show resonance patterns in a different time scale and with different frequency resolution. Every graph has to be analysed by its own merits. Besides different resonance patterns both graphs also show delayed impulse response reflections with different time patterns. These differences will be illustrated by two examples.

In the first example CSD and Burst Decay waterfall graphs (Figures 6.28 and 6.29) are for the system that has two resonances on 200 Hz and 5 kHz, both with Q = 4. The burst decay gives equal pattern for both resonances. This is a very useful property for acoustical evaluation of resonances, as both resonances have same Q-factor.

Figure 6.28 CSD for system with two resonances: 200 Hz and 5 kHz, both with Q = 4.

Figure 6.29 Burst decay for system with two resonances: 200 Hz and 5 kHz, both with Q = 4.

The only problem in the evaluation of resonances using Burst decay is that it is hard to detect resonances that have Q-factor lower than two.

The detection of resonances becomes harder if the system response contains reflections. In that case a period-based graph shows some “unnatural” patterns. The problem is illustrated in Figures 6.30. It shows burst decay and ideal wideband impulse response with a single reflection. The delay time od the reflection is t d =20 ms and the amplitude is -10 dB below the level of the ideal response.

a)

ms

b)

Figure 6.30 (a) Burst decay and (b) wideband impulse response with a single reflection

The decay pattern in Figure 6.30 shows a shift to the right at higher frequencies. At low frequencies the decay pattern is similar to the decay pattern of low-Q resonances. The explanation is simple; every reflection is localized at a number of periods (n p) equal to the product of the reflection delay and burst frequency;

n p = f t d

At low frequencies this number is small and a decay pattern is smeared with response of the non-delayed response. At higher frequencies the reflection is localized at number of periods proportional to frequency. That makes the shift of decay pattern to the right. This feature is good and bad. It is bad as it obscures the low-Q resonances detection at lower frequencies. It is good on higher frequencies as it separates decay pattern of reflections (which shifts to right), from decay pattern of resonances (which follows strait frequency line).

Reflections also obscure CSD waterfall graphs. Figure 6.31 shows CSD graph for previous example of ideal response with single reflection. As can be seen, the reflection lowers the CSD dynamic range to the level of reflection. The only way to remove this reflection is to gate out part of the impulse response that contains reflection. In practice, gating out reflections is the usual first step in making the CSD graph.

The gating can also be applied to impulse response before making the burst decay graph. In that case the gating reduces the number of valid burst decay periods on lower frequencies. Generally, the use of the gating is not recommended in burst decay.

Figure 6.31 CSD waterfall graph for ideal impulse response with single reflections

6.5.5 Time-frequency Resolution

The time-frequency resolution setup is important in creation and analysis of a burst decay graph. ARTA offers two resolutions that are determined by acoustical criteria; the frequency resolution of 1/3 octave gives better time resolution than the other choice of 1/6 octave resolution. That difference in time resolution usually results in a different decay pattern. Figure 6.32 shows the burst decay of a small monitor loudspeaker with a frequency resolution of 1/3 octave. Comparing this figure with Fig. 6.27, shows the response of the same loudspeaker but with a resolution of 1/6 octave, it becomes obvious that in this case there is a much better time resolution that help us to distinguish decay patterns of delays from decay patterns of resonances.

Figure 6.32 Burst decay of small monitor loudspeaker with frequency resolution of 1/3 octave.


7 Estimation of Room Acoustical Parameters

7.1 ISO 3382 parameters

7.2 Acoustical energy decay

7.3 Spatial acoustical parameters

7.1 ISO 3382 Parameters

Every room adds echo and reverberation to the original "direct" sound. An echo is an undesirable room characteristics and we can easily detect it from the ETC curve. Reverberation can enhance the sound perception in a room as it gives some loudness enhancement and a musical involvement, but it also has a deleterious effect on the source localization and speech intelligibility.

To estimate room acoustical characteristics in a common way the standard ISO 3382 defines several room acoustical parameters shown in Table 7.1. This standard also defines methods for the estimation of these parameters from the measured impulse response.

Quantity Symbol | Subjective Aspect
Reverberation time T30, T20 (s) | reverberance, loudness, involvement
Early decay time EDT (s) | reverberance, clarity
Center time TS (s) | clarity
Clarity C80 (dB) | clarity
Definition D50 (%) | speech definition
Strength G (dB) | relative sound level
Lateral energy fraction LF, LFC (%) | spatial impression
Interaural cross-correlation IACC | spatial impression

Table 7.1 Overview of general room acoustical parameters (ISO 3382).

Reverberation time - T

The most important room parameter is the reverberation time - T. It is defined as the time interval required for sound energy to decay 60 dB after the excitation has stopped.

To get the reverberation time we need to measure or estimate the energy decay curve after the sound source is switched off. The energy decay curve is irregular and noisy curve r(t) that we usually approximate with linear decay, as shown on Fig. 7.1.

Figure 7.1 Energy decay curve for a sound source that is switched off in time t=0

The reverberation time is determined from the slope of the estimated linear decay as:

ISO3382 defines following notation:

  • T30 is the reverberation time determined from the average slope of the energy decay curve obtained from part of the decay curve between -5 dB and -35 dB.
  • T20 is the reverberation time determined from the average slope of the energy decay curve obtained from part of the decay curve between -5 dB and -25 dB.
  • T10 is the reverberation time determined from the average slope of the energy decay curve obtained from part of the decay curve between -5 dB and -15 dB.

Following the recommendation of ISO3382 standard, ARTA estimates the energy decay slope by the method of linear regression. ARTA also gives the report of linear regression correlation coefficient (a value from 0 to -1).

The standard defines that measurement of the energy decay curve which should be taken in standard octave bands 125 Hz to 4 kHz., or in third octave bands from 100 Hz to 5 kHz. ARTA enables measurements in extended frequency range from 63 Hz to 8 kHz.

In ARTA, the estimation of the energy decay curve is obtained by the Schroeder integrated impulse response method. Schroeder has shown by statistical analysis that the room averaged energy decay r(t) can be obtained from the backward integrated squared impulse response h(t);

We use the Schroeder expression in more practical, normalized logarithmic form:

Note that in this expression the denominator represents the total energy.

During measurements, the following condition should be fulfilled:

  • Microphone position must be at least 1 m from reflecting surfaces and not too close to any source position; the minimum distance from a source position can be calculated by the equation:

where: V is the room volume, c is the speed of sound, T is an estimate of the expected reverberation time.

  • The sound source should be as close to omni-directional as possible.
  • The microphone should be omni-directional.
  • The pre-averaging cycle during measurements with a periodic noise or with a MLS signal should be larger than the reverberation time.

A single criterion for the reverberation-time frequency response at low frequencies is often used as a Bass Ratio (BR):

where T20,x is reverberation time T20 measured in a frequency band x. For music, the desirable bass ratio is 1.0 to 1.3, but for speech, the bass ratio should at most have a value of 0.9 to 1.0.

The definition of other acoustical parameters is as follows:

Early decay time - EDT

Early decay time (EDT) is defined as the time interval required for the sound energy level to decay 10 dB after the excitation has stopped. To enable direct comparison with the reverberation time, the result is multiplied by a factor of 6. For an ideal exponential decay in a diffuse field, the expected value of the EDT equals reverberation time.

Clarity – C80, C50

Clarity or "early to late index" C80 (C50) is defined as the logarithmic ratio of an impulse response's energy before time te, and the energy after te. The value te =50 ms is used to express the clarity of speech, whereas te = 80 ms is better suited for music.

The original German name for the clarity is "Klarheitsmaß". High values for clarity indicate a large amount of early energy, which corresponds to a subjective sensation of the clarity. On the contrary, a low clarity value indicates an unclear, excessively reverberant sound.

Subjectively, acceptable value for C80 is -3 dB or higher (for sacral music -5 dB or higher). For good speech or text intelligibility acceptable value of C50 is -2 dB or higher.

Definition – D50

The Definition D50 or "early to total sound energy ratio" is a measure of the speech definition. It is also known by its German name Deutlichkeit. It is defined as:

Centre time - TS

The Centre time TS corresponds to the center of gravity of the squared impulse response:

The upper integration limits are taken as the truncation point, or the end of the impulse response, according to the noise treatment option specified.

The subscript S in the name TS stands for the German name “Schwerpunktzeit”. The value of TS is expressed in milliseconds. Low TS suggests a sensation of clarity, whereas high TS suggests a reverberant sound. The centre time is very highly correlated with the EDT (it seldom contains any additional information when compared to the EDT).

For an ideal system, the expected value of TS is proportional to the reverberation time T:

Strength - G

The sound strength G (or, relative sound level) is defined as the logarithmic ratio of the sound pressure exposure (squared and integrated sound pressure) of the measured impulse response p(t) to that of the response p10(t) measured at a distance of 10m from the same sound source in a free field.

Sound exposure is determined for each octave band as;

,

where p0 = 20uPa, T0 = 1s.

The sound source must be omnidirectional, but this requirement is almost impossible to achieve in all frequency bands with real loudspeakers. To account for real loudspeaker directivity pattern, when making the measurement of LpE,10 in a free field, or in anechoic room, it is necessary to make the measurement at every 12.5o around the sound source and to calculate the energy-mean value of the sound pressure exposure levels in order to average the directivity of the sound source. This can be done in ARTA by power averaging overlays of octave band smoothed frequency response curves. The curve can be saved (as overlay) and later used to estimate sound strength in different room positions. We get sound strength, or relative sound level, simply by subtracting values of overlay curve from the octave-smoothed frequency response.

The change of G over a distance in a room gives some indication of how diffuse the room's sound field is. The expected value in a room with diffuse sound field theory is given by

where V is a volume of the room and T is a reverberation time.

ARTA gives the estimation of room acoustical parameters from the measured impulse response, when the user activates one of the ‘Analysis’ menu commands in the Impulse response window:

Acoustical energy decay – opens Acoustical Energy Decay Window for presentation of energy decay curve obtained by Schroeder backward integration of impulse response and for user assisted estimation of acoustical parameters.

ISO 3382 - acoustical parameters – automatically estimate acoustical parameters, in 1/1-octave or in 1/3- octave bands. Submenus for choosing the type of parameters presentation are:

Graphical presentation for 1/1 octave bands

Table presentation for 1/1 octave bands

Graphical presentation for 1/3 octave bands,

Table presentation for 1/3 octave bands

Setup – opens dialog box for setup of estimation method and frequency bands

Spatial acoustical parameters – opens dialog for setup of spatial parameters estimation

The user-assisted estimation of acoustical parameters from the energy decay curve will be described in Section 7.2. The estimation of spatial parameters will be described in Section 7.3.

Figure 7.2 shows table report of acoustical parameters obtained by menu command ‘Analysis-> ISO 3382 - acoustical parameters-> Table presentation for 1/1 octave bands’, while figure 7.3 shows window for graphical presentation of acoustical parameters, obtained by menu command ‘Analysis-> ISO 3382 - acoustical parameters-> Graphical presentation for 1/3 octave bands’.

Figure 7.2 Table report of acoustical parameters. Button ‘Copy’ copies report to the clipboard, button ‘Save (ASCII)’ saves report in textual ASCII file, button ‘Save (.csv)’ saves report in Excel formatted .csv file.

Figure 7.3 Window for graphical presentation of acoustical parameters in 1/3 octave bands

Right side controls are used for the graph setup as follows:

Parameter combo box- chooses parameter to be shown as function of frequency band;

reverberation time: T30, T20, T10,

linear regression correlation coefficients: rT30, rT20, rT10,

other energetic parameters: EDT, C80, C50, D50, Ts.

Table button – opens window with table presentation as in Fig. 7.2.

Top buttons – sets top graph margin.

Range buttons – sets graph amplitude range.

Fit button – fits graph margins to curve range.

Set button - opens dialog box for setup of graph margins.

Overlays – opens Overlay manager dialog box.

Copy – copies graph to the clipboard.

B/W – sets black or white background color.

The last two commands are also accessible from menu ‘Edit’. The menu ‘Overlay’ has four usual options: ‘Set as overlay’, ‘Manage overlays’, ‘Delete last overlay’ and ‘Delete all overlays’.

Figure 7.4 Dialog for setup of presentation graph for acoustical parameters. Three sections are for setup of range and bottom amplitude margin for T, EDT, C80, C50 and TS. The check box ‘Stepped graph’ enables drawing of stepped curves, otherwise a linearly interpolated curve is drawn.

Figure 7.5 Dialog for setup of automatic estimation of acoustical parameters.

Figure 7.5 shows dialog for setup of automatic estimation of acoustical parameters. The check box ‘Extended range’ enables estimation in extended frequency range, from 63 Hz to 8 kHz, otherwise standard frequency range is from 125 Hz to 4 kHz (100 Hz to 5kHz for 1/3 octave bands) is used. A combo box ‘Noise removal method’ has three options: ‘Truncation’ (proposed by ISO3382), ‘Truncation and Compensation’ (proposed by ISO3382) or ‘Subtraction’.

To explain noise removal methods, let’s analyze the energy decay curve r(t) in a case when impulse response contain an additive noise term n(t). We express that curve as rn(t):

The third term is zero, as noise n(t) is uncorrelated with response h(t). Furthermore, if we take that squared noise has constant average value <n2 (t)> = N, over all segments of the response, we get the approximate expression:

We can estimate the mean value of noise term N by averaging the part of the tail of measured impulse response where noise is larger than impulse response amplitude.

Three methods are used for the removal of this noise term:

1) Truncation method (Trun) – truncates (removes) the part of the IR tail that is close to or below the noise level. As standard ISO 3382 suggests, ARTA defines a truncation point Ttrunc as a point where the level of the signal + noise is 5dB higher than the mean noise level at the tail of the impulse response.

2) Truncation and Compensation method (Trun+C) – extends truncation method by adding a constant C to the backward integral of energy decay:

Constant C is a value obtained from integration of the estimated ideal exponential decay curve above truncation point. This method is very accurate if decay curve follows an exponential decay shape.

3) Subtraction method (Sub) - subtracts the mean value of the tail noise power N from the squared measured impulse response in Schroeder backward integration function;

Note: In ARTA, a subtraction of noise is also applied in method 2.

To get the reverberation time, the decay curve is approximated by a linear equation y = ax + b and the curve slope is estimated by a linear regression. The best-fit slope a and a bias values b are evaluated in a least-squares fashion. The quality of the line fit estimate produced by a linear regression is described by the correlation coefficient r. The correlation coefficient has the range [–1, 1], with high correlation producing values close to unity.

Effects of noise truncation or noise subtraction can be monitored in the ‘Acoustical energy decay window’.


7.2 Acoustical Energy Decay

In ARTA we get the ‘Acoustical Energy Decay’ window by clicking the menu command 'Analysis-Energy Decay' or by clicking the toolbar icon [image]. It is shown in Fig. 7.6

The graph in the 'Acoustical Energy Decay’ window shows two curves; the upper curve is the energy decay curve, and bottom grayed curve is the impulse response envelope.

Right side panel controls are used for the graph setup and the estimation of acoustical room parameters, as follows:

Figure 7.6 Energy decay window. Upper curve is the energy decay curve; bottom curve is the impulse response envelope

Filtering - chooses the frequency of an octave-band filtered response or the wideband response.

Combo box or Spin control can be used to set the octave band frequency.

T60 - starts the calculation of acoustical parameters, the value of which is reported at the bottom pane.

Noise Tail denotes two controls. In the first control user chooses the percentage of the decay curve that is estimated as the noise, or ‘Auto’ for the automatic estimation of the length of the noise tail curve.

The other control is used to choose the method of the noise reduction:

· Trun - means that percentage of the IR curve tail will not be taken in energy decay estimation.

· Trun+C - means that percentage of the IR curve tail will not be taken in energy decay estimation, instead of that, an estimation of linear decay in tail is used.

· Sub - means that the mean level of the IR tail noise power is subtracted from the decay curve.

dB range - enters the magnitude range (from 10 to 100 dB).

Log - gets the table report of calculated room acoustical parameters.

Zoom - sets the horizontal zoom factor to Max or All.

Scroll - moves the plot left or right.

Acoustical parameters can be estimated from the energy decay curve automatically, as before, using menu ‘Automatic ISO3382 evaluation’:

Graphical presentation for 1/1 octave bands

Table presentation for 1/1 octave bands

Graphical presentation for 1/3 octave bands,

Table presentation for 1/3 octave bands

Setup – opens dialog box for setup of estimation method and frequency bands

These menu commands are described in the previous section.

Here we are interested in procedure for user-assisted evaluation of acoustical parameters. To get acoustical parameters for response in an octave band or for wideband response, user has to choose octave band (combo box – Filtering), and sets the cursor and the marker on that part of the decay curve that is approximately linear. Following ISO 3382 recommendations, for the calculation of the reverberation time, the cursor should be set close to the level -5 dB, while the marker should be set behind the position where the level is at least 10 dB below the cursor level.

Click on the button 'T60' gives the estimation of the reverberation time T60user and other acoustical parameters, with report given in the box below the graph. Figure 7.6 shows that report and automatically truncated energy decay curve.

The same procedure should be repeated for each octave band filtered response and for the wideband response. ARTA memorizes values of estimated acoustical parameters, so that click on the button 'Log' gives table report of values of acoustical parameters in all octave bands. An example of the report is shown in Fig. 7.7. The reverberation time, which was calculated from cursor and marker position, is denoted as T60user. Regardless of the marker position, ARTA also always calculates T20 and T30 (using decay range from -5 to -25 dB or from -5 to -35 dB respectively).

If user wants to get the estimation of T60 without truncation of the IR, the combo box ‘Noise Tail’ should be set to 0%. The user can also get the estimation of T60 from his own estimation of percentage of IR tail where the noise is dominant, by setting the combo box ‘Noise Tail’ to value from 5% to 95%.

Note: The procedure for user-assisted estimation of acoustical parameters is slow. It is a recommended procedure only in cases when automatic procedure shows small value of linear regression correlation in reverberation time estimation.

Figure 7.7 Report of room acoustical parameters (empty column for band 4000 Hz means that estimation was not done yet for that band)


7 Estimation of Room Acoustical Parameters

7.3 Spatial Acoustical Parameters

Subjective studies of room acoustics have shown that two measures: lateral energy fraction (LF) and inter-aural cross-correlation coefficient (IACC) correlates well with the subjective quality "spatial impression" in a concert hall. Spatial impression relates to the perception of the sound source width - effect called “spaciousness”, and a state of diffusion of the reverberant sound field - called “listener envelopment “.

Early lateral energy is being measured with two close spaced microphones: omni-directional and bidirectional (with figure-of-eight directional pattern). Interaural cross correlation coefficients are measured with either a dummy head, or a real head, and with two small microphones placed at the entrance to the ear canals.

Early Lateral Energy Measures

The fraction of the energy, LF, arriving within the first 80 ms that arrives from lateral directions can be measured from impulse responses obtained from an omni-directional and figure-of-eight pattern microphones.

where pL(t) is the auditorium impulse response measured with a figure-of-eight pattern microphone. The null of the figure-of-eight pattern microphone has to point towards an average centre stage source position, or towards individual source positions, so that it responds dominantly to the sound energy arriving from lateral directions.

It is of perceptual advantage if the LF is within the range 0.1< LF < 0.25. Frequency bands contribute to following subjective characteristics:

LF in octave bands 125 Hz ≥ f ≥ 500 Hz correlates with listener envelopment,

LF in octave bands 500 Hz > f ≥ 4000 Hz correlates with source width broadening,

LF in octave bands f > 4000 Hz correlates with sound image shifting.

Because the directivity of the figure-of-eight microphone is essentially a cosine pattern and pressure values are squared, the resulting contribution to lateral energy for an individual reflection varies with the square of the cosine of the angle of incidence of the reflection relative to the axis of maximum sensitivity of the microphone. As an alternative, approximation for obtaining lateral energy fractions, LFC, with contributions which vary as the cosine of the angle, which is thought to be subjectively more accurate, can be used.

Lateral energy fractions relate to perceived width of the sound source. The use of LF and LFC and its subjective relevance is still subject to discussion and research.

Interaural Cross Correlation - IACC

Interaural cross correlation measures relate to spatial impression of listener envelopment and perceived source width. The normalized interaural cross correlation function, IACF, is defined as:

where pl(t) is the impulse response at the entrance to the left ear canal and pr(t) is that for the right ear canal.

The inter-aural cross correlation coefficient, IACC, is given by:

Different approaches have been suggested regarding the choice of the time limits t, and t2 and the frequency filtering of the signals, and standard ISO3382 states that uses of IACC have not yet been accepted uniformly.

The most general form of IACC is defined with t1 = 0 and t2 =∞ (in room acoustics a time of the order of the reverberation time) and for a wide frequency band. For more detailed analysis, IACC is generally measured in octave bands ranging from 125 Hz to 4 000 Hz. This form of IACC in ARTA is designated as IACCA.

IACC can be measured to describe the dissimilarity of the signal arrival at the two ears, either for the early reflections IACCE (t1 =0 and t2 = 80 ms) or for the late reverberant sound IACCL (t1 = 80 ms and t2 = ∞).

According to Beranek [46] the value (1 - IACCE) correlates with the subjective perception of the spaciousness (or the apparent width of the sound source – AWS) and the value (1 - IACCL) correlates with the subjective perception of being "enveloped by the sound". He designates the (1 - IACCL) as Listener envelopment - LEV. Beranek has found that spaciousness is highly correlated with IACCE in three upper frequency bands: 500Hz, 1kHz and 2kHz. He uses an averaged IACCE value:

IACCE3 = (IACCE,500Hz + IACCE,1000Hz+ IACCE,2000Hz)/3

and defines three categories:

Category | IACCE3 | 1-IACCE3
Excellent to superior | 0.28 - 0.38 | 0.62 - 0.72
Good to excellent | 0.39 - 0.54 | 0.46 - 0.61
Fair to good | 0.55 - 0.59 | 0.41 - 0.45

For listener envelopment Beranek has found that rooms with grade “excellent” have (1 - IACCL) = 0.13, while those with grade “good” have (1 - IACCL) = 0.15.

Although the LF and IACC parameters relate to the same subjective quality, they are not highly correlated in practice. The fact is that LF and IACC emphasize different frequency regions. LF is primarily measured in the four lowest octaves, 125 Hz, 250 Hz, 500 Hz and 1000 Hz while IACC should rather be measured in the octave bands above 500 Hz. IACC values would always be high in the lower octaves, because the distance between the ears (< 30 cm) is small compared to 1/4 of the wave length (≈ 70 cm at 125 Hz).

Measurement of Spatial Parameters

To measure spatial parameters a sound system with two microphone input channels is required. For measurement of IACC two small identical microphones must be used at the entrance of the ear canal of a dummy or a real head. For measurement of lateral energy fraction, an omnidirectional microphone should be connected to left channel and bidirectional microphone to right channel. Microphones should be calibrated, at least average difference in sensitivity have to be known.

Measurement is coordinated from dialog box ‘Measurement of Spatial Acoustical Parameters’, which is shown in Fig. 7.9. The dialog is opened by menu command ‘Analysis->Spatial Acoustical parameters’.

Figure 7.9 Dialog for measurement of spatial acoustical parameters

Dialog contains several controls for setup of measurement, peak meter panel for monitoring of input levels, report table, and buttons for commands, as follows:

Estimate IACC radio button - chooses the measurement setup for IACC.

Estimate LF (LFC) radio button - chooses the measurement setup for LF (LFC) .

Sequence length combo box – chooses length of generated periodic noise generator.

Sampling rate combo box – chooses sampling rate.

Output volume combo box – sets output volume (dB relative to full scale).

Pink cutoff (Hz) edit box – sets low frequency cut-off for pink noise generator

Channel differences (dB) edit box – sets sensitivity differences between left and right channel microphone.

Number of averages edit box – sets number of averaging.

Generate button – starts generation of pink noise and input peak meter monitoring.

Record button – starts measurement and estimation of spatial parameter. After this operation, the Table contains report of spatial parameters.

Default button - sets default setup.

Copy button - copies table report to the clipboard.

Save (ASCII) button - saves report in a textual ASCII file.

Save (.csv) button - saves report in an Excel formatted .csv file.

The use of 'Channel difference' edit box - needs some explanation. Here the user must enter the difference between the sensitivity of left and right channel (in dB). If a calibrated system is used then proper value is 20log10 (on axis sensitivity of left channel mic. / on axis sensitivity of right channel mic.). If a non calibrated system is used that has potentiometers in left and right channel, a better procedure is to monitor response of both channel, with both microphones’ main axis toward sound source, and adjust potentiometer to get equal response. In that case, the Channel difference is equal to 0dB. After this adjustment, the bidirectional microphone must be oriented with figure of eight null response toward sound source.

Estimation of Spatial Parameters from Previously Measured Impulse Responses

If the measurement system has only one microphone channel, to estimate spatial parameters two measured impulse responses must be loaded in the impulse response window, one as current IR and other as overlay IR. For estimation of lateral energy, the response of figure of eight microphone must be loaded as overlay. In that case, when impulse response window contains overlay, the menu command ‘Analysis->Spatial Acoustical parameters’, opens dialog box shown in Figure 7.9. To make estimation of spatial parameters user has to choose type of parameters (IACC of LF) and click on button ‘Estimate’.

Figure 7.10 Dialog for estimation of spatial acoustical parameters from previously measured impulse responses

Note: it is not recommended to use this method for the estimation of IACC, as correlation estimation is highly susceptible to the time-variance of the measurement environment.


8 Speech Intelligibility

8.1 MTF - Modulation Transfer Function

8.2 Speech transmission Index

8.3 STI and %ALcons


8.1 MTF – Modulation Transfer Function

Reverberation and noise degrade the speech modulation in real rooms. Houtgast and Steeneken [41] have determined that modulation of a natural speech is in the frequency range from 0.5 to 12.5 Hz. They defined Modulation Transfer Function (MTF) as a function that shows how the system degrades the speech modulation in that range.

Referring to Fig. 8.1 we can simply define the MTF as the ratio of the modulation index at system output mo to the modulation index at system input mi. The maximal value and also the ideal value of the MTF is 1.

Figure 8.1 Illustration of the MTF definition

There are two methods for measuring MTF. The first, usually called direct method, measures ratio of the modulation index of the input octave band modulated noise to the modulation index of the output signal. The second method, called indirect method, uses system impulse response to obtain MTF. Schroeder gave the expression for the MTF estimation using the loudspeaker impulse response, as m (F):

where F is the modulation frequency.

From this definition the MTF is proportional to the Fourier transform of squared impulse response. The denominator, which represents the total energy, normalize the expression. As the MTF is also dependant on the noise, during an impulse response measurement we must not use averaging.

Four phenomena determine MTF value: reverberation, noise, system nonlinear distortion and spectral changes (i.e. band pass filtering).

As the MTF is dependent on the noise, during an impulse response measurement we must not use the averaging, as it reduces noise. Also, we must not use swept-sine excitation, as it reduces nonlinear distortion in impulse response.
Conversely, if we want to determine MTF with reduced noise and distortion influence, we can use noise excitation with averaging or swept sine excitation. Such MTF value we call “noise free MTF”.

If we have only noise that degrade speech modulation, then we can get MTF from known signal to noise ratio (SNR):

This expression can be used to estimate MTF for various SNR from measured noise free MTF, we simply need to multiply noise free m(F) and m(SNR).

MTF is usually calculated for every 1/1-octave band (from 125 to 8000 Hz), to account for spectral changes in speech. ARTA shows the MTF for each octave band filtered impulse response in a separate window (Fig. 8.2), which is activated from IMP window by clicking the menu 'Analysis->Modulation Transfer Function.

Figure 8.2 Modulation Transfer Function window

The submenu 'Octave' is used for the octave band setup, and the submenu 'Edit' is used to copy the graph bitmap and to change the background color.

Psychoacoustic correction for MTF

The standard IEC-60268-16 uses MTF as the basis for calculation of speech intelligibility index, but it extends calculation of MTF to include psychoacoustic effects of masking and speech reception threshold which is basically a threshold of hearing expressed in octave band levels.
The masking is accounted in a way that if sound intensity in octave band is smaller than intensity in previous band, modulation index is reduced by masking effect in the same way as noise does. The effect of masking is dominant for large speech levels, on normal speech levels it is very small.
The inclusion of masking effects is possible only if the octave band levels LSi are measured or estimated for specific listener position. Shortly, to get corrected MTF values mi‘(F) from values m(F), for i-th octave band and modulation frequency F we use formula:

where:
IS,i is sound intensity measured in octave band i,
IRT,i is intensity of reception threshold in octave band i,
IAM,i is intensity of auditory masking in octave band i.

Values of reception threshold intensities IRT,i and method for calculation of masking intensities IAM,i are given in the IEC-60268-16:2011 standard.

The MTF values mi(F), for reduced set of modulation frequencies are used in methods for the estimation of speech intelligibility that are described in the next section.


8.2 Speech Transmission Index

8.2.1 How IEC standard defines STI

Five editions of IEC standard 60268-16 define methods for the estimation of speech intelligibility and give a single number rating called STI - Speech Transmission Index - that is close to the subjective intelligibility score.
ARTA covers methods of two last editions 4 and 5, officially designated as 60268-16:2011 and 60268-16:2020 respectively [16, 17]. The year of publishing is appended to the standard number. The main difference between two editions is in definition of excitation signals that are used for measurement od speech propagation in different environment. Standard 60268-16:2011 defines two types of signals that simulate male and female speech, here we will call them Male[2011] and Female[2011] speech signals. Standard 60268-16:2020 simplifies measuremets and defines only one type of signal, here we call it Male[2020] speech. It is similar to Male[2011] speech signal but with reduced low-frequency power. Using old excitation signals enable us to compare results with older STI requirements and data, but for new measurement of unamplified speech it is recommended to use excitation signal Male[2020].

The STI method is applicable in linear wideband systems. It cannot be used for testing vocoders i.e. LPC, CELP and RELP predictive coding in a GSM.

The same standard also defines simplified methods for the estimation of speech intelligibility: STIPA method (STI for public address system), STITEL method (STI for telecommunication systems) and RASTI method (Rapid STI). The STIPA method has been found to compare well with full STI in a test conditions which might be encountered in various PA systems.

The STI analyzes the modulation transfer function with 14 modulation frequencies (from 0.63 Hz to 12.5 Hz, 1/3-octave apart) and in seven octave bands (from 125Hz to 8kHz). Table 1 shows all the frequencies. The STI rating is obtained by summing and averaging the MTF as described later. STI can be measured directly by generating modulated noise signal for each band, which requires long measurement duration, or indirectly by calculating the MTF from measured impulse response. ARTA uses the indirect method.

The STIPA analyzes the modulation transfer function in seven octave bands (from 125 Hz to 8 kHz) each modulated with 2 modulation frequencies. The STIPA rating is obtained by summing and averaging the MTF the same way as STI, but it is validated only for male speech spectrum.

The STITEL uses one modulation frequency per band (1.12, 11.33, 0.71, 2.83, 6.97, 1.78 and 4.53 Hz)

The RASTI method uses only two octave band and 9 modulation frequencies. In band 500 Hz it uses four modulation frequencies (1, 2, 4 and 8 Hz), and in band 2000 Hz uses 5 modulation frequencies (0.7, 1.4, 2.8, 5.6 and 11.2 Hz). The IEC-60268-16:2011 standard, treats RASTI method as obsolete.

fi octave Fk mod. | 125 Hz | 250 Hz | 500 Hz | 1000 Hz | 2000 Hz | 4000 Hz | 8000 Hz
0.63 Hz |  |  | O |  |  |  |
0.80 Hz |  |  |  |  |  | O |
1.00 Hz |  | O |  |  |  |  |
1.25 Hz |  |  |  |  | O |  |
1.60 Hz | O |  |  |  |  |  |
2.00 Hz |  |  |  | O |  |  |
2.50 Hz |  |  |  |  |  |  | O
3.15 Hz |  |  | O |  |  |  |
4.00 Hz |  |  |  |  |  | O |
5.00 Hz |  | O |  |  |  |  |
6.25 Hz |  |  |  |  | O |  |
8.00 Hz | O |  |  |  |  |  |
10.00 Hz |  |  |  | O |  |  |
12.50 Hz |  |  |  |  |  |  | O

Table 8.1 Modulation frequencies and octave band frequencies for STI (the circles show modulation frequencies used in STIPA).

The procedure for calculation of the STI rating from given MTF for each band i and modulation frequency Fk is as follows:

1. For all MTF values mi(Fk) the S/N ratio for the modulation signal is defined as:

where i denotes octave band (i = 1,2,..,7) and k denotes modulation frequency (k = 1,2,…14).

2. Limit the value of Xi to [-15, +15].

3. The STI method states that S/N ratio in the range from -15dB to 15dB is linearly dependent on intelligibility rating in the range from 0 to 1. That is why; S/N ratio is converted to new value called transmission index TI:

3. The average value of TIi for each octave band, called Octave transmission index-OTI, is defined as:

4. Finally, the STI rating, expressed as a single value, is calculated using the equation:

where weighted factors alpha and beta are experimentally determined for male and female speech. They and defined in standard IEC 60268-16:2011.

STI values are in the range from 0 to 1. Equivalent subjective ratings are given in Table 8.2.

STI range | Equivalent subjective rating
0.00 < STI < 0.30 0.30 < STI < 0.45 0.45 < STI < 0.60 0.60 < STI < 0.75 0.75 < STI < 1.00 | Bad Poor Fair Good Excellent

Table 8.2 STI - equivalent subjective rating

Besides STI equivalent subjective rating, IEC 60269-16:2011 defines STI qualification bands as a more detailed rating. Qualification bands are expressed by capital letters as shown in Table 8.3.

Qualification band | STI rangee | Examples of typical usee
A++ | > 0.766 | Recording studioss
A | 0.72 - 0.766 | Theatres, courts, auditoriaa
B | 0.68 - 0.722 | Theatres, courts, auditoriaa
C | 0.64 - 0.688 | Theatres, parliamentss
D | 0.60 - 0.644 | Classrooms, Lecturess
E | 0.56 - 0.600 | Concert hallss
F | 0.52 - 0.566 | PA in shopping mallss
G | 0.48 - 0.522 | Shopping malls, officess
H | 0.44 - 0.488 | PA in difficult environmentss
I | 0.40 - 0.444 | PA in very difficult environmentss
J | 0.36 - 0.400 | Not suitable for PA
U | < 0.366 | Not suitable for PA

Table 8.3 STI – qualification bandss

The value of measured STI depends on environmental noise, reverberation, signal level and system distortions. As ARTA uses an indirect method to estimate STI from measured impulse response, we must differentiate methods which preserve S/N and distortion..
It is known that when measuring impulse response, averaging reduces the noise, while the use of swept sine excitation reduces distortions. In this cases we have "noise free" IR
We also must differentiate STI estimation for amplified or unamplified speech, as they have different S/N conditions.

We should be aware of any nonlinear behavior when measuring the speech intelligibility through a sound system.

The following conditions are required for correct measurements:
• The system under test should not introduce frequency shifts or use frequency multiplication.
• The system under test should not contain vocoders, such as LPC, CELP and RELP.
• The speech transmission should be essentially linear, with amplitude compression or expansion limited to 1 dB, and no peak clipping.
• The system under test should not introduce drop-outs.

8.2.1 The measurement of STI for unamplified speech signal

Setup of measurement devices and signals

Measurement setup should generate a speech-like excitation signal that simulates natural speaker voice without any amplification. That signal should be reproduced using an artificial mouth or small loudspeaker (with a membrane diameter less than 10cm, and box size that is close to the size of a human head).
A speech-like signal is realized as a noise signal that has an octave band spectrum defined in table 8.4. ARTA has implemented a generator for three speech-like signals: Male[2011], Female[2011], Male [2020] commonly called Speech PN.

Octave band (Hz) | 125 | 250 | 500 | 1000 | 2000 | 4000 | 8000 | A-weighted
Male[2011] speech levels (dB) | 2.9 | 2.9 | -0.8 | -6.8 | -12.8 | -18.8 | -24.0 | 0.0
Female[2011] speech levels (dB) | - | 5.3 | -1.9 | -9.1 | -15.8 | -16.7 | -18.0 | 0.0
Male[2020] speech levels (dB) | -2.4 | 0.6 | 0.1 | -5.9 | -11.9 | -17.9 | -23.0 | 0.0

Table 8.4

Octave band levels of Male[2011] and Female[2011] speech noise signals defined in IEC 60268-16:2011 and Male[2020] speech noise defined in IEC 60268-16:2020. Levels are normalized to give total A-weighted level of 0.0dB.

The frequency response of the artificial mouth or small loudspeaker should be flat (within ±1 dB in octave bands). This is hard to achieve, but ARTA allows use of frequency response compensation for response equalization. To use FR compensation, click on menu command ‘Analysis->Artificial mouth FR compensation’. It will open dialog box shown in Fig. 8.3. which is almost the same as dialog box for microphone FR compensation. Here it is necessary to do two things. First, user should load frequency response of artificial mouth from ASCII file (.txt, .mic or .frd) that contains response smoothed in 1/3 octave bands. Second, response should be normalized to show 0dB near frequency 500 Hz.

Figure 8.3 Dialog box for setup of artificial mouth frequency response compensation. Graph shows response of small multimedia loudspeaker used as artificial mouth.

The user has to adjust the artificial mouth response and A-weighted SPL so that it simulates unamplified speech. Measurement of artificial mouth response to speech-like signals can be realized using dialog box, shown in Fig. 8.4. The dialog opens by clicking menu command ‘Analysis->Octave noise and speech levels for STI estimation’. Measurement microphone should be located 1m in front of artificial mouth.

Standard dictates that:

- If we want to estimate speaker to speaker speech intelligibility, the artificial mouth generated A-weighted SPL should be adjusted to a value of 60 dBA.

- If we want to estimate speaker speech intelligibility in auditoria, artificial mouth generated A-weighted SPL should be adjusted to a value of 70 dBA, to simulate raised speech levels.

Figure 8.4 shows an example of the measurement of Speech PN levels. The same dialog can be used for the measurement of environmental noise, the user just need to uncheck check box ‘Generate speech noise’. Sometimes we need to use some predefined values for noise SPL They can be loaded from textual file by menu command File->Import noise SPL. The file have to contain ten lines of text, each with two numerical values: octave band frequency and noise SPL Ten band frequencies must be: 31.5, 63, 125, 250, …., 8000, 16000Hz.

They can be loaded from textual file that contains ten lines of text with values of octave band frequency and noise SPL Ten standard frequencies must be: 31.5, 63, 125, 250, …., 8000, 16000Hz.

Figure 8.4 Dialog box for measurement of noise and speech levels in octave bands

Dialog box contains usual controls for graph setup and following controls for measurement setup:

Integr. Time edit box - sets integration time in seconds (standard require 15 s for measurement noise level)
Sampling rate combo box – sets sampling rate to 48000 or 44100 Hz
Output volume combo box – sets output volume level from -20 to 0 dB in steps 1dB (the same level will be used during impulse response measurement with Speech PN excitation)
Speech spectrum combo box – sets speech spectrum type to Male or Female
Record/Reset button – start or reset measurement of octave levels and A-weighted SPL
Stop button – stops measurement.
Generate speech noise check box – if checked click on button Record also starts Speech PN generator and controls show octave levels and A-weighted SPL of speech signal (+ noise), otherwise controls show octave and A-weighted level of noise. Graph simultaneously shows both curves.
Treat signal as speech+noise - if checked, we assume that measurement results show level of speech signal plus noise, otherwise we assume that noise is much smaller than speech signal and measurements show level of speech signal.

The menu has following items:
File

Open - open a file with name extension ".osn", that contains speech and noise levels
Save - save speech and noise levels in a file with name extension ".osn"

Export ASCII – saves measured level of speech signal and noise in textual file

Import noise SPL – import noise SPL data from textual file

Edit
Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file
B/W background color - sets the background color to black or white
Thick grid – sets graph grid thickness. (1 or 2 points wide)

Setup
Audio devices - opens dialog for the setup of audio devices
Calibrate audio device - opens dialog for the calibration of audio devices

This way the system is adjusted for measurement of intelligibility for unamplified speech in any part of the room.

STI measurement (IR method)

  1. The measurement of the STI (STIPA or STITEL) should be done using the measurement system prepared as described in the previous chapter.

    The measurement procedure has following steps:

    1. Put the microphone in the position where you want to measure STI (STIPA or STITEL).
  2. 2. Put ARTA in the Impulse response mode and click command Record->Impulse response. It will open dialog box with four pages. Choose the page Periodic Noise (see Fig. 8.5)
  3. 3. Choose excitation signal of type Male Speech or Female Speech. Set Averaging to 1. Keep volume control on same value that was used in the preparation phase.
  4. 4. Choose periodic sequence length. The period of periodic noise must be larger than period of lowest modulation frequency. (i.e. larger then 1/0.63 Hz = 1.58 seconds). It means that number of samples in one period (FFT length) must be larger than 1.58Fs. Table 8.7 gives the proper sequence length. The sequence length must also fulfill criteria for IR measurement in reverberant rooms. The total time should be larger than reverberation time. In ARTA maximal sequence length is 512k samples.

Fs (Hz) | 48000 | 44100 | 32000
Sequence length | 128k | 128k | 64k

Table 8.5 Minimum FFT length for STI measurements

Figure 8.5 Page for impulse response measurement with periodic noise

  1. 5. Make the measurement of the impulse response (without the averaging).
  3. 6. When the measurement is finished, in the Impulse response window click menu command 'Analysis->STI' or click the toolbar icon STI.
  5. 7. ARTA will give report of MTF values, OTI values and STI ratings in STI window shown in Fig. 8.6. Results are shown for unamplified speech, without correction of masking effect (in this case noise influence is accounted in measurement of impulse response without averaging).

Figure 8.6 STI window

  2. S TI window contains:
    Report window – shows result of STI calculation,
    Edit boxes - enters values of speech SPL and SNR for seven octave bands.
    Copy text button – copies report window text to clipboard
    Record signal and noise button – opens dialog for recording signal and noise levels
    Apply masking (and SNR) button – apply masking (and SNR) correction to calculation of STI

    The menu commands for STI windows are:
    File
    Save report in ASCII fi    le - saves content of report window in textual file
    Export Speech SPL and SNR to ASCII file - exports speech levels and SNR for seven octave bands
    Import Speech SPL and SNR from ASCII file - imports speech levels and SNR for seven octave bands
    (Format of files is simple: seven lines contains three value: frequency, speech SPL and SNR)

    Edit
    Copy text     - copies the graph bitmap and user defined text to the clipboard or saves that image to the file
    Record level and SNR - opens dialog for recording signal and noise levels
    Apply masking (and SNR)     – apply masking correction (and SNR if IR is "noise free" recorded) to calculation of STI.

Figure 8.7 Measurement of signal and noise level

8. If you want to add masking correction you should measure real signal level and SNR in measurement position (default values are just for reference). To do that click button 'Record signal and noise'. It will open the measurement window on figure 8.7. In two measurements, one with check box ‘Generate speech noise’ checked and second with unchecked, you will get levels of signal+noise and noise. Click button ‘Apply to STI’ closes dialog box, and values of signal level and SNR are calculated and set to STI window shown in Fig. 8.8.

STI report shows results after clicking on button 'Apply masking', and it was the last step in STI measurement procedure.

It is important to note that STI values with and without masking correction are almost the same in this example, there are only some small differences in octave TI. Larger difference will exist on larger signal levels (above 65 dBA). It means that, in practice, when measuring with non-amplified speech we do not need to apply masking correction, but it will be obligatory when analyzing amplified speech, as it can have much larger signal levels.

Note: The same procedure is used for measurement of STIPA (and RASTI), with a requirement that the excitation signal should have a male speech spectrum.

Figure 8.8 STI report after applying masking corrections

8.2.3 The measurement of STI for amplified speech signal

A PA announcement or emergency systems differs whether they use a microphone in the same room where STI would be measured or a microphone that is in an isolated room, or a system does not use a microphone and voiced messages are generated by speech synthesis.

These facts are important:

1) Amplified PA systems usually generate sound levels significantly larger than noise in a larger part of the space while in some other parts signal level could be closer to noise level. The speech signal for testing STI is obtained from computer soundcard and connected to a PA mixer.

2) When the microphone is in the room where STI is being measured the SPL, levels are limited by acoustical feedback, and the microphone should be excited with the artificial mouth.

3) Noise level in public spaces is not constant, and better estimation of SNR can be obtained with longer integration time or by repeated measurements.

We conclude that it is better to measure “noise free” impulse response and later add correction for masking and noise. Monitoring of noise could be extended to a larger time, leading us to a statistically better STI estimation.

The measurement procedure is the same as in the previous section except that in measurement of IR we must use method and signals that suppress noise and distortion. It is not mandatory to use Speech PN – as pink noise and swept sine gives larger signal energy. Pink PN gives results like swept sine excitation if we make at least nine averages.

Correction for masking and noise can be obtained by additional measurement; alternatively signal and noise can be estimated for some spaces and saved in textual files for later use in STI window.

It is important to note that the STI window uses values of signal level (LS) and SNR, while in measurement or estimation it can be easier to manipulate with Signal+noise level (LSN) and noise level (LN). For conversion use this formula:

The range of values for SNR, that change STI, are from -15 dB to +15 dB. The value of SNR larger than 15 dB does not have significant influence on STI. The value of SNR smaller than -15 dB means STI will be zero.

8.2.4 The measurement of STI at large distances

If we need to measure the STI at a large distance from a speaker it is often impossible or not practical to use very long cables.
In that case the excitation signal should be recorded from the computer as periodic sequence and playback from the same recording device. This will assure synchronicity required for correlation analysis.

The swept sine signal is more immune to slight clock changes then periodic noise and we can use prerecorded .wav file reproduced from CD player, smartphone or another computer. The measuring computer volume control should be muted, and the signal recorded using ARTA in a single channel mode without averaging. Recording should start after first (or second) swept-sine sequence was played from distant devices.


8.3 STI and %ALcons

Besides STI ratings for male and female speech, the STI window shows the value of speech intelligibility rating called %ALcons (Articulation Loss of Consonants) that has been defined by Peutz [63] experimental work. It is used in architectural acoustics with an equivalent subjective rating given in Table 8.5.

Subjective intelligibility rating | Articulation loss of consonants (%)
Bad | 100 < %ALcons < 30
Poor | 30 < %ALcons < 15
Fair | 15 < %ALcons < 6.6
Good | 6.6 < %ALcons < 3
Excellent | 0 < %ALcons < 3

Table 8.6 Subjective intelligibility rating and equivalent %ALcons

The relationship between STI and %ALcons is given with following equations:

%AL = 170.5405 exp(-5.419 STI)

STI = -0.1845 ln(%AL) + 0.9482

Figure 8.8 %ALcons as function of the S/N ratio and the reverberation time (experimental data for listener position in diffuse reverberation field).

The %ALcons can be estimated from a measured reverberation time T60 and the S/N ratio using Peutz experimental data shown in Fig. 8.8 if the listener is positioned in the diffuse reverberation field. Otherwise, if listener is in the direct speaker field %ALcons can be estimated using expression:

 , for

where V is room volume, D is speaker directivity; d is distance from the speaker to the listener. This formula is often used in architectural calculations, but it does not take in account the influence of the noise.

Both speech intelligibility ratings, STI and %ALcons, are useful acoustical room parameters. Comparison with subjective intelligibility rating shows that STI gives the estimation within 5.6% of the subjective rating, a better result than 10% for %ALcons.


9 Tools

This section describes additional ARTA tools for the presentation of measurement results.

9.1 Directivity patterns

9.2. Integrating SPL Measurements and Data Logging


9.1 Directivity patterns

9.1.1 Basic Definitions

Beranek [45] gives the following definition of a directivity pattern: “The directivity pattern of a transducer used for the emission or for reception of sound is a description, usually presented graphically, of the response of the transducers as a function of the direction (angle) of the transmitted or incident sound waves in a specified plane and at specified frequency.”
Mathematically, the directivity pattern is a 3D spatial function p(f, r, f, J), but here we will mostly treat it as a single plane function of frequency and off-axis angle J in horizontal or vertical plane Three definitions are used in ARTA:

  1. p(f, J) / pref, r =const., pref = 2 x 10-5 Pa
  2. p(f, J) / p(f, J=0), r =const.
  3. p(f, J) / pmax(f), r =const.

The first definition represents a group of frequency responses at a constant measuring distance r. The second definition represents group of frequency response normalized with frequency response at zero degrees. The third definition represents a group of frequency responses normalized with frequency response at angle where frequency response has its maximum. It is always equal or lower than one. All three definitions can be used in ARTA to show directivity patterns graphs. Normally, the magnitude of response in directivity patterns is shown in level dB scale.

Besides the graphical representation of directional characteristics, three directivity parameters are defined [45]:

  1. The directivity factor Q(f) is the ratio of the intensity on a designated axis of a sound radiator at a stated distance r to the intensity that would be produced at the same position by a point source if it were radiating the same total acoustic power as the radiator.
  2. The directivity index DI(f) is expressed in dB as a value of the expression DI = 10log(Q). It is equal to difference of SPL at designated axis of radiator and SPL that will be produced by point source with a same sound power at same distance r.
  3. The beam width angle of a directivity pattern is defined as angle between two points on either side of the principal axis (usually at zero degree) where sound pressure level is down 6dB from its value at zero degree.

ARTA supports calculation of DI from single-plane measurements by assuming two type of spatial directivity pattern: axe-symmetric sphere or cylinder. First pattern type is typical for circular direct radiator drivers, while second pattern type is typical for sound columns. For other type of directional pattern, the calculation of DI is less reliable. The calculation requires that position (r, J=0) should be on the axis of the loudspeaker.

The calculation follows recommendations from standard IEC 60268-21 [64], where Q is defined as a ratio of intensity at reference angle zero degree to intensity of point source with a same power and on same distance. This standard does not recommend use of the reference angle determined by point where response has maximum value, as it usually varies over frequencies.

To get full space free field DI the response should be measured for angles from 0 to 360 degrees (or from -180 to +180 degrees) or from 0 to 180 degrees for assumed axially symmetrical response. The angle increment is arbitrary.

If loudspeaker is mounted in an infinite baffle the response should be measured for angles from -90 to 90 degrees or from 0 to 90 degrees for assumed axially symmetrical response. This way ARTA distinguish full space and half space DI.

9.1.2 Types of Directivity Patterns in ARTA

ARTA uses five types of graphs to show the loudspeaker directivity patterns:

  1. waterfall plot
  2. contour plot
  3. filled contour plot
  4. color map (sonogram)
  5. polar diagram

The waterfall plot is a three-dimensional graph that shows series of frequency responses measured at a constant distance but on different measurement angles. The standard and the rotated view of the waterfall plot are shown in Fig. 9.1 and Fig. 9.2. In ARTA, the waterfall curves can be drawn monochrome or in colors that are mapped to response magnitude by appropriate color palette.

The construction of a waterfall graph is simple, we just need to measure a loudspeaker's frequency responses under different angles, and optionally normalize response with response measured on zero degree axis.

Figure 9.1 Waterfall directivity pattern

Figure 9.2 Rotated waterfall directivity pattern

The second type of directivity pattern graph that is used in ARTA is the contour plot. It is shown in Figure 9.3. The contours of constant level are drawn in colors that are dependent on contour level, but contours can also be drawn in monochrome.

Figure 9.3 Contour plot of directivity pattern

The third type of directivity plot is a filled contour plot, in which the space between contour curves is filled with constant or gradually changing colors from the predefined color palette. These type of plot is sometimes called sonogram plot.

Figure 9.4a shows the contour plot filled with gradually changed colors and labeled contours.

Figure 9.4b shows the contour plot filled with colors, which change in predefined steps.

If the user choose not to show contour curves, then a color map (or sonogram type) plot is shown.

Figure 9.4 a) Directivity filled contour plot with gradually changing colors

Figure 9.4 b) Directivity filled contour plot with stepped changing colors

The last type of directivity patterns in ARTA is a polar diagram. It shows the directivity pattern for a single frequency in the polar coordinate system (Fig. 9.5a). The bottom of the graph also shows directivity factor Q, directivity index DI and beam width angle for current frequency. It is assumed that loudspeaker radiates to an unbounded space (free-field conditions). For the radiation in half space sometimes it is more suitable to use half- polar diagram, as it is shown in Fig. 9.5b.

Figure 9.5 a) Full polar diagram

Figure 9.5 b) Half-Polar diagram

Several polar directivity pattern can be shown on the same graph as overlay curves (as in Fig. 9.6).

Figure 9.6 Polar diagram with overlays

9.1.3 Creation of Directivity Patterns in ARTA

In ARTA, directivity pattern data are created from PIR files that are measured on constant distance from the radiator. These data can be saved in the directivity pattern files. That files have the name extension “.DPF”.

The DPF file is automatically constructed by ARTA from the set of PIR files that must be all saved in the same directory with name of predefined form:

<name-prefix>_deg[+|-]<num>.pir

where:

<name-prefix> is common name for all .pir files

_deg denotes that what follows behind is a numerical value of the off-axis measurement angle

<num> is a value of the off-axis measurement angle in degree, optionally preceded with a plus or a minus sign.

.pir is name extension for PIR file.

To make directivity pattern and DPF file we need to activate menu command ‘Tools->Directivity pattern’. It opens the ‘Directivity pattern’ window as shown in Fig. 9.7.

Figure 9.7 Directivity pattern window

The 'Directivity pattern' window has menu and several controls.

The menu commands are:

File
Create directivity pattern file - opens dialog box for creating directivity pattern file from .pir files.
Save directivity pattern file – saves directivity pattern file (.dpf).
Load Directivity pattern file - loads directivity pattern file (.dpf).

Export 1/3 octave data ... – export in a textual file values at standard 1/3 octave frequencies.

ASCII files - exports in an ASCII formatted file.
CSV files - exports in an CSV formatted file.

Export 1/1 octave data ... - export in a textual file values at standard 1/1 octave frequencies.

ASCII files - exports in an ASCII formatted file.
CSV files - exports in an CSV formatted file.;

Export Directivity Index and Angle (-6dB) ... – export in a textual file DI, Q and angle (-6dB).

ASCII files.- exports in an ASCII formatted file.
CSV files - exports in an CSV formatted file.

File Info – gives information and user defined text from current .dpf file.

Edit
Copy - copies the graph bitmap and user defined text to the clipboard
B/W background color - sets background color to black or white
Thick line (in polar plot) - sets thick line pen in polar plot
Thick grid (and contour lines) - sets thick grid pen also a thick contour line pen

Bottom window controls are:

Mode combo box - chooses Waterfall1, Waterfall2, Contoured plot, Filled Contour, Color Map (sonogram), Polar-Full or Polar-Half graph type.
Palette combo box - chooses from several color palettes (Jet, Grey, Copper, and Cool).
Colored Curves - check this box to choose colored (or single color) waterfall graph.
Grid - check this box to show grid in sonogram graph.
Stepped colors - check this box to choose the contoured or gradual color change.
Range (dB) spin control - changes graph dynamic range from 5 to 70 dB.
Copy button - copies current graph to the clipboard.
B/W button - switch to the black or white graph background color.

Right side window controls are:

Frequency spin control - changes current polar pattern frequency to next standard 1/3 octave band.
Overlay button – opens overlay manager dialog.
Top div – spin control shifts magnitude division.
Thick line - check this box to choose thick plot line.
Ref => 0dB - check this box to use directivity pattern with magnitude normalized with reference magnitude value, which is usually a magnitude of zero degrees response, otherwise polar diagram shows pattern with magnitude normalized with maximum magnitude value.
Directivity type - combo box to choose: Spherical or Cylindrical pattern for DI calculation.

The Overlay manager for the polar diagram is shown in Fig. 9.8. It is similar to the Overlay manager for a FR window, yet there is one significant difference. Here it is a pop up window that can be used simultaneously with commands in the Directivity pattern window.

Figure 9.8 Polar overlay manager

The buttons in the Overlay manager window activate following commands:

Add - sets current curve as overlay.
Replace sel - replaces selected overlay with current curve
Delete sel - deletes selected overlays.
Delete all - deletes all overlays.
Color - changes color of selected items using the dialog box 'Overlay Colors' .
Update – updates labels in Polar diagram.

Mouse click on List box item has following effects:

Single click - selects items
Single click on check box - makes overlay visible or invisible.
Double click - enables editing of overlay names.

The procedure for creation of a DPF file starts by clicking menu item ‘File->Create directivity pattern file’. It opens a dialog box ‘Directivity data definition’ (Fig. 9.9). First, we need to press button ‘Load Files’ to get directory and principal name of PIR files. That opens standard windows dialog box for opening files. After selecting one of files, we need to press the button ‘OK’. Then we get the dialog box ‘Directivity data definition’ as shown in Fig. 9.9.

Figure 9.9 Directivity data definition

Before pressing the button ‘OK’ which confirms the process of creation of directivity pattern data, we have to set up data creation parameters by using following controls:

Magnitude section:

Smoothing combo box – chooses frequency response smoothing from 1/1 octave to 1/12 octave.
 Normalize with response at angle – check this box to make directivity pattern responses normalized with response at user defined angle (usually zero degree).
 Symmetrical for neg. angles – check this box if you have PIR files defined only for positive angles and want to have the symmetrical pattern for negative angles.

Frequency range section:

Low (Hz) – enter low-frequency margin for the frequency response estimation
 High (Hz) - enter high-frequency margin for the frequency response estimation

FFT analysis section:

Ungated from estimated PIR maximum position – choose for the frequency response estimation from gated response that is determined from the time-bandwith low-frequency requirement and start point in the PIR file that represent first sample whose magnitude is 20 dB below the PIR maximum magnitude.
 Ungated from PIR start position – choose for the frequency response estimation from the first sample in PIR file and with FFT size determined from the time-bandwith low-frequency requirement.
 Gated – choose for the frequency response estimation from user defined Start sample position in the PIR file and user defined Length of time gate. Start and Length must be entered in milliseconds.

User Info section contains edit box where user enters an arbitrary text that will be saved in DPF file.

9.14 Format of DPF files

The directivity pattern file (DPF) is a binary file with following format:

   File format version 0101:
    char filesignature[4]; // four signature characters: 'D','P','F','\0'
   unsigned int version; // version of file format starting from 0x0100
   int numFreqs; // number of logarithmically spaced frequencies
   int numOct3; // number of standard 1/3 octave bands
   int numOct1; // number of standard 1/1octve bands
   int numAngles; // number of measurement angles

   if(version > 1000) {
   float normalizedRefMagn;   // the value of reference magnitude
   int normalizedFrResponse;  // true if uses normalization with response at
   float normalizationAngle;  // reference normalization angle
   }
   int smoothingresolution; // smoothing resolution: 1,3,6,12
   int info_string_size; // size of user defined string
   int reserved; // -
   float Angles[numAngles]; // array of angles in degree
   float Frequencies[numFreqs]; // array of frequencies in Hz
   int idxOct3[m_numOct3]; // array of standard 1/3 octave bands
   int idxOct1[m_numOct1]; // array of standard 1/1 octave bands
   float Magnitude[numAngles][m_numFreqs]; // array of magnitudes in dB
   char info[info_string_size]; // array of characters in user defined string

Values of directivity pattern on standard 1/3 octave or 1/1 octave frequencies can be exported to ASCII textual files.
ARTA also can export values of directivity parameters (Q, DI and beam-width angle) in standard 1/3 octave bands.

9.15 Automated recording of spatial group of impulse responses

A rotating turntable enables fully automated measurements of spatial impulse responses. To set up this measurement, the user will have to load the rotating turntable driver by menu command ‘Setup->Rotating turntable’. Also in Imp window it is necessary to make test measurement to set up recording length, type of excitation signal, sampling frequency, FFT size and cursor position.

Measurement starts by clicking menu command ‘Record->Spatial impulse response group record’. That command opens dialog box shown in Fig. 9.10.

Figure 9.10 Dialog for automatic recording of spatial group of impulse responses

Controls have the following functions:

‘Turntable driver’ box shows currently chosen driver. ‘Disable driver program’ check box disables driver. In that case user can rotate loudspeaker manually.
‘Destination folder for group of PIR files’ box shows destination folder. It can be chosen by pressing browsing button ‘<<’.
‘Filename base_hor/_ver’ edit box enters base prefix for group of file names. Full name will later get suffix that denotes measurement angle in defined spatial form.
‘Angle’ denotes group of three edit box for entering ‘Start’ angle, ‘Step’ value to next angle and ‘Stop’ angle.

The Generator section has two controls. The combo box chooses type of excitation signal (periodic noise, swept sine or MLS). The button ‘Test/setup’ opens standard recording dialog for setup of recording length, averaging, and sampling frequency.

The Stepping mode section has combo box with two options for rotation: Automatic and Manual. Normally if we use a rotating turntable we choose Automatic mode. Edit box ‘Pause time(s)’ enters number of seconds that will be waiting before next recording. That time should be larger than room reverberation time. In the case of measurement with disabled driver (when user has no rotating turntable ) this time should be much larger to enable user to manually rotate loudspeaker to the next measurement angle.

The check box ‘Add FR overlay’ enables calculation of frequency response using current FFT length and cursor position and saving it as FR overlay.

The check box ‘Save FRD’ enables calculation of frequency response using current FFT length and cursor position and saving it to disk in textual file.

Following buttons controls the measurement:
Button ‘Set as Zero’ resets turntable and set current position as zero degrees position.
Button ‘Go as Zero’ rotates turntable to angle position zero degree.
Button ‘Break/Stop’ cancels the measurement.
Button ‘Record’ starts measurement (in manual mode it continues measurement on next angle).

During measurements, the peak meter on the bottom of dialog box shows the recording level.
.

9.16 Exporting (spatial group) of frequency responses

Similar to build of directivity pattern from group of PIR files, ARTA can export frequency response data for group of files in textual files. The command for that operation is Imp window menu ‘File->Export (spatial) frequency response’. It opens dialog box shown in fig. 9.11. It is required that a valid PIR file is loaded in Imp window. If that pir file has name of the form <name>_deg[+|-]<num>.pir, then all files of the same name but different angles will be exported. If loaded PIR file name has no required form then single file will be exported.

Dialog box 'Export Frequency Response' has three data sections: FFT analysis, Frequency range and file export commands. The file search directory is shown on the top of dialog.

Figure 9.11 Dialog box 'Export Frequency Response'

File export command section contains a list box that is automatically filled with file names that follow the spatial form defined by current file name.

If list box contain only file names for positive angles we can check the box 'Symetrical for opposite angles' to allow export of FR for symetrical angles.
The check box 'Use frequency response compensation' allows use of current FR compensation data.
Button 'Generate FR in text file' starts the export procedure. We can use two check boxes to additionally export files in 'Plain FRD format' or 'Excel CSV format'.

FFT analysis section has controls for setup of FFT length, gating and delay:

Radio buttons 'Gated' and 'Ungated' chooses type of FFT analysis.

The edit box 'Start position' enters cursor position (initial value is taken from current Imp window).

The edit box 'Gate length' enters maximum number of samples that will be used in gated FFT analysis.

The edit box 'Delay for phase correction (ms)' enters delay im ms for phase correction.

The combo box 'FFT length' sets size of FFT analysis.

The Frequency Range section has following controls:

The edit box 'Low (Hz)’enters low-frequency margin for the frequency response estimation.

The edit box 'High (Hz)' enters high-frequency margin for the frequency response estimation.

The combo box 'Band/smoothing resolution' chooses fractional octave width.
The check box 'Generate FR only for band frequencies' restricts export only to octave band frequencies.

The check box 'Use ISO 266 band frequencies' sets generated octave band frequencies to ISO 266 defined values.


9.1 Directivity patterns

9.2 Integrating SPL Measurements and Data Logging

ARTA has implemented a virtual Sound Pressure Level Meter. The measurement of SPL and necessary instrumentation is defined by the international standard IEC 61672-1:2002. The application of the SPL-Meter in detail is defined in other directives or standards (e.g. Directive 2003/10/EC or DIN 15905-5: Sound Engineering – Part 5: Measures to prevent the risk of hearing loss of the audience by high sound exposure of electro acoustic sound systems).

SPL measurements have to be activated by menu command 'Tools->SPL meter'. Before description of this virtual instrument, some basic definitions will be given.

9.1.1 Basic Definitions of an Integrating SPL meter

The following functions are available in ARTA virtual SPL meter:

L - Time-weighted Sound Pressure Level (F, S, I)
Lmax - Maximum Time-weighted Sound Pressure Level
Lmin - Minimum Time-weighted Sound Pressure Level
Leq - Time-Average Equivalent Sound Pressure Level
LIeq - Time-Average Impulse-weighted Equivalent Sound Pressure Level
LE - Sound Exposure Level (SEL)
Lpeak - Peak Level
LN - Statistically Calculated Exceedance Level (N = 0.1 - 99 %)

Implemented frequeny weighting filters are: A, C or Z (LIN) weighting.
Implemented time weighting exponential detector are Fast (F), Slow(S) and Impulse (I) type.

Fig. 9.1 Block diagram of integrating SPL meter

Figure 9.12 shows block diagram of an integrating SPL meter. The signal from the microphone is going to the input amplifier. An overload indicator shows the state of the input amplifier (or A/D converter in a digital system). The signal from the input amplifier goes to the frequency weighting filters with a choice of three different frequency weighting curves: A, C and Z, as given in Table 9.1 and defined in IEC 61672-1. Letter Z denotes zero-weighting or linear weighting. These weighting curves are used for RMS level measurement. For Peak level measurement C-weighting filter only is used. In the next stage the signal will be squared. The output from a squarer is applied to integrators and peak detector. Finally, after passing square root and logarithm circuits, a sound pressure level in dB will be shown on some display. The following basic values are shown:

Leq – equivalent sound level - is defined as true RMS level obtained by linear integration of squared sound pressure over full measurement time T.

where t2-t1 = T is total integration time, p0 is a reference sound pressure 20 uPa, p(t) is A, C oz Z frequency weighted sound pressure. Note: If we use the A-weighting filter, then we use label LAeqT or LAT.

In the digital domain this value is obtained by linear averaging samples of squared sound pressure (see Section 2.2.1).

L – time-weighted sound pressure level - is defined for short time intervals with exponential integral:

where t is the exponential function time constant.

Three time constants are denoted with letter F, S, I and are used as:

S - Slow (1000 ms),
F - Fast (125 ms),
I - Impulse (35 ms, but on falling values a longer time constant of 1500 ms is applied).

In digital domain these values are obtained by applying exponential averaging to every sample of squared time-weighted sound pressure (see. chapter 2.2.1). For a sine signal between 315 Hz and 10 kHz all three integrators give the same value as Leq (within 0.1 dB), as basically they are all RMS detectors.

The labelling of SPL depends on the applied time and frequency weighting. Generally, we use label:

LXY where X=A, C, Z and Y = F, S, I

for example, LAF is sound pressure level obtained with A - frequency weighting and F - time weighting.

Sometimes a SPL meter is synonymous with a time-weighted sound pressure level meter, as it was applied in the first type of analog SPL measurements.

LE – sound exposure level (SEL) – is defined as total energy of signal, but expressed as level in one second of time:

where T0 = 1s, t2-t1 = T, p0 is a reference pressure 20uPa.

LIeq – impulse-weighted equivalent sound pressure level – is obtained by linear averaging the output of impulse –weighted integrator over measurement time T.

Lpeak - peak level – is obtained every 1s as a peak level on output of C-filter. For sine signals Lpeak is always 3dB larger than the output of RMS detectors.

Advanced SPL meters save data of SPL measurements usually every 100ms for Fast time weighting, and every 1 second for other weigtings. It enables statistical report of measured values. Basic report usually gives maximal and minimal value of SPL, maximal peak level and report of time-percentage exceeded levels LN, where N is usually 1%, 5%, 10%, 50%, 90%, 95% and 99%. The meaning of L10 = 87 dB is that 10% of time SPL exceeds 87 dB.

Nominal Frequency (Hz) | Exact Frequency (Hz) | A-weighting (dB) | C-weighting (dB)
10 | 10.00 | – 70.4 | – 14.3
12.5 | 12.59 | – 63.4 | – 11.2
16 | 15.85 | – 56.7 | – 8.5
20 | 19.95 | – 50.5 | – 6.2
25 | 25.12 | – 44.7 | – 4.4
31.5 | 31.62 | – 39.4 | – 3.0
40 | 39.81 | – 34.6 | – 2.0
50 | 50.12 | – 30.2 | – 1.3
63 | 63.10 | – 26.2 | – 0.8
80 | 79.43 | – 22.5 | – 0.5
100 | 100.0 | – 19.1 | – 0.3
125 | 125.9 | – 16.1 | – 0.2
160 | 158.5 | – 13.4 | – 0.1
200 | 199.5 | – 10.9 | – 0.0
250 | 251.2 | – 8.6 | – 0.0
315 | 316.2 | – 6.6 | – 0.0
400 | 398.1 | – 4.8 | – 0.0
500 | 501.2 | – 3.2 | – 0.0
630 | 631.0 | – 1.9 | – 0.0
800 | 794.3 | – 0.8 | – 0.0
1000 | 1000 | 0 | 0
1250 | 1259 | 0.6 | – 0.0
1600 | 1585 | 1.0 | – 0.1
2000 | 1995 | 1.2 | – 0.2
2500 | 2512 | 1.3 | – 0.3
3150 | 3162 | 1.2 | – 0.5
4000 | 3981 | + 1.0 | – 0.8
5000 | 5012 | 0.5 | – 1.3
6300 | 6310 | – 0.1 | – 2.0
8000 | 7943 | – 1.1 | – 3.0
10000 | 10000 | – 2.5 | – 4.4
12500 | 12590 | – 4.3 | – 6.2
16000 | 15850 | – 6.6 | – 8.5
20000 | 19950 | – 9.3 | – 11.2

• Nominal frequencies are as specified in ISO Standard 266.
• Exact frequencies are equal to 1000*pow(10, n/10), where n is a positive or negative integer.

Table 9.1 A and C weighting curves

9.2.2 Working with ARTA SPL-Meter

The ARTA SPL Meter is activated by menu command 'Tools->SPL meter'. It opens window shown on Fig. 9.13.

Fig. 9.13 SPL meter user interface window

Controls in SPL meter window are:

Leq – Linear Averaging section:

LAeq - shows current value of Leq in large font.
Time - shows time relative to the beginning of the measurement.
Weighting combo box - chooses A, C or Z (lin) frequency weighting.

SPL – Exponential Averaging section:

LAS - shows current value of time-weighted SPL (frequency weighting is A curve).
LAmax - shows maximal value of the time-weighted SPL during whole measurement time.
LAmin - shows minimal value of the time-weighted SPL during whole measurement time.
Weighting combo box chooses A, C or Z (lin) frequency weighting.
Integration time combo box chooses F (fast), S (slow) or I (impulse) time-weighting.

Peak Level section:

LCpk - shows current peak level (C-weighted, for one second period).
LCpk,max - shows maximal peak level (C-weighted, during whole measurement time).

Audio Devices section:

Sampling rate combo box - sets sampling frequency to 44100, 48000 or 96000 Hz.
(digital filters satisfy IEC class 1 specifications on 48000 Hz, and IEC class 0 specifications on 96000 Hz ).

Data logging time section:

Hours, Minutes and Seconds edit boxes - set maximum duration of measurement to be logged im memory

(it is allowed to set 240 hours 59 minutes and 59 seconds, but if computer has less than 1 GB memory it is recommended to set measurement time to less than 24 hours).

Stop on reaching logging time check box – if checked, the measurement will stop after reaching the logging time.

Button Rec/Reset - starts or resets measurement.
Button Stop - stops the measurements.

Peak meter dBFS shows working peak level relative to AD converter full scale.

Record SPL history check box - enables data logging. Values of logged levels are shown in the graph. Five curves are logged: Leq, LSlow, LFast, Lpeak and Limpulse.

User manipulates with graph and plotted curves using buttons on the graph right side, mouse and keyboard keys.Below the graph a report is given for SPL values on position of cursor and marker.
Cursor (shown by yellow line) is positioned by clicking the left mouse button.
Marker (shown by red line) is positioned by clicking the right mouse button. Double click disables the marker.

Graph magnitude axis top margin and range can be adjusted by pressing Top and Range buttons. Graph time axis can be adjusted by Scroll buttons, and Zoom keys (All and Max).
Button Fit adjusts graph magnitude top margin to measured values.

Detailed graph adjustment is possible by pressing button Set. It opens the dialog box 'SPL graph setup' shown in Fig. 9.14.

Fig. 9.14 Dialog box for SPL graph setup

Controls in this dialog box are:

Magnitude axis section
Magn top (db) – sets top margin
Magn range (dB) – sets graph magnitude range
Time axis section
Graph max – group of edit boxes – sets graph time axis right margin.
Graph min – group of edit boxes – sets graph time axis left margin.
All values are to be entered in relative time.

Show curves section
Check boxes Leq, LSlow, LFast, LPeak, LImpulse enables/disables view of logged curve.
Thick plot lines check box – enables plotting with thick line style.
Show local time check box – enables time axis labelling in local time, otherwise time axis is shown in relative time.
Graph window section
Show combo box - enables view of logged data in graph window if 'SPL history record graph' option is selected, otherwise if user selects other options the graph area will be used to show the SPL value in very large font.

Update button - update graph drawing without closing the dialog box.
Default button - sets default values of dialog controls.

Menu commands in SPL meter Window are:

File

Open SPL history file - loads from .spl file.
Save SPL history file - saves recorded SPL data in .spl files.
Export ... - export in textual formats

ASCII (100ms logged) - exports SPL(Fast) recorded every 0.1 seconds.
ASCII (1s logged) - exports Leq, SPL and peak levels recorded every 1 seconds.
ASCII (10sec logged max) - exports Leq, SPL and peak maximum levels recorded every 10 seconds.

CSV (100ms logged) - exports SPL(Fast) recorded every 0.1 seconds.
CSV (1s logged) - exports Leq, SPL and peak levels recorded every 1 seconds.
CSV (10sec logged max) - exports Leq, SPL and peak maximum levels recorded every 10 seconds.

File statistics and user Info – gives SPL statistics and user defined text from current .spl file.

Edit

Copy - copies the graph bitmap to the clipboard.
B/W background color - sets background color to black or white.
Setup
Calibrate audio device - opens dialog for calibration of audio devices.
Setup audio devices - opens dialog for setup of audio devices.

Fig. 9.15 shows file statistics report. The Copy button copies the report to the Windows clipboard.

Fig. 9.15 SPL file statistics and user info

The ARTA SPL meter can meet IEC class I measurement results only if following condition are fulfilled:

1) Used computer (laptop) must have very low noise.
2) Used soundcard must have low noise input channels with linear frequency response from 5 Hz to 20000 Hz.
3) Microphone, microphone preamplifier and microphone calibrator have to be in the class defined in standard IEC 61672-1.

Cheap electret microphones can be used for IEC class 2 measurements in a restricted SPL range (LA = 40-120 dB).


9

9.3 Octave Band SPL Meter and Noise Rating

A real-time octave band SPL meter, or octave band analyser, is the oldest type of instrument for the audio frequency analysis. In this type of analyzer a measured signal is simultaneously applied to several band pass filters. The outputs of filters are squared and integrated, with proper time weighting, to get the SPL in every octave band. The type of filters is defined by the standard IEC 1260. ARTA uses IEC class I octave band filters (digital six poles Butterworth band pass filter) with standard center frequencies f0: 31.5, 63, 125, 250, 500, 1000, 2000, 4000, 8000, 16000 Hz. For every octave filter, the lower cut-off frequency is f1 = 2-1/2 ·f0, and upper cut-off frequency is f2 = 21/2 ·f0.

The virtual octave band SPL meter, as shown in Figure 9.16, is to be activated by menu command ‘Tools -> Octave band SPL meter and noise rating’.

For octave band analysis, ARTA assumes that a calibrated microphone is connected to one soundcard channel (as set in Audio device setup dialog). In this measurement, it is not possible to apply a microphone frequency response compensation, which means that the quality of measurements is determined by the quality of the microphone. Measurement microphones for octave band analysis are usually classified as IEC class I or class II microphones.

Figure 9.16 Virtual Octave band SPL meter

The Octave SPL window has menu, graph with stepped curve showing octave band SPL and several window controls with following functions:

Peak meter dBFS – shows peak level on input of left and right channels, before the signal filtering.

Start/Reset button – starts measurement and resets signal integrators.

Stop button – stops measurement

Pink noise button – starts generation of continuous pink noise

Overlay button – opens Overlay manager dialog box

B/W button – sets graph background color to black or white

Copy button – copy graph to the clipboard

Top buttons – change graph magnitude top margin

Range buttons – change graph magnitude range

Fit button – changes graph margins to fit current curve

Set button – opens dialog box for manually setting graph margins

Sound pressure level section - shows wideband frequency weighted SPL (with large font)

Weighting combo box – chooses frequency weighting type: A, C or Z (lin)

Timing section sets time weighting and sampling rate:

Time weighting combo box – chooses weighting type: Fast, Slow, Impulse or User defined

User defined integration time – sets user defined integration constant in seconds

Sampling rate combo box – chooses sampling rate 44100 or 48000 Hz

Noise rating section shows different noise rating values (in large font), if combo box ‘Noise rating type’ is set to: NR, NC, PNC, RC or NCB. In that case the graph shows corresponding noise rating curves (as shown in Fig. 9.17).

Figure 9.17 Virtual octave band SPL meter with ISO Noise rating curves

The top menu items are:

File

Open - opens “.oc1” file containing octave band SPL values

Save - saves octave band levels in a binary “.oc1” file

Export...

Export ASCII – saves data in an ASCII file

Export CSV – saves data in an Excel formatted ”.csv” file

File and user info – shows information of current file and edits user information

Overlay

Set as overlay - saves the current curve as an overlay curve

Manage Overlays - opens dialog box 'FR Overlay Manager' for overlay list editing

Delete all - delete all overlays

Delete last overlay - delete last overlay

Load as overlay - load octave band SPL data from “.oc1” file

Edit

Copy - copies the graph bitmap to the clipboard

B/W background color - sets the background color to black or white

Thick grid - draws graph grid with pen thickness 1 or 2 points

Average with overlays - averages current curve and visible overlays, then erases overlays

Setup

Calibrate audio device - opens dialog for calibration of audio devices

Setup audio devices - opens dialog for setup of audio devices

Noise Rating in Buildings

Noise rating or noise criteria are defined as a single number rating for background noise in buildings. Definitions exist in several standards, designated as NR, NC, PNC, NCB and RC rating. Generally, a group of frequency weighting curves, and rules to use them, is necessary to express noise or background sound, measured in octave bands, as a single number.

NR rating

ISO/R1996-1971 defines noise rating - NR curves, as shown in Fig. 9.17. Using these curves, a noise rating number NR XX is determined as the highest curve index XX that is just touched by a measured octave band level.

It is recommended that NR rating for different uses should not exceed the Noise Ratings indicated in the Table 9.2.

NC – noise criterion

Noise criterion (NC) curves (Figure 9.18) were introduced (Beranek, 1957) to evaluate noise in interior spaces such as offices, conference rooms, and homes. The NC rating is determined from the lowest NC curve, which may be drawn such that no point on a measured octave-band spectrum lies above it. Since the NC curves are defined in 5 dB intervals, in between these values the NC level is interpolated.

It was found that a background noise that fitted the original NC curves was not completely neutral. The noise had components that sounded both ‘‘hissy’’ and ‘‘rumbly.’’

Recommended NC ratings are given in Table 9.2.

Figure 9.18 Noise criterion curves

Choosing an appropriate noise criterion is important when specifying acceptable levels of noise. Most organizations use a particular index based upon practical experience. Recommended maximum noise levels for different types of rooms and standards are indicated in the Table 9.2.

Type of Room – Occupancy |  | Noise Criterion NC | Noise Rating NR | dB(A)
Very quiet | Concert and opera halls, recording studios, theaters, etc. | 10 - 20 | 20 | 25 - 30
 | Private bedrooms, live theaters, television and radio studios, conference and lecture rooms, cathedrals and large churches, libraries, etc. | 20 - 25 | 25 | 25 - 30
 | Private living rooms, board rooms, conference and lecture rooms, hotel bedrooms | 30 - 40 | 30 | 30 - 35
Quiet | Public rooms in hotels, small offices classrooms, courtrooms | 30 - 40 | 35 | 40 - 45
Moderate noisy | Drawing offices, toilets, bathrooms, reception areas, lobbies, corridors, department stores, etc. | 35 - 45 | 40 | 45 - 55
Noisy | Kitchens in hospitals and hotels, laundry rooms, computer rooms, canteens, supermarkets, office landscape, etc. | 40 - 50 | 45 | 45 - 55

Table 9.2 Examples of recommended NR and NC rating

PNC – preferred noise criterion

The NC curves were revised (Beranek, 1971) to produce a more nearly neutral background noise spectrum, and were extended to octave band 31.5 Hz. These curves are called the preferred noise criterion - PNC curves.

Figure 9.19 Preferred Noise criterion curves

NCB – balanced noise criterion

The PNC curves were revised to balanced noise criterion – NCB curves, to make equal the perceived loudness for the octave bands that contain the same number of critical bands (Stevens, 1972). The rating number on the NCB curves is the average level of 500 Hz, 1000 Hz, 2000 Hz, and 4000 Hz octave bands, corresponding to value of the speech interference level - SIL.

Figure 9.20 Balanced noise criterion curves

NCB curves are accompanied by a procedure for assessing the perceived balance of a sound spectrum, that is, whether or not a spectrum will be perceived as neutral, rumbly or hissy.

Rules for assessing rumble and hissy qualities of sound using NCB curves are as follows:

  1. Determine the SIL for the spectrum being evaluated, as the arithmetic average of sound levels in the 500, 1000, 2000, and 4000 Hz octave bands rounded to the nearest decibel, for example, XX. This value would then be denoted as an NCB-XX rating.
  2. The NCB rating will be denoted as rumbly, with suffix (R) if any octave band level at or below 1000 Hz is above the NCB-YY curve. YY is equal to the XX value in step 1 plus 3 dB.
  3. The NCB rating will be denoted as hissy, with suffix (H), if any octave band level at frequencies above 500 Hz exceeds the NCB-ZZ curve. To determine the value ZZ, first determine the arithmetic average of sound pressure levels in the three octave bands 125 through 500 Hz. Then determine which NCB curve has this sound pressure level at 250 Hz. This is the NCB-ZZ curve.
  4. The crosshatched region of the NCB curves indicates sound pressure levels in the 16 to 63 Hz octave bands at which perceptible vibration in building walls and ceilings can occur. For spectra with levels that fall into this range, the suffix (RV) is placed after the NCB rating.

RC – room criterion

In 1981 a room criterion - RC curves, were defined, based on an American Society of Heating, Refrigeration, and Air Conditioning Engineers (ASHRAE) study of noise in office environments.

The RC rating is the arithmetic average of the 500, 1000, and 2000 Hz octave-band values taken from the measured octave band levels. At frequencies above and below these center bands, a second parallel line is drawn. Below 500 Hz, the line is 5 dB above the corresponding RC line and above 2000 Hz, it is 3 dB above the line. If the measured spectrum exceeds the low-frequency line, the RC rating is given suffix (R) for rumble. If it exceeds the high-frequency line, the suffix (H) is added for hissy.

The crosshatched region of the RC curves indicates sound pressure levels in the 16 to 63 Hz octave bands at which perceptible vibration in building walls and ceilings can occur. These sound levels often produce rattles in cabinets, doors, pictures and so forth. For spectra with levels that fall into this range, the suffix (RV) is placed after the RC rating.

Figure 9.21 Room criterion curves


9

9.4 Third Octave Band SPL and Loudness Meter

A real-time third octave band SPL analysis is used very often for the spectrum estimation that is close to the resolution of human hearing. It is well known that the critical bandwidth of the human hearing system is close to 1/3-octave for frequencies above 500 Hz.

As in octave band analysis, the signal is simultaneously applied to several band pass filters. The outputs of filters are squared and integrated, with proper time weighting, to get the SPL in every third octave band. The type of filter is determined by IEC 1260 standard. ARTA uses IEC class 1 third octave band filters (digital six poles Butterworth band pass filter) with standard center frequencies f0: 20, 25, 31.5, 40, 50, 63, 80, 100, 125, 160, 200, 250, 315, 400, 500, 630, 800, 1000, 1250, 1600, 2000, 2500, 3150, 4000, 5000, 6300, 8000, 10000, 12500 and 16000 Hz. For every filter, the lower cut of frequency is f1 = 2-1/6 f0, and the upper cut-off frequency is f2 = 21/6 f0.

The virtual third octave band SPL meter can be activated by menu command ‘Tools->Third octave band SPL and loudness meter’. The instrument is shown in Figure 9.22 and Figure 9.23.

As in the case of the octave band analysis, ARTA assumes that a calibrated microphone is connected to one soundcard channel (as set in the ‘Audio device setup’ dialog).

Figure 9.22 Virtual third octave band SPL meter

The Third Octave SPL and Loudness Window has a menu, a graph with stepped curve showing third octave band SPL (Fig. 9.22) or specific loudness (Fig. 9.23) and several controls with the following functions:

Peak meter dBFS – shows peak level on input of left and right channels, before the signal filtering.

Start/Reset button – starts measurement and reset signal integrators.

Stop button – stops measurement.

Pink noise button – starts generation of continuous pink noise

Overlay button – opens Overlay manager dialog box.

B/W button – sets graph background color to black or white.

Copy button – copies graph to the clipboard.

Top buttons – changes graph magnitude top margin.

Range buttons – changes graph magnitude range.

Fit button – changes graph margins to fit current curve.

Set button – opens dialog box, shown in Fig. 9.24, for manually setting graph margins.

Sound pressure level section - shows wideband frequency weighted SPL (with large font).

Weighting combo box – chooses frequency weighting type: A, C or Z (Lin).

Timing section sets time weighting and sampling rate:

Time weighting combo box – chooses weighting type: Fast, Slow, Impulse or User defined.

User defined integration time – sets user defined integration constant in seconds.

Sampling rate combo box – chooses sampling rate 44100 or 48000 Hz.

Figure 9.23 Virtual loudness meter

Loudness section shows loudness N in sones and loudness level LN in phones.

Diffuse field check box - should be checked in measurements with microphone inside diffuse sound field, otherwise free field conditions should be unchecked.

Show specific loudness check box – if checked graph shows specific loudness curve, as in Fig. 9.23, otherwise graph shows third octave SPL.

The menu contains the following items:

File

Open - opens “.oc3” file containing third octave band SPL and specific loudness values.

Save - saves third octave band and loudness data in a binary “.oc3” file.

Export...

Export ASCII - saves data in an ASCII file.

Export CSV - saves data in an Excel formatted ”.csv” file.

File and user info - shows information of current file and edits user information.

Overlay

Set as overlay - saves the current curve as an overlay curve.

Manage Overlays - opens dialog box 'Overlay Manager' for overlay list editing.

Delete all - deletes all overlays.

Delete last overlay - deletes last overlay.

Load as overlay - loads third octave band SPL and loudness data from “.oc3” file.

Edit

Copy - copies the graph bitmap to the clipboard.

B/W background color - sets the background color to black or white .

Thick grid - sets graph grid thickness. (1 or 2 points wide)

Average with overlays - averages current curve and visible overlays, then erases overlays.

Setup

Calibrate audio device - opens dialog for calibration of audio devices.

Setup audio devices - opens dialog for setup of audio devices.

Figure 9.24 Dialog for setup of third octave SPL / specific loudness graph margins

Dialog for graph margins and colors setup has following controls

SPL graph section:
Magnitude top (dB) edit box – sets top margin.
Magnitude range (dB) edit box – sets graph magnitude range.

Specific loudness graph section:
Range (bark/sone) edit box – sets top margin for specific loudness graph.
Show Specific loudness graph – check box – chooses loudness instead of SPL graph.

A Zwicker Loudness Model

Specific loudness N’ in Sone/Bark, loudness N in Sone and loudness level LN in Phon are determined by a Zwicker method, which is defined in DIN 45631 and ISO532B standards. It is generally accepted that this method gives a correct estimation of the loudness for stationary signals.

A loudness of sound N is a quantity that naturally quantifies human sound loudness perception. The unit of loudness is the Sone. In addition, a quantity loudness level LN is often used and its unit is the Phon.

What relates SPL, N and LN is as follows:

1) A reference 1kHz sine signal with level 40dB in a free field gives sensation of loudness equal to 1Sone and loudness level of 40 Phon. For larger sound levels, the loudness doubles as sound level approximately rises 10 dB. This is known as Stevens power law of loudness (N = I 0.33).

2) Loudness level in Phon is equal to sound level but only for sine signal of frequency 1 kHz. For other frequency, loudness level differs from SPL.

3) Loudness level LN of arbitrary sound signal is related to the loudness N with following expressions:

LN = 10 ld(N) + 40, for N ≥ 1

LN = 40 (N +.0005) 0.35, for N<1, if (LN < 1) LN = 1;

Zwicker refined the Stevens law, by incorporating a frequency dependence of loudness, a law of critical band’s loudness summation and sound masking effects.

The critical-band concept is important for describing hearing sensations. Our hearing system analyses a broad spectrum into parts that correspond to critical bands (defined in Table 9.3). Adding one critical band to the next in such a way that the upper limit of the lower critical band corresponds to the lower limit of the next higher critical band, leads to the scale of critical-band rate z. Unit of critical band rate is a Bark. The critical-band rate is approximately linearly related to position of critical band excitation on the ear basilar membrane.

Band number | F center (Hz) | F lower (Hz) | F upper (Hz)
1 | 50 | 0 (20) | 100
2 | 150 | 100 | 200
3 | 250 | 200 | 300
4 | 350 | 300 | 400
5 | 450 | 400 | 510
6 | 570 | 510 | 630
7 | 700 | 630 | 770
8 | 840 | 770 | 920
9 | 1000 | 920 | 1080
10 | 1170 | 1080 | 1270
11 | 1370 | 1270 | 1480
12 | 1600 | 1480 | 1720
13 | 1850 | 1720 | 2000
14 | 2150 | 2000 | 2320
15 | 2500 | 2320 | 2700
16 | 2900 | 2700 | 3150
17 | 3400 | 3150 | 3700
18 | 4000 | 3700 | 4400
19 | 4800 | 4400 | 5300
20 | 5800 | 5300 | 6400
21 | 7000 | 6400 | 7700
22 | 8500 | 7700 | 9500
23 | 10500 | 9500 | 12000
24 | 13500 | 12000 | 15500

Table 9.3 Critical bands covering full critical-band rate scale

In the Zwicker model, a frequency dependence of loudness is expressed on a Bark scale as a specific loudness N’(z) in units sone/bark, so that total loudness is:

This means that the total loudness is obtained by integrating specific loudness in hearing region of 24 barks, which correspond to frequency range occupied by 1/3-octave bands from 25 to 12500 Hz.

The algorithm for the loudness calculation consists of three steps:

1) The power of octave bands is transformed to excitation levels in critical bands on bark scale.

2) Excitation levels are transformed into the specific loudness function N’(z), also taking into the account effects of masking higher bands with lower bands.

3) Finally, total loudness is determined by integrating specific loudness over full critical band rate scale.


9

9.5 Third Octave Band SPL and Loudness Time Record

When analyzing time nonstationary signals it is useful to track history of 1/3 octave SPL and loudness measurements. In ARTA this type of measurement is enabled by the menu command 'Tools->Third Octave and Loudness Time record' which opens the measurement dialog window shown in Figure 9.25.

Time record of SPL and loudness measurements in equally spaced time steps is saved and shown as 3D waterfall or sonogram plot. User chooses the number of time steps: 25, 50, 75 or 100, and step time as the time interval between two measurements.

Figure 9.25 Dialog 'Third Octave and Loudness Time Record'

Dialog box 'Third Octave and Loudness Time Record' has a menu, a graph showing time record of SPL or loudness and several controls with the following functions:

Top buttons – changes graph magnitude top margin.
Range buttons – changes graph magnitude range.
Fit button – changes graph margins to fit last measured curve.
Set button – opens dialog box, shown in Fig. 9.26, for manually setting graph margins and colors

Sound pressure level - shows wideband frequency weighted SPL in the last measurement step
Weighting combo box – chooses frequency-weighting type: A, C or Z (Lin)

Loudness section - shows loudness N in sones and loudness level LN in phones.
Diffuse field check box - should be checked in measurements with microphone inside diffuse sound field, otherwise for free field conditions it should be unchecked

View section set graph type:
Combo box - sets graph type to 3D waterfall, sonogram or 2D plot.
Show Loudness Curves check box - determines graph for loudness otherwise a SPL graphs are shown

Timing section sets time weighting and sampling rate:
Time weighting combo box – chooses integration time as weighting type: Fast, Slow, Impulse or User defined
User defined integration time edit box – sets user defined integration constant in seconds
Step time list box – chooses: 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7 s or automatically sets step time 1/2 of SPL integration time
Number of steps list box – chooses 25, 50, 75 or 100 time record
Sampling rate combo box – chooses sampling rate 44100 or 48000 Hz

 Peak meter dBFS – shows peak level on input of left and right channels, before the signal filtering.

Start/Reset button – starts measurement and reset signal integrators.

Stop button – stops measurement.

Overlay button – opens Overlay manager dialog box.

B/W button – sets graph background color to black or white.

Copy button – copies graph to the clipboard.

The menu items are:

File

Open – opens “.otr”file containing third octave band SPL and specific loudness values.

Save – saves third octave band and loudness data in binary “.otr” file.

Export...

Export ASCII – saves data in ASCII file.

Export CSV – saves data in Excel formatted ”.csv” file.

File and user info – shows information of current file and edits user information.

Edit

Copy - copies the graph bitmap to the clipboard.

B/W background color - sets the background color to black or white .

Grapg margins and colors - opens dialog for setting graph margins and colors

Setup

Calibrate audio device - opens dialog for calibration of audio devices.

Setup audio devices - opens dialog for setup of audio devices.

Figure 9.26 Dialog for graph margins and colors setup

Dialog for graph margins and colors setup has following controls

SPL graph section:
Magnitude top (dB) edit box - sets top margin.
Magnitude range (dB) edit box - sets graph magnitude range.

Specific loudness graph section:
Range (bark/sone) edit box - sets top margin for specific loudness graph.
Show Specific loudness graph - check box – chooses loudness instead of SPL graph.

Colors section :
Colored curves check box - sets drawing of waterfall curves in colors proportional to magnitude
Stepped colors check box - sets stepped color selection from color palette
Palette list box - chooses color palette for drawing curves


9.6 Two-channel Level Meter and Third Octave Analyzer

In many applications it is very useful to monitor the voltage RMS levels, peak levels and third octave band levels in the left and right input channels. Figure 9.25 shows virtual two-channel voltage level meter, that fulfils these functions.

A third octave analysis is done with IEC class 1digital filters with standard center frequencies f0: 20, 25, 31.5, 40, 50, 63, 80, 100, 125, 160, 200, 250, 315, 400, 500, 630, 800, 1000, 1250, 1600, 2000, 2500, 3150, 4000, 5000, 6300, 8000, 10000, 12500 and 16000 Hz.

This type of analysis requires high processing power, that is why the sampling rate is limited to 48000 Hz.

The virtual two-channel level meter can be activated by menu command ‘Tools->Two channel level meter’. That commands open dialog box ‘Level Meter and Third Octave Analyzer’ shown in Figure 9.25.

Figure 9.25 Virtual two-channel voltage level meter and third octave analyzer

The dialog box ‘Level Meter and Third Octave Analyzer’ has a menu, a graph with stepped curve showing third octave band levels and several controls with following functions:

Peak meter dBFS – shows peak level on input of left and right channels, before the signal filtering.

Record/Reset button – starts measurement and reset signal integrators.

Stop button – stops measurement.

Pink noise button – starts generation of continuous pink noise

B/W button – sets graph background color to black or white.

Copy button – copies graph to the clipboard.

Top buttons – changes graph magnitude top margin.

Range buttons – changes graph magnitude range.

Fit button – changes graph margins to fit current curve.

Set button – opens dialog box, shown in Fig. 9.26) for manually setting graph margins.

Input RMS level section - shows wideband and weighted levels (with large font).

Weighting combo box – chooses frequency weighting type: A, C or Z (Lin).

Timing section sets time weighting and sampling rate:

Time weighting combo box – chooses weighting type: Fast, Slow, Impulse or User defined.

User defined integration time – sets user defined integration constant in seconds.

Sampling rate combo box – chooses sampling rate 44100 or 48000 Hz.

1/3 octave display section

Combo box – chooses what to show on graph:

LEFT level

RIGHT level

LEFT and RIGHT levels

LEFT / RIGHT level (or LEFT level - RIGHT level)

RIGHT / LEFT level (or RIGHT level - LEFT level)

Figure 9.26 Dialog for setup of third octave graph

The menu items are:

File

Open - opens “.lv3” file containing third octave band voltage levels.

Save - saves third octave band and loudness data in binary “.lv3” file.

Export...

Export ASCII - saves data in an ASCII file.

Export CSV – saves data in an Excel formatted ”.csv” file.

File and user info – shows information of current file and edits user information.

Overlay

Set as overlay - saves the current curve as an overlay curve.

Delete all - deletes all overlays.

Delete last overlay - deletes last overlay.

Load as overlay - loads third octave band data from “.lv3” file.

Edit

Copy - copies the graph bitmap to the clipboard.

B/W background color - sets the background color to black or white.

Setup

Audio devices - opens dialog for setup of audio devices.

Calibrate audio device - opens dialog for calibration of audio devices .


Literature

[1] I. Mateljan, “Signal Selection for the Room Acoustics Measurement”, Proc. 1999 IEEE Workshop on Applications of Signal Processing to Audio and Acoustics, New Paltz, New York, 1999, ISBN - 0-7803-5612-8
[2] I. Mateljan, K. Ugrinoviæ, “The Comparison of Room Impulse Response Measuring Systems”, Proceedings of the First Congress of Alps Adria Acoustics Association, Portoroz, Slovenia, 2003, ISBN 961-6238-73-6
[3] I. Mateljan, “Audio Quality Measurements in Communication Systems”, Proceedings of the Second Congress of Alps Adria Acoustics Association, Opatija, 2005, ISBN 953-95097-0-X.
[4] I. Mateljan, “Models for the Estimation of the Loudspeaker In-Room Response”, Int. Journal for Engineering Modelling, vol. 6., No.1-4, 1993, ISSN 1330-1365
[5] D. D. Rife, J. Vanderkooy, “Transfer Function Measurement with Maximum-Length Sequences”, J. Audio Eng. Soc., vol. 37, June 1989.
[6] D. D. Rife, “Modulation Transfer Function Measurement with Maximum-Length Sequences”, J. Audio Eng. Soc., vol. 40, October 1992.
[7] A. Farina, “Simultaneous measurement of impulse response and distortion with a swept sine technique”, 108 AES Convention, Paris, 2000.
[8] R. Pinelton, J. Schoukens, “Measurement and Modeling of Linear Systems in the Presence of Non-Linear Distortions”, Mechanical Systems and Signal Processing, 16(5), 2002.
[9] J. Schoukens, R. Pinelton, E. Ven der Ouderaa, E., and J. Renneboog, “Survey of Excitation Signals for FFT Based Signal Analysers”, IEEE Trans. Instrumentation and Measurement, vol. 37, September 1988.
[10] E. Ven der Ouderaa, J. Schoukens, and J. Renneboog, “Peak Factor Minimisation of Input and Output Signals of Linear Systems”, IEEE Trans. Instrumentation and Measurement, vol. 37, June 1988.
[11] C. Dunn, and M. O. Hawksford, “Distortion Immunity of MLS-Derived Impulse Response Measurement”, J. Audio Eng. Soc., vol. 41, May 1993.
[12] J. Vanderkooy, “Aspects of MLS Measuring Systems”, J. Audio Eng. Soc., vol. 42, April 1993.
[13] F. J. MacWilliams, and N. J. Sloane, “Pseudo Random Sequences and Arrays”, Proc. IEEE, vol. 64, December 1976.
[14] J. S. Bendat, A. G. Piersol, Engineering applications of Correlation and Spectral Analysis, Wiley, New York, 1980.
[15] IEC-60268-16:2011, “Sound system equipment: Objective rating of speech intelligibility by speech transmission index”, International Electronical Committee, Geneva, Edition.4, 2011.
[16] IEC-60268-16:2020, “Sound system equipment: Objective rating of speech intelligibility by speech transmission index”, International Electronical Committee, Geneva, Edition 5, 2020.
[17] ITU-T Recommendation P.501, “Test signals for use in telephonometry”, 1996.
[18] ISO-3382, Acoustics – Measurement of the reverberation time of rooms with reference to other acoustical parameters. 1997.
[19] ISO Publication 266, Acoustics – Preferred frequencies for measurements, 1975.
[20] IEC 1260, Electroacoustics – Octave-band and fractional octave-band filters, 1995.
[21] IEC 60651:1979, Sound level meters, 1979.
[22] IEC 61672-1:2002, Electroacoustics – Sound level meters - Part 1 Specifications, 2002.
[23] IEC 60804:2000, Electroacoustics – Integrating-averaging sound level meters, 2000.
[24] IEC 60268-3:2002, Electroacoustics – Sound system equipment - Part 3: Amplifiers, 2002.
[25] IEC 60268-5:2002, Electroacoustics – Sound system equipment - Part 5: Loudspeakers, 2002.
[26] D. B. Keele, “Low-Frequency Loudspeaker Assessment by Nearfield Sound-Pressure Measurement”, J. Audio Eng. Society, Vol. 22, IV, 1974.
[27] R. C. Heyser, “Loudspeaker Phase Characteristics and Time Delay Distortion: Part 1”, J. Audio Eng. Society, I, 1969.
[28] R. C. Heyser, “Loudspeaker Phase Characteristics and Time Delay Distortion: Part 2”, J. Audio Eng. Society, IV, 1969.
[29] R. C. Heyser, “Determination of Loudspeaker Signal Arrival Times: Part I”, J. Audio Eng. Society, X, 1971.
[30] R. C. Heyser, “Determination of Loudspeaker Signal Arrival Times: Part II”, J. Audio Eng. Society, XI, 1971.
[31] J. M. Berman, L.R. Fincham, “The Application of Digital Technique to the Measurement of Loudspeaker”, J. Audio Eng. Society, VI, 1977.
[32] H. Bearing, O. Z. Pedersen, “System Analysis and Time Delay Spectrometry”, B&K Technical Review, No. 1, 2, 1983.
[33] N. Thrane, “The Hilbert Transform”, B&K Technical Review, No. 3, 1984.
[34] H. Herlufsen, “Dual Channel FFT Analysis”, B&K Technical Review, No. 1, 2, 1984.
[35] S. Gade, H. Herlufsen, “Use of Weighting Function in DFT/FFT Analysis”, B&K Technical Review, No. 3, 4, 1987.
[36] F. J Harris, “On the Use of Windows for Harmonic Analysis with the Discrete Fourier Transform”, Proceedings of the IEEE, Vol. 66, No. 1, January 1978.
[37] S. P. Lipshitz, T. C. Scott, J. Vanderkoy, “Increasing the Audio Measuring Capability of FFT Analyzers by Microcomputer Postprocessing”, J. Audio Eng. Society, Vol. 33, IX, 1985.
[38] J. D. Bunton, R. Small, “Cumulative Spectra, Tone Burst and Apodization”, J. Audio Eng. Society, VI, 1982.
[39] F. E. Toole, “Subjective Measurement of Loudspeaker Sound Quality and Listener Performance”, J. Audio Eng. Society, Vol. 33, I/II, 1985.
[40] F. E. Toole, “Loudspeaker Measurements and Their Relationship to Listener Preferences: Part 1”, J. Audio Eng. Society, Vol. 34, IV, 1986.
[41] F. E. Toole, “Loudspeaker Measurements and Their Relationship to Listener Preferences: Part 2”, J. Audio Eng. Society, Vol. 34, V, 1986.
[42] F. E. Toole, S. E. Olive, “The Modification of Timbre by Resonance: Perception and Measurement”, J. Audio Eng. Society, Vol. 36, III, 1988.
[43] T. Houtgast, H. J. M. Steeneken, “A review of the MTF concept in room acoustics and its use for estimating speech intelligibility in auditoria”, JASA, vol. 77, 1985.
[44] W. Klippel, “Loudspeaker Nonlinearities –Causes, Parameters, Symptoms”, J. Audio Eng. Society, Vol. 54, X, 2006.
[45] L. L. Beranek, Acoustics, McGraw-Hill, 1954.
[46] L. L. Beranek, Acoustical Measurements, ASA, 1993.
[47] S. Linkwitz, “Shaped Tone-Burst Testing”, J. Audio Eng. Society, Vol. 28, No. 4, April 1980.
[48] D. B. Keele, “Time-Frequency Display of Electroacoustics Data Using Cycle-Octave Wavelet Transforms”, AES 99 Convention, New York, October,1 999.
[49] S. J. Loutridis, “Decomposition of impulse responses using complex wavelets”, J. Audio Eng. Society, vol.53, 2005.
[50] A. D. Pierce, Acoustics – An Introduction to Its Physical Principles and Applications, McGraw-Hill, New York, 1981.
[51] M. R. Schroeder, “New Method of Measuring Reverberation Time”, J. Acoust. Soc. Am., Vol. 37, 1965.
[52] M. R. Schroeder, “Integrated-Impulse Method Measuring Sound Decay without Using Impulses,” J. Acoust. Soc. Am., vol. 66, 1979.
[53] W. T. Chu, “Comparison of Reverberation Measurement Using Schroeder Impulse method and Decay Curve Averaging”, J. Acoust. Soc. Am., vol. 63, No. 5, 1978.
[54] Lundeby, Vigran, Bietz, and Vorländer, “Uncertainties of Measurements in Room Acoustics”, Acustica, vol. 81, 1995.
[55] Karajalainen, Antsalo, Makivirta, Peltonen, Valimaki , “Estimation of Modal Decay Parameters from Noisy Response Measurements”, J. Audio Eng. Society, Vol. 50, No 11., 2002.
[56] ISO 9613-1, “Calculation of absorption of sound by atmosphere”, ISO, August 1993.
[57] Leinonen, Otala, Curl, “Measuring Transient Intermodulation Distortions (TIM)”, J. Audio Eng. Society, vol. 25, IV, 1997.
[58] ISO R1996-1971, “Assessment of Noise with Respect to Community Response”, ISO, May 1971.
[59] D. Preis, “Linear Distortion”, Journal of Audio Eng. Soc., Vol. 24, No. 5, 1976.
[60] D. B. Keele, “Measurement of Polarity in Band-Limited Systems”, 91st AES Convention, New York, October 4-8, 1991.
[61] W. M. Leach, Jr., “The Differential Time-Delay Distortion and Differential Phase-Shift Distortion as Measure of Phase Linearity”, Journal of Audio Eng. Soc., Vol. 37, No. 9, 1989.
[62] S. P. Lipshitz, M. Pocock, J. Vanderkoy, “On Audibility on Midrange Phase Distortion in Audio Systems”, J. Audio Eng. Society, Vol. 30., No. 9, 1982.
[63] V. M. A. Peutz, "Articulation Loss of Consonants as a Criterion for Speech Transmission in a Room", J. Audio Eng. Society, Vol. 19, December, 1971.
[64] Tan, Moore, Zacharov, “The Effect of Nonlinear Distortion on Perceived Quality of Music and Speech Signals”, J. Audio Eng. Society, vol. 5, November, 2003.
[65] IEC 60268-21: “Sound system equipment – Part21: Acoustical (output-based) measurements”, 2018, International Electrotechnical Commission
[66] ANSI/CEA-2010-B: “Standard Method of Measurement for Subwoofers”, 2014, Consumer Electronics Association
[67] ANSI/CEA-2034: “Standard Method of Measurement for In-Home Loud-speakers”, 2013, Consumer Electronics Association


Appendix - Menus, toolbars and shortcuts

Impulse Response Window Menu

File

New - creates a new file named “Untitled.pir” and remove overlay curve

Open... - opens the file

Save - saves the file

Save As... - saves the file with a new name

Info - shows/edits information about the current .pir file

Import Impulse response from... - imports the impulse response data in following formats:

.WAV file - imports the impulse response data from Microsoft .wav file

ASCII (.txt )file - imports the impulse response data (time-amplitude) from ASCII formatted file

WinMLS WMB file - imports the impulse response data from WinMLS file

MLSSA .TIM file - imports the impulse response data from MLSSA .TIM file

MLSSA ASCII file (.txt) - imports the impulse response data from MLSSA ASCII formatted file

Import Signal Time Record from... - imports the impulse response data in following formats:

WAV file - imports the signal data from Microsoft .wav file

ASCII file (.txt) - imports the signal data (time-amplitude) from ASCII formatted file

Export as... - saves the impulse response data in following formats:

ASCII (.txt) file - saves the impulse response data in ASCII formatted file

Excel .CSV file - saves the impulse response data in CSV (Excel) formatted file

MLSSA ASCII file (.txt) - saves the impulse response data in MLSSA ASCII formatted file

.WAV file (PCM – 16bit) - saves the impulse response data in Microsoft .wav file

.WAV file (FLOAT – 32bit) - saves the impulse response data in Microsoft .wav file

Export spatial Frequency response - calculate and export frequency response for single file or for spatial group of files

Options - opens dialog box for setting export to CSV files ans setting the cursor position on loading PIR file

Load and sum - loads the .pir file and sum with a current impulse response

Recent File - opens one of most recently opened files

Exit - exits the program

Overlay

Set overlay - sets current PIR curve as overlay curve

Delete overlay - removes overlay

Load as overlay - loads PIR as overlay file

Overlay Info - shows basic information of overlay file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style - opens the Color Setup dialog box

B/W background color - sets the background color to white or black

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)
Apply to all graphs – set same pen thickness on all graphs

Set Marker - sets the marker at a cursor position

Delete Marker - deletes the marker

Invert - changes the polarity of the impulse response

Rotate at cursor - rotates the periodic impulse response (the cursor point becomes a first sample)

Truncate to [cursor, markes] – removes from current response parts outside [cursor, marker].

Scale - multiplies the impulse response with an arbitrary constant

Resample to lower frequency - resamples IR/signal to some lower sampling frequency

Scale acoustic model response – transforms response with 1:n space scale and compensate for air attenuation

View

Toolbar - shows or hide the Toolbar

Status Bar - shows or hide the Status Bar

Gate time (cm@344m/s) - shows gate time as equivalent sound wave propagation distance in cm

Record

Impulse response - opens the 'Impulse Response Measurement' dialog box

Spatial impulse response group record - opens the 'Spatial Impulse Response Group Recorder' dialog box
Signal time record - opens the 'Signal Generation and Recording' dialog box

Analysis

Single-gated smoothed frequency response / Spectrum - shows the 1/n-octave Smoothed FR or spectrum of recorded signal

Dual-gated smoothed frequency response - shows the 1/n-octave Smoothed FR obtained from DFT of two time gated region of impulse response

DFT frequency response (single gated) / spectrum - shows DFT components of frequency response or spectrum of recorded signal

Frequency response and distortion - shows frequency response and distortion (Farina method)

Step response - shows the Step Response

ETC - Impulse Response Envelope - shows the Impulse Response Envelope (ETC)

Acoustical energy decay – opens Acoustical Energy Decay Window for presentation of energy decay curve obtained by Schroeder backward integration of impulse response and for user assisted estimation of acoustical parameters.

ISO 3382 - acoustical parameters – automatically estimate acoustical parameters, in 1/1-octave or in 1/3- octave bands. Submenus for choosing the type of parameters presentation are:

Graphical presentation for 1/1 octave bands

Table presentation for 1/1 octave bands

Graphical presentation for 1/3 octave bands,

Table presentation for 1/3 octave bands

Setup – opens dialog box for setup of estimation method and frequency bands

Spatial acoustical parameters – opens dialog for measurement of spatial parameters

Cumulative spectrum - shows the Cumulative Spectrum dialog box

Burst decay - shows the Burst Decay Setup dialog box

Modulation transfer function - shows the Octave MTF

Artificial mouth FR compensation -enters 1/3 oct. smoothed frequency response for FR compensation

Octave Noise and speech levels for STI estimation – enters measurement of noise and speech levels

STI - shows the Speech Transmission Index – STI

STIPA - shows the Speech Transmission Index - STIPA

STITEL - shows the Speech Transmission Index - STITEL

RASTI - shows the Rapid Speech Transmission Index - RASTI

Setup

Audio devices - opens the Audio Devices Setup dialog box

Calibrate devices - opens the Soundcard and Microphone Calibration dialog box

Rotating turntable - opens Rotating Turntable Driver Setup dialog box

Analysis parameters - opens the Impulse response Analysis Setup dialog box

Environment data – opens dialog for entering environment temperature and humidity

Use 64-bit FFT - activates/deactivates FFT double precision processing

Tools

Directivity plot - opens dialog box for plotting loudspeaker directivity patterns

Integrating SPL meter - opens virtual integrating SPL meter with data logging

Octave SPL and Noise rating - opens virtual octave band SPL meter with noise rating report

Third octave SPL and Loudness - opens virtual third octave band SPL and loudness meter

Third octave SPL and Loudness Time Record - opens virtual third octave band SPL and loudness meter with graph presentation of time recorded measurement results

Levels of two input channels – opens virtual third octave dual channel voltmeter

Mode

Impulse response / Signal time record - opens the Impulse Response window

Spectrum Analyzer - opens the Spectrum Analysis window

Dual channel - frequency response - opens the Dual Channel Frequency Response window

Single channel - frequency response - opens the Single Channel Frequency Response window

Help

About - gets information about the program

Registration - shows license registration / user information

User manual - shows the help file

Impulse response window - Status bar

The left text box shows a menu context.

The right text box shows a measurement mode.

Text boxes L: and R: show maximum full-scale levels of left and right input channels during the last measurement.

Impulse response window - Toolbar icons

Impulse response window - Control bar

Note: offset buton does not change the offet of overlay curve.

Impulse response window - Control bar

FFT - sets the size of an FFT analysis window

IR Wnd - chooses the window type that will be applied to the tail of the gated part of the IR in a frequency response analysis.

Sig Wnd - chooses the window type that will be applied to the FFT block of the recorded transient signal in a spectrum analysis.

PreDelay (ms) - sets the time interval, from the cursor position to the estimated zero time position, as a reference for the phase estimation

Get - gets the time interval between the cursor and the marker

Zero - sets the delay to zero

Inv - changes the polarity of the impulse response

Max - set cursor to the position of the impulse response maximal value

Mouse shortcuts

You can change marker and cursor position by pressing and dragging left and right mouse keys.

Double clicking the right mouse button turns the marker on and off.

Dragging the mouse in the label area scroll the plot horizontally or vertically.

Double clicking the left mouse button in the time axis area toggles the time/sample position labeling.

Keyboard shortcuts:

Del key - sets cursor position to 0,

Home key - sets cursor position to reference position 300,

Ctrl+Home key - sets marker position to reference position 300,

Ctrl+Del key - removes marker,

Ctrl+Ins key - sets marker on cursor position,

Up and Down keys - change the gain

Ctrl+Up and Ctrl+Down keys - change the vertical offset (do not offset overlay)

Left and Ctrl+Left keys - scroll the plot left

Right and Ctrl+Right keys - scroll the plot right

Shift+Left and Shift+Right keys - move the cursor (or marker if exist) left and right

PgUp and PgDown keys - change the zoom factor

Ctrl+S key - saves the file

Ctrl+N key - makes a new file

Ctrl+O key - opens the file

Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Ctrl+P key - copies a window bitmap to the clipboard

Ctrl+Alt+P key - saves a whole window bitmap to the file

Ctrl+B key - changes background color

Spectrum Analyzer Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Exit - exits the program

Overlay

Set overlay - sets current spectrum as overlay

Delete overlay - removes overlay

Load overlay - loads spectrum overlay file (*.ovs)

Save overlay - saves spacrtum in overlay file (*.ovs)

Show difference from overlay - if overlay has same FFT length and sampling rate as current magnitude curve, graph shows curve that is difference between magnitude and overlay curves

Set as target Fixed overlay – sets current smoothed or octave band curves as Fixed overlay which will not change if we change the octave resolution, sample rate or PSD/power spectrum mode
Load target curve - loads target curve from ASCII files
Delete all target curves - deletes all target and Fixed overlay curves
Delete last target curve - deletes target curve that was created the last.
Save multitone magnitude and distortion overlays in ASCII files – creates two files, first with user defined name contains overlays magnitudes, and second, named with suffix -mdist, contains distortion over frequencies.

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Colors and grid style - opens the Color Setup dialog box

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)
Apply to all graphs – set same pen thickness on all graphs

View

Toolbar - shows or hide the Toolbar

Status Bar - shows or hide the Status Bar

Fit graph top - fits plot margins to the top value of the magnitude

Frequency Axis...

Lin - linear

Log - logarithmic

Octave Smoothing - logarithmic response smoothed in a 1/n-octave

Octave Bands - response in a 1/n octave bands

Resolution...

1/1 octave - 1/1 octave filter bandwidth

1/2 octave - 1/2 octave

1/3 octave - 1/3 octave

1/6 octave - 1/6 octave

1/9 octave - 1/9 octave

1/12 octave - 1/12 octave

1/24 octave - 1/24 octave

Scaling...

dB FS - relative to the full scale (dB)

dB V (SPL) - relative to the RMS value (dB)

PSD - power spectral density dB/sqrt(Hz)

Voltage units

dBV - dB re 1 V

dBu - dB re 0.775 V (1mW/600Ω)

Sound pressure units

dB re 20 uPa - sets unit for a pressure level in acoustics

dB re 1 Pa - sets unit for a pressure level in ITU-T recommendations

Weighting...

None - weighting filter not used

A - standard A-filter

B - standard B-filter

C - standard C-filter

Info...

Rms Level - shows the signal RMS level

Distortion - shows distortions (harmonic or intermodulation)

Distortion+Noise - shows distortions+noise

Recorder

Run - starts recording

Stop - stops recording

View time record - shows the Time Record window

Generator

Run - starts the signal generation

Stop - stops the signal generation

Configure - opens the Generator Setup dialog box

Save in .wav files - saves generator signal in .wav files

Setup

Audio devices - opens the Audio Devices Setup dialog box

Calibrate devices - opens the Soundcard and Microphone Calibration dialog box

FR compensation - opens dialog box for the frequency response compensation

Measurement - opens the Spectrum Analysis Setup dialog box

Graph setup - opens the Spectrum Graph Setup dialog box

Scaling - opens the Spectrum Scaling dialog box

Use 64-bit FFT - opens/deactivates FFT double precision processing

CSV format – opens dialog box for setup of decimal separator character in CSV files

Tools

Directivity plot - opens dialog box for plotting loudspeaker directivity patterns

Integrating SPL meter - opens virtual integrating SPL meter with data logging

Octave SPL and Noise rating - opens virtual octave band SPL meter with noise rating report

Third octave SPL and Loudness - opens virtual third octave band SPL and loudness meter

Third octave SPL and Loudness Time Record - opens virtual third octave band SPL and loudness meter with graph presentation of time recorded measurement results

Levels of two input channels – opens virtual third octave dual channel voltmeter

Mode

Impulse response - opens the Impulse Response window

Spectrum Analyzer - opens the Spectrum Analysis window

Dual channel frequency response - opens the Dual Channel Frequency Response window

Single channel frequency response - opens the Single Channel Frequency Response window

Help

About ... - gets informations about the program

Registration - shows license registration / user information

User manual... - shows the help file

Spectrum analyzer window - Toolbar icons

Spectrum analyzer window - Top Control bar

Gen - sets the generator type

Inp - sets input channel (Left or Right)

Fs (Hz) - sets the sampling frequency

FFT - sets the size of an FFT acquisition block

Wnd - sets the signal window for an FFT analysis

Avg - sets the averaging type

Reset - resets the averaging

Spectrum analyzer window - Right Control bar

Mouse shortcuts:

Pressing and dragging the left mouse button changes the cursor position.

Right clicking the mouse in the plot area opens the dialog box for the plot margin setup.

Right clicking the mouse in the title area opens the dialog box for the graph scaling.

The mouse scroll wheel moves the graph top margin up and down.

Keyboard shortcuts:

Up and Down keys - change the top graph margin

Left and Right keys - moves the cursor left and right

Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Ctrl+P key - copies a whole window bitmap to the clipboard

Ctrl+Alt+P key - saves a whole window bitmap to the file

Ctrl+B key - changes background color

Ctrl+A key - sets currently plotted curve as overlay

Frequency Response Window (2Ch or 1Ch) Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Save as PIR - transforms current frequency response to impulse response and saves it as current .PIR file

Exit - exits program

Overlay

Set overlay - sets current FR as overlay

Delete overlay - removes overlay

Load overlay - loads FR overlay file

Save overlay - saves FR in overlay file

Generate target response - generates overlay with response of standard crossover filters

Load target response - loads target response from ASCII files

Delete target response - deletes overlay with target response of standard crossover filters

Show difference from overlay - if overlay has same FFT length and sampling rate as current magnitude curve, graph shows curve that is difference of magnitude and overlay curve

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style - opens the Color Setup dialog box

B/W background color - sets a background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)
Apply to all graphs – set same pen thickness on all graphs

View

Toolbar - shows or hide the Toolbar

Status Bar - shows or hide the Status Bar

Fit graph top - fits plot margins to the top value of magnitudes

Frequency Axis...

Lin - sets the linear frequency axis

Log - sets the logarithmic frequency axis

Octave Smoothing - logarithmic axis for magnitudes smoothed in a 1/n-octave

Octave Bands - bars for 1/n octave bands

Resolution...

1/1 octave - 1/1 octave filter bandwidth

1/2 octave - 1/2 octave

1/3 octave - 1/3 octave

1/6 octave - 1/6 octave

1/9 octave - 1/9 octave

1/12 octave - 1/12 octave

1/24 octave - 1/24 octave

Sound pressure units...

dB re 20 uPa/1V - units for pressure response in acoustical standards

dB re 20 uPa/2.83V - units for loudspeaker sensitivity

dB re 1 Pa/1V - units for pressure response in ITU-T recommendations

Recorder

Run - starts recording

Stop - stops recording

View time record - shows the Time Record window

Generator

Run - starts a signal generation

Stop - stops a signal generation

Configure - opens the Generator Setup dialog box

Save in .wav files - saves generator signal in .wav files

Setup

Audio devices - opens the Audio Devices Setup dialog box

Calibrate devices - opens the Soundcard and Microphone Calibration dialog box

FR compensation - opens dialog box for the frequency response compensation

Measurement - opens the Frequency Response Measurement Setup dialog box

Graph setup - opens the Frequency Response Graph Setup dialog box

Use 64-bit FFT - activates /deactivates FFT double precision processing

CSV format – opens dialog box for setup of decimal separator character in CSV files

Tools

Directivity plot - opens dialog box for plotting loudspeaker directivity patterns

Integrating SPL meter - opens virtual integrating SPL meter with data logging

Octave SPL and Noise rating - opens virtual octave band SPL meter with noise rating report

Third octave SPL and Loudness - opens virtual third octave band SPL and loudness meter

Third octave SPL and Loudness Time Record - opens virtual third octave band SPL and loudness meter with a graph presentation of time recorded measurement results

Levels of two input channels – opens virtual third octave dual channel voltmeter

Mode

Impulse response - opens Impulse Response window

Spectrum Analyzer - opens Spectrum Analysis window

Dual channel frequency response - opens Dual Channel Frequency Response window

Single channel frequency response - opens Single Channel Frequency Response window

Help

About ... - shows information about the program

Registration - license registration / user information

User manual... - shows this help

Frequency response windows - Toolbar icons

Frequency response window - Control bar

Gen - sets the generator signal type

Inp - sets input channels (Left/R or Right/L)

Fs (Hz) - sets the sampling frequency

FFT - sets the number of samples in FFT block

Delay (ms) - sets the delay in measured system (not used in 1Ch mode)

Avg - sets the averaging type (None, linear, exponential)

Reset - resets the averaging

Mouse shortcuts:

Pressing and dragging the left mouse button changes the cursor position.

Right clicking the mouse in a plot area opens the dialog box for the plot margin setup.

Mouse scroll wheel moves the graph top margin up and down

Keyboard shortcuts:

Up and Down keys - change the top graph margin

Left and Right keys - move the cursor left and right

Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Ctrl+P key - copies a whole window bitmap to the clipboard

Ctrl+Alt+P key - saves a whole window bitmap to the file

Ctrl+B key - changes background color

Ctrl+A key - set currently plotted curve as overlay

Smoothed Frequency Response Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Repeat PIR measurement - opens dialog for PIR measurement. If succeful, calculate FR using cursor and marker position from PIR window

Save PIR as .. - saves last measured or loaded .PIR file

Overlay

Set as overlay - saves the current curve as an overlay curve

Set as overlay Below cursor - saves the part of current curve below the cursor as an overlay

Set as overlay Above cursor - saves the part of current curve above the cursor as an overlay

Load overlays - loads previously saved overlays from binary “.sfo” file

Save overlays - saves all overlay curves in binary “.sfo” file

Export overlays to ASCII files - saves all visible overlay curves in ASCII files

Manage Overlays - activates dialog box 'FR Overlay Manager' for overlay list editing

Delete all - deletes all overlays

Delete last - deletes last overlays

Generate target response - generates overlay with response of standard crossover filters

Load target response - loads target overlay from ASCII file (.frd format)

Delete target response - deletes overlay with target response

Load impedance overlay - loads impedance overlay from ASCII formatted file (.ZMA format) or from binary .LIM file

Delete impedance overlays - deletes loaded impedance overlays.

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style - gets dialog box for edit graph colors

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)

Cut below cursor - cuts graph values below the cursor

Cut above cursor - cuts graph values above the cursor

Scale level - scales the level with an arbitrary factor (difference in dB)

LF box diffraction - scales levels with transfer function of LF loudspeaker box diffraction

Subtract overlay - subtracts level values of the overlay from the current curve

Subtract from overlay - subtracts level values of the current curve from the overlay

Power average with overlays - makes current magnitude as power average of current magnitude and overlay magnitudes and optionally erases all shown overlays

Merge overlay below cursor - merge to current magnitude curve overlay values below the cursor

Merge overlay above cursor - merge to current magnitude curve overlay values above the cursor

Delay for phase estimation - edits a value of delay for phase estimation, previously defined in Impulse response window

View

Magnitude - shows the frequency response magnitude

Magn+Phase - shows the frequency response magnitude and the phase

Phase - shows the frequency response phase, minimum phase or phase intercept distortion

Group delay - shows the group delay

Minimum phase - check to show the system minimum phase

Excess phase - check to show the excess phase

Excess group delay - check to show the excess group delay

Unwarp Phase - check to show the unwarped phase

Phase intercept distortion - check to show phase intercept distortion

Time-Bandwidth Requirement - if checked, curves are plotted only for frequencies where time-bandwidth product is larger than 1.

Setup - opens the dialog box for the plot margins setup .

Sound pressure units...

dB re 20 uPa/V - sets units for the loudspeaker sensitivity

dB re 20 uPa/2.83V - sets units for the loudspeaker sensitivity (ref. 1 W / 8 ohm)

dB re 1 Pa/V - sets units for pressure level according to ITU-T recommendations

Smoothing

1/1 octave - 1/1 octave filter bandwidth

1/2 octave - 1/2 octave

1/3 octave - 1/3 octave

1/6 octave - 1/6 octave

1/9 octave - 1/9 octave

1/12 octave - 1/12 octave

1/24 octave - 1/24 octave

Keyboard shortcuts:

Up and Down keys - change the top graph margin

Left and Right keys - move the cursor left and right

Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Ctrl+P key - copies a whole window bitmap to the clipboard

Ctrl+Alt+P key - saves a whole window bitmap to the file

Ctrl+B key - changes background color

Ctrl+A key - sets currently plotted curve as overlay

Ctrl+M key - gets the 'Overlay manager' dialog box

DFT Frequency Response Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Repeat PIR measurement - opens dialog for PIR measurement. If succeful, calculate FR using cursor and marker position from PIR window

Save PIR as .. - saves last measured or loaded .PIR file

Overlay

Set overlay - sets current curve as overlay

Delete overlay - removes overlay

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style - gets dialog box for edit graph colors

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)

Delay for phase estimation - edits a value of delay for phase estimation, previously defined in Impulse response window

View

Magnitude - shows the frequency response magnitude

Magn+Phase - shows the frequency response magnitude and phase

Phase - shows the response phase

Group delay - shows the group delay

Sound pressure units...

dB re 20 uPa/V - sets units for the loudspeaker sensitivity

dB re 20 uPa/2.83V - sets units for the loudspeaker sensitivity

dB re 1 Pa/V - sets units for a pressure level according to ITU-T recommendations

Setup - opens the dialog box for the plot margins setup

Time-Bandwidth Requirement - if checked, curves are plotted only for frequencies where time-bandwidth product is larger than 1.

Keyboard shortcuts (also for all other windows):

Up and Down keys - change the top graph margin

Left and Right keys - move the cursor left and right

Ctrl+C key - copies a graph bitmap to the clipboard (with user defined options )

Ctrl+P key - copies a whole window bitmap to the clipboard

Ctrl+Alt+P key - saves a whole window bitmap to the file

Ctrl+B key - changes background color

Frequency Response and Distortions Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style - gets dialog box for edit graph colors

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)

View

Sound pressure units...

dB re 20 uPa/V - sets units for the loudspeaker sensitivity

dB re 20 uPa/2.83V - sets units for the loudspeaker sensitivity (ref. 1 W / 8 ohm)

dB re 1 Pa/V - sets units for pressure level according to ITU-T recommendations

Setup - opens the dialog box for the plot margins setup .

Time-Bandwidth Requirement - if checked, curves are plotted only for frequencies where time-bandwidth product is larger than 1.

Smoothing

1/1 octave - 1/1 octave filter bandwidth

1/2 octave - 1/2 octave

1/3 octave - 1/3 octave

1/6 octave - 1/6 octave

1/9 octave - 1/9 octave

1/12 octave - 1/12 octave

1/24 octave - 1/24 octave

Keyboard shortcuts:

Up and Down keys - change the top graph margin

Left and Right keys - move the cursor left and right

Ctrl+C key - copies a graph bitmap to the clipboard (with user defined options )

Ctrl+P key - copies a whole window bitmap to the clipboard

Ctrl+B key - changes background color

Ctrl+A key - set currently plotted curve as overlay

Ctrl+M key - gets the 'Overlay manager' dialog box

Step Response Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Overlay

Set overlay - sets current curve as overlay

Delete overlay - removes overlay

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)

Impulse Response Envelope (ETC) Window Menu

File

Export ... - exports plot values in an textual files

ASCII files - exports plot values in an ASCII formatted file

CSV files - exports plot values in a CSV formatted file

Overlay

Set overlay - sets current curve as overlay

Delete overlay - removes overlay

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Use thick pen - Draw curves with thick pen

Set marker - sets the marker to the cursor position

Delete marker - deletes the marker

Cumulative Spectral Decay Window Menu

Edit

Copy - copies the graph bitmap and user defined text to the clipboard

B/W background color - sets the background color to black or white

Energy Decay Window Menu

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)
Thick grid – sets graph grid thickness. (1 or 2 points wide)

Set marker - sets the marker to the cursor position

Delete marker - deletes the marker

Automatic ISO3382 evaluation

Graphical presentation for 1/1 octave bands

Table presentation for 1/1 octave bands

Graphical presentation for 1/3 octave bands,

Table presentation for 1/3 octave bands

Setup – opens dialog box for setup of estimation method and frequency bands

MTF Window Menu

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Use thick pen - Draw curves with thick pen

Octave

125 Hz

250Hz

500Hz

1000Hz

2000Hz

4000Hz

8000Hz

Directivity Window Menu

File

Create directivity pattern file - opens dialog for creating directivity pattern file from .pir files

Save directivity pattern file – saves directivity pattern file (.dpf)

Load directivity pattern file - loads directivity pattern file (.dpf)

Export 1/3 octave data – export in textual file values at standard 1/3 octave frequencies

ASCII files - exports in an ASCII formatted file
CSV files - exports in a CSV formatted file
Export 1/1 octave data - export in textual file values at standard 1/1 octave frequencies
ASCII files - exports in an ASCII formatted file
CSV files - exports in a CSV formatted file
Export Directivity Index and Angle (-6dB) – export in textual file DI, Q and angle (-6dB)
ASCII files - exports in an ASCII formatted file
CSV files - exports in a CSV formatted file

File Info – gives information and user defined text from current .dpf file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick Lines – sets line drawing thickness (1 or 2 points wide)

Thick grid – sets graph grid thickness. (1 or 2 points wide)

SPL meter Window Menu

File

Save SPL history file – saves recorded SPL and Leq in a .spl files
Open SPL history file - loads from a .spl file

Export ... - exports in textual formats

ASCII (100ms logged) - exports SPL(Fast) recorded every 0.1 seconds

ASCII (1s logged) - exports Leq, SPL and peak levels recorded every 1 seconds

ASCII (10s logged max) - exports Leq, SPL and Peak maximum levels recorded every 10 seconds

CSV (100ms logged) - exports SPL(Fast) recorded every 0.1 seconds

CSV (1s logged) - exports Leq, SPL and peak levels recorded every 1 seconds

CSV (10s logged max) - exports Leq, SPL and Peak maximum levels recorded every 10 seconds

File statistics and user Info – gives SPL statistics and user defined text from a current .spl file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick grid – sets graph grid thickness. (1 or 2 points wide)

Setup

Calibrate audio device - opens dialog for calibration of audio devices

Setup audio devices - opens dialog for setup of audio devices

Octave Band SPL Window Menu

File

Open – opens “.oc1” file containing octave band SPL values

Save – saves octave band levels in binary “.oc1” file

Export...

Export ASCII – saves data in ASCII file

Export CSV – saves data in Excel formatted ".cave" file

File and user info – shows information of current file and edits user information

Overlay

Set as overlay - saves the current curve as an overlay curve

Manage Overlays - opens dialog box 'Overlay Manager' for overlay list editing

Delete all - deletes all overlays

Delete last overlay - deletes last overlay

Load as overlay – loads octave band SPL data from “.oc1” file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick grid – sets graph grid thickness. (1 or 2 points wide)

Average with overlays - average current curve with visible overlays, then erases overlays

Setup

Calibrate audio device - opens dialog for calibration of audio devices

Setup audio devices - opens dialog for setup of audio devices

Third Octave Band SPL and Loudness Window Menu

File

Open – opens “.oc3” file containing third octave band SPL and specific loudness values

Save – saves third octave band and loudness data in binary “.oc3” file

Export...

Export ASCII – saves data in ASCII file

Export CSV – saves data in Excel formatted “.csv“ file

File and user info – shows information of current file and edits user information

Overlay

Set as overlay - saves the current curve as an overlay curve

Manage Overlays - opens dialog box 'Overlay Manager' for overlay list editing

Delete all - delete all overlays

Delete last overlay - delete last overlay

Load as overlay – load octave band SPL and loudness data from “.oc3” file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick grid – sets graph grid thickness. (1 or 2 points wide)

Average with overlays - average current curve with visible overlays

Setup

Calibrate audio device - opens dialog for calibration of audio devices

Setup audio devices - opens dialog for setup of audio devices

Two-channel Level Meter and Third Octave Analyzer Window Menu

File

Open – opens “.lv3” file containing third octave band SPL and specific loudness values

Save – saves third octave band and loudness data in binary “.lv3” file

Export...

Export ASCII – saves data in ASCII file

Export CSV – saves data in Excel formatted ”.csv” file

File and user info – shows information of current file and edits user information

Overlay

Set as overlay - saves the current curve as an overlay curve

Delete all - delete all overlays

Delete last overlay - delete last overlay

Load as overlay - load third octave band data from “.lv3” file

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

B/W background color - sets the background color to black or white

Thick grid – sets graph grid thickness. (1 or 2 points wide)

Average with overlays - average current curve with visible overlays, then erases overlays

Setup

Audio devices - opens dialog for setup of audio devices

Calibrate audio device - opens dialog for calibration of audio devices